=== modified file 'client/drizzle.c'
--- client/drizzle.c	2008-07-25 17:35:12 +0000
+++ client/drizzle.c	2008-07-26 18:02:40 +0000
@@ -1256,7 +1256,7 @@
 
 
 #if defined(HAVE_TERMIOS_H) && defined(GWINSZ_IN_SYS_IOCTL)
-sig_handler window_resize(int sig __attribute__((__unused__)))
+sig_handler window_resize(int sig __attribute__((unused)))
 {
   struct winsize window_size;
 
@@ -3445,7 +3445,7 @@
 }
 
 static int
-com_tee(DYNAMIC_STRING *buffer __attribute__((__unused__)), char *line )
+com_tee(DYNAMIC_STRING *buffer __attribute__((unused)), char *line )
 {
   char file_name[FN_REFLEN], *end, *param;
 
@@ -3503,7 +3503,7 @@
 */
 
 static int
-com_pager(DYNAMIC_STRING *buffer __attribute__((__unused__)),
+com_pager(DYNAMIC_STRING *buffer __attribute__((unused)),
           char *line __attribute__((unused)))
 {
   char pager_name[FN_REFLEN], *end, *param;
@@ -3648,7 +3648,7 @@
 }
 
 
-static int com_source(DYNAMIC_STRING *buffer __attribute__((__unused__)), char *line)
+static int com_source(DYNAMIC_STRING *buffer __attribute__((unused)), char *line)
 {
   char source_name[FN_REFLEN], *end, *param;
   LINE_BUFFER *line_buff;
@@ -4490,7 +4490,7 @@
   }
 }
 
-static int com_prompt(DYNAMIC_STRING *buffer __attribute__((__unused__)),
+static int com_prompt(DYNAMIC_STRING *buffer __attribute__((unused)),
                       char *line)
 {
   char *ptr=strchr(line, ' ');

=== modified file 'include/drizzle/server/field/int64_t.h'
--- include/drizzle/server/field/int64_t.h	2008-07-23 01:51:39 +0000
+++ include/drizzle/server/field/int64_t.h	2008-07-26 18:02:40 +0000
@@ -62,8 +62,8 @@
   bool can_be_compared_as_int64_t() const { return true; }
   uint32_t max_display_length() { return 20; }
   virtual uchar *pack(uchar* to, const uchar *from,
-                      uint max_length __attribute__((__unused__)),
-                      bool low_byte_first __attribute__((__unused__)))
+                      uint max_length __attribute__((unused)),
+                      bool low_byte_first __attribute__((unused)))
   {
     int64_t val;
 #ifdef WORDS_BIGENDIAN
@@ -83,8 +83,8 @@
   }
 
   virtual const uchar *unpack(uchar* to, const uchar *from,
-                              uint param_data __attribute__((__unused__)),
-                              bool low_byte_first __attribute__((__unused__)))
+                              uint param_data __attribute__((unused)),
+                              bool low_byte_first __attribute__((unused)))
   {
     int64_t val;
 #ifdef WORDS_BIGENDIAN

=== modified file 'include/drizzle/server/field/long.h'
--- include/drizzle/server/field/long.h	2008-07-23 01:51:39 +0000
+++ include/drizzle/server/field/long.h	2008-07-26 18:02:40 +0000
@@ -56,8 +56,8 @@
   void sql_type(String &str) const;
   uint32_t max_display_length() { return MY_INT32_NUM_DECIMAL_DIGITS; }
   virtual uchar *pack(uchar* to, const uchar *from,
-                      uint max_length __attribute__((__unused__)),
-                      bool low_byte_first __attribute__((__unused__)))
+                      uint max_length __attribute__((unused)),
+                      bool low_byte_first __attribute__((unused)))
   {
     int32_t val;
 #ifdef WORDS_BIGENDIAN
@@ -77,8 +77,8 @@
   }
 
   virtual const uchar *unpack(uchar* to, const uchar *from,
-                              uint param_data __attribute__((__unused__)),
-                              bool low_byte_first __attribute__((__unused__)))
+                              uint param_data __attribute__((unused)),
+                              bool low_byte_first __attribute__((unused)))
   {
     int32_t val;
 #ifdef WORDS_BIGENDIAN

=== modified file 'include/drizzle/server/field/null.h'
--- include/drizzle/server/field/null.h	2008-07-23 01:51:39 +0000
+++ include/drizzle/server/field/null.h	2008-07-26 18:02:40 +0000
@@ -37,16 +37,16 @@
 	       unireg_check_arg, field_name_arg, cs)
     {}
   enum_field_types type() const { return MYSQL_TYPE_NULL;}
-  int  store(const char *to __attribute__((__unused__)),
-             uint length __attribute__((__unused__)),
-             CHARSET_INFO *cs __attribute__((__unused__)))
-  { null[0]=1; return 0; }
-  int store(double nr __attribute__((__unused__)))
-  { null[0]=1; return 0; }
-  int store(int64_t nr __attribute__((__unused__)),
-            bool unsigned_val __attribute__((__unused__)))
-  { null[0]=1; return 0; }
-  int store_decimal(const my_decimal *d __attribute__((__unused__)))
+  int  store(const char *to __attribute__((unused)),
+             uint length __attribute__((unused)),
+             CHARSET_INFO *cs __attribute__((unused)))
+  { null[0]=1; return 0; }
+  int store(double nr __attribute__((unused)))
+  { null[0]=1; return 0; }
+  int store(int64_t nr __attribute__((unused)),
+            bool unsigned_val __attribute__((unused)))
+  { null[0]=1; return 0; }
+  int store_decimal(const my_decimal *d __attribute__((unused)))
   { null[0]=1; return 0; }
   int reset(void)
   { return 0; }
@@ -55,13 +55,13 @@
   int64_t val_int(void)
   { return 0;}
   my_decimal *val_decimal(my_decimal *) { return 0; }
-  String *val_str(String *value __attribute__((__unused__)),
+  String *val_str(String *value __attribute__((unused)),
                   String *value2)
   { value2->length(0); return value2;}
-  int cmp(const uchar *a __attribute__((__unused__)),
-          const uchar *b __attribute__((__unused__))) { return 0;}
-  void sort_string(uchar *buff __attribute__((__unused__)),
-                   uint length __attribute__((__unused__)))  {}
+  int cmp(const uchar *a __attribute__((unused)),
+          const uchar *b __attribute__((unused))) { return 0;}
+  void sort_string(uchar *buff __attribute__((unused)),
+                   uint length __attribute__((unused)))  {}
   uint32_t pack_length() const { return 0; }
   void sql_type(String &str) const;
   uint size_of() const { return sizeof(*this); }

=== modified file 'include/drizzle/server/field/short.h'
--- include/drizzle/server/field/short.h	2008-07-23 01:51:39 +0000
+++ include/drizzle/server/field/short.h	2008-07-26 18:02:40 +0000
@@ -57,8 +57,8 @@
   uint32_t max_display_length() { return 6; }
 
   virtual uchar *pack(uchar* to, const uchar *from,
-                      uint max_length __attribute__((__unused__)),
-                      bool low_byte_first __attribute__((__unused__)))
+                      uint max_length __attribute__((unused)),
+                      bool low_byte_first __attribute__((unused)))
   {
     int16_t val;
 #ifdef WORDS_BIGENDIAN
@@ -78,8 +78,8 @@
   }
 
   virtual const uchar *unpack(uchar* to, const uchar *from,
-                              uint param_data __attribute__((__unused__)),
-                              bool low_byte_first __attribute__((__unused__)))
+                              uint param_data __attribute__((unused)),
+                              bool low_byte_first __attribute__((unused)))
   {
     int16_t val;
 #ifdef WORDS_BIGENDIAN

=== modified file 'server/drizzled.cc'
--- server/drizzled.cc	2008-07-22 00:36:21 +0000
+++ server/drizzled.cc	2008-07-26 18:02:40 +0000
@@ -1775,7 +1775,7 @@
   return(0);					/* purecov: deadcode */
 }
 
-static void check_data_home(const char *path __attribute__((__unused__)))
+static void check_data_home(const char *path __attribute__((unused)))
 {}
 
 #endif	/* __WIN__*/
@@ -3971,9 +3971,9 @@
   {0, 0, 0, 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0}
 };
 
-static int show_net_compression(THD *thd __attribute__((__unused__)),
+static int show_net_compression(THD *thd __attribute__((unused)),
                                 SHOW_VAR *var,
-                                char *buff __attribute__((__unused__)))
+                                char *buff __attribute__((unused)))
 {
   var->type= SHOW_MY_BOOL;
   var->value= (char *)&thd->net.compress;
@@ -4005,7 +4005,7 @@
 static st_show_var_func_container
 show_flushstatustime_cont= { &show_flushstatustime };
 
-static int show_slave_running(THD *thd __attribute__((__unused__)),
+static int show_slave_running(THD *thd __attribute__((unused)),
                               SHOW_VAR *var, char *buff)
 {
   var->type= SHOW_MY_BOOL;
@@ -4020,7 +4020,7 @@
 static st_show_var_func_container
 show_slave_running_cont= { &show_slave_running };
 
-static int show_slave_retried_trans(THD *thd __attribute__((__unused__)),
+static int show_slave_retried_trans(THD *thd __attribute__((unused)),
                                     SHOW_VAR *var, char *buff)
 {
   /*
@@ -4045,7 +4045,7 @@
 static st_show_var_func_container
 show_slave_retried_trans_cont= { &show_slave_retried_trans };
 
-static int show_slave_received_heartbeats(THD *thd __attribute__((__unused__)),
+static int show_slave_received_heartbeats(THD *thd __attribute__((unused)),
                                           SHOW_VAR *var, char *buff)
 {
   pthread_mutex_lock(&LOCK_active_mi);
@@ -4066,7 +4066,7 @@
 static st_show_var_func_container
 show_slave_received_heartbeats_cont= { &show_slave_received_heartbeats };
 
-static int show_heartbeat_period(THD *thd __attribute__((__unused__)),
+static int show_heartbeat_period(THD *thd __attribute__((unused)),
                                  SHOW_VAR *var, char *buff)
 {
   pthread_mutex_lock(&LOCK_active_mi);
@@ -4085,7 +4085,7 @@
 static st_show_var_func_container
 show_heartbeat_period_cont= { &show_heartbeat_period};
 
-static int show_open_tables(THD *thd __attribute__((__unused__)),
+static int show_open_tables(THD *thd __attribute__((unused)),
                             SHOW_VAR *var, char *buff)
 {
   var->type= SHOW_LONG;
@@ -4094,7 +4094,7 @@
   return 0;
 }
 
-static int show_table_definitions(THD *thd __attribute__((__unused__)),
+static int show_table_definitions(THD *thd __attribute__((unused)),
                                   SHOW_VAR *var, char *buff)
 {
   var->type= SHOW_LONG;

=== modified file 'server/field.cc'
--- server/field.cc	2008-07-23 00:11:39 +0000
+++ server/field.cc	2008-07-26 18:02:40 +0000
@@ -1183,7 +1183,7 @@
 }
 
 
-my_decimal *Field::val_decimal(my_decimal *decimal __attribute__((__unused__)))
+my_decimal *Field::val_decimal(my_decimal *decimal __attribute__((unused)))
 {
   /* This never have to be called */
   assert(0);
@@ -1430,7 +1430,7 @@
 */
 
 int Field::store_time(MYSQL_TIME *ltime,
-                      timestamp_type type_arg __attribute__((__unused__)))
+                      timestamp_type type_arg __attribute__((unused)))
 {
   char buff[MAX_DATE_STRING_REP_LENGTH];
   uint length= (uint) my_TIME_to_str(ltime, buff);
@@ -1969,7 +1969,7 @@
 
 
 int Field_enum::store(int64_t nr,
-                      bool unsigned_val __attribute__((__unused__)))
+                      bool unsigned_val __attribute__((unused)))
 {
   int error= 0;
   if ((uint64_t) nr > typelib->count || nr == 0)
@@ -2280,7 +2280,7 @@
                         Item *fld_on_update_value, LEX_STRING *fld_comment,
                         char *fld_change, List<String> *fld_interval_list,
                         CHARSET_INFO *fld_charset,
-                        uint fld_geom_type __attribute__((__unused__)),
+                        uint fld_geom_type __attribute__((unused)),
                         enum column_format_type column_format)
 {
   uint sign_len, allowed_type_modifier= 0;
@@ -2553,7 +2553,7 @@
 }
 
 
-enum_field_types get_blob_type_from_length(ulong length __attribute__((__unused__)))
+enum_field_types get_blob_type_from_length(ulong length __attribute__((unused)))
 {
   enum_field_types type;
 

=== modified file 'server/field.h'
--- server/field.h	2008-07-23 01:51:39 +0000
+++ server/field.h	2008-07-26 18:02:40 +0000
@@ -51,8 +51,8 @@
   void operator=(Field &);
 public:
   static void *operator new(size_t size) {return sql_alloc(size); }
-  static void operator delete(void *ptr_arg __attribute__((__unused__)),
-                              size_t size __attribute__((__unused__)))
+  static void operator delete(void *ptr_arg __attribute__((unused)),
+                              size_t size __attribute__((unused)))
   { TRASH(ptr_arg, size); }
 
   uchar		*ptr;			// Position to field in record
@@ -218,11 +218,11 @@
   virtual enum_field_types real_type() const { return type(); }
   inline  int cmp(const uchar *str) { return cmp(ptr,str); }
   virtual int cmp_max(const uchar *a, const uchar *b,
-                      uint max_len __attribute__((__unused__)))
+                      uint max_len __attribute__((unused)))
     { return cmp(a, b); }
   virtual int cmp(const uchar *,const uchar *)=0;
   virtual int cmp_binary(const uchar *a,const uchar *b,
-                         uint32_t  __attribute__((__unused__)) max_length=~0)
+                         uint32_t  __attribute__((unused)) max_length=~0)
   { return memcmp(a,b,pack_length()); }
   virtual int cmp_offset(uint row_offset)
   { return cmp(ptr,ptr+row_offset); }
@@ -230,7 +230,7 @@
   { return cmp_binary(ptr, ptr+row_offset); };
   virtual int key_cmp(const uchar *a,const uchar *b)
   { return cmp(a, b); }
-  virtual int key_cmp(const uchar *str, uint length __attribute__((__unused__)))
+  virtual int key_cmp(const uchar *str, uint length __attribute__((unused)))
   { return cmp(ptr,str); }
   virtual uint decimals() const { return 0; }
   /*
@@ -319,10 +319,10 @@
       null_ptr=ADD_TO_PTR(null_ptr,ptr_diff,uchar*);
   }
   virtual void get_image(uchar *buff, uint length,
-                         CHARSET_INFO *cs __attribute__((__unused__)))
+                         CHARSET_INFO *cs __attribute__((unused)))
     { memcpy(buff,ptr,length); }
   virtual void set_image(const uchar *buff,uint length,
-                         CHARSET_INFO *cs __attribute__((__unused__)))
+                         CHARSET_INFO *cs __attribute__((unused)))
     { memcpy(ptr,buff,length); }
 
 
@@ -353,7 +353,7 @@
   */
 
   virtual uint get_key_image(uchar *buff, uint length,
-                             imagetype type __attribute__((__unused__)))
+                             imagetype type __attribute__((unused)))
   {
     get_image(buff, length, &my_charset_bin);
     return length;
@@ -423,19 +423,19 @@
   {
     return unpack(to, from, max_length, low_byte_first);
   }
-  virtual uint packed_col_length(const uchar *to __attribute__((__unused__)),
+  virtual uint packed_col_length(const uchar *to __attribute__((unused)),
                                  uint length)
   { return length;}
   virtual uint max_packed_col_length(uint max_length)
   { return max_length;}
 
   virtual int pack_cmp(const uchar *a,const uchar *b,
-                       uint key_length_arg __attribute__((__unused__)),
-                       my_bool insert_or_update __attribute__((__unused__)))
+                       uint key_length_arg __attribute__((unused)),
+                       my_bool insert_or_update __attribute__((unused)))
   { return cmp(a,b); }
   virtual int pack_cmp(const uchar *b,
-                       uint key_length_arg __attribute__((__unused__)),
-                       my_bool insert_or_update __attribute__((__unused__)))
+                       uint key_length_arg __attribute__((unused)),
+                       my_bool insert_or_update __attribute__((unused)))
   { return cmp(ptr,b); }
   uint offset(uchar *record)
   {
@@ -448,11 +448,11 @@
   virtual CHARSET_INFO *charset(void) const { return &my_charset_bin; }
   virtual CHARSET_INFO *sort_charset(void) const { return charset(); }
   virtual bool has_charset(void) const { return false; }
-  virtual void set_charset(CHARSET_INFO *charset_arg __attribute__((__unused__)))
+  virtual void set_charset(CHARSET_INFO *charset_arg __attribute__((unused)))
   { }
   virtual enum Derivation derivation(void) const
   { return DERIVATION_IMPLICIT; }
-  virtual void set_derivation(enum Derivation derivation_arg __attribute__((__unused__)))
+  virtual void set_derivation(enum Derivation derivation_arg __attribute__((unused)))
   { }
   bool set_warning(MYSQL_ERROR::enum_warning_level, unsigned int code,
                    int cuted_increment);
@@ -536,7 +536,7 @@
 
    @returns 0 no bytes written.
 */
-  virtual int do_save_field_metadata(uchar *metadata_ptr __attribute__((__unused__)))
+  virtual int do_save_field_metadata(uchar *metadata_ptr __attribute__((unused)))
   { return 0; }
 };
 
@@ -671,16 +671,16 @@
   uint32_t max_display_length() { return 4; }
 
   virtual uchar *pack(uchar* to, const uchar *from,
-                      uint max_length __attribute__((__unused__)),
-                      bool low_byte_first __attribute__((__unused__)))
+                      uint max_length __attribute__((unused)),
+                      bool low_byte_first __attribute__((unused)))
   {
     *to= *from;
     return to + 1;
   }
 
   virtual const uchar *unpack(uchar* to, const uchar *from,
-                              uint param_data __attribute__((__unused__)),
-                              bool low_byte_first __attribute__((__unused__)))
+                              uint param_data __attribute__((unused)),
+                              bool low_byte_first __attribute__((unused)))
   {
     *to= *from;
     return from + 1;
@@ -727,8 +727,8 @@
   { return (field_metadata & 0x00ff); }
   uint row_pack_length() { return pack_length(); }
   virtual bool zero_pack() const { return 0; }
-  bool optimize_range(uint idx __attribute__((__unused__)),
-                      uint part __attribute__((__unused__)))
+  bool optimize_range(uint idx __attribute__((unused)),
+                      uint part __attribute__((unused)))
   { return 0; }
   bool eq_def(Field *field);
   bool has_charset(void) const { return true; }

=== modified file 'server/field/blob.cc'
--- server/field/blob.cc	2008-07-23 01:51:39 +0000
+++ server/field/blob.cc	2008-07-26 18:02:40 +0000
@@ -51,7 +51,7 @@
 void Field_blob::store_length(uchar *i_ptr,
                               uint i_packlength,
                               uint32_t i_number,
-                              bool low_byte_first __attribute__((__unused__)))
+                              bool low_byte_first __attribute__((unused)))
 {
   switch (i_packlength) {
   case 1:
@@ -85,7 +85,7 @@
 
 uint32_t Field_blob::get_length(const uchar *pos,
                               uint packlength_arg,
-                              bool low_byte_first __attribute__((__unused__)))
+                              bool low_byte_first __attribute__((unused)))
 {
   switch (packlength_arg) {
   case 1:
@@ -343,7 +343,7 @@
 
 uint Field_blob::get_key_image(uchar *buff,
                                uint length,
-                               imagetype type_arg __attribute__((__unused__)))
+                               imagetype type_arg __attribute__((unused)))
 {
   uint32_t blob_length= get_length(ptr);
   uchar *blob;
@@ -529,7 +529,7 @@
 
    @return  New pointer into memory based on from + length of the data
 */
-const uchar *Field_blob::unpack(uchar *to __attribute__((__unused__)),
+const uchar *Field_blob::unpack(uchar *to __attribute__((unused)),
                                 const uchar *from,
                                 uint param_data,
                                 bool low_byte_first)

=== modified file 'server/field/date.cc'
--- server/field/date.cc	2008-07-23 01:51:39 +0000
+++ server/field/date.cc	2008-07-26 18:02:40 +0000
@@ -51,7 +51,7 @@
 
 int Field_newdate::store(const char *from,
                          uint len,
-                         CHARSET_INFO *cs __attribute__((__unused__)))
+                         CHARSET_INFO *cs __attribute__((unused)))
 {
   long tmp;
   MYSQL_TIME l_time;
@@ -101,7 +101,7 @@
 
 
 int Field_newdate::store(int64_t nr,
-                         bool unsigned_val __attribute__((__unused__)))
+                         bool unsigned_val __attribute__((unused)))
 {
   MYSQL_TIME l_time;
   int64_t tmp;

=== modified file 'server/field/datetime.cc'
--- server/field/datetime.cc	2008-07-23 01:51:39 +0000
+++ server/field/datetime.cc	2008-07-26 18:02:40 +0000
@@ -33,7 +33,7 @@
 
 int Field_datetime::store(const char *from,
                           uint len,
-                          CHARSET_INFO *cs __attribute__((__unused__)))
+                          CHARSET_INFO *cs __attribute__((unused)))
 {
   MYSQL_TIME time_tmp;
   int error;
@@ -86,7 +86,7 @@
 
 
 int Field_datetime::store(int64_t nr,
-                          bool unsigned_val __attribute__((__unused__)))
+                          bool unsigned_val __attribute__((unused)))
 {
   MYSQL_TIME not_used;
   int error;

=== modified file 'server/field/decimal.cc'
--- server/field/decimal.cc	2008-07-23 01:51:39 +0000
+++ server/field/decimal.cc	2008-07-26 18:02:40 +0000
@@ -242,7 +242,7 @@
 
 
 int Field_new_decimal::store_time(MYSQL_TIME *ltime,
-                                  timestamp_type t_type __attribute__((__unused__)))
+                                  timestamp_type t_type __attribute__((unused)))
 {
     my_decimal decimal_value;
     return store_value(date2my_decimal(ltime, &decimal_value));

=== modified file 'server/field/set.cc'
--- server/field/set.cc	2008-07-23 01:51:39 +0000
+++ server/field/set.cc	2008-07-26 18:02:40 +0000
@@ -75,7 +75,7 @@
 
 
 int Field_set::store(int64_t nr,
-                     bool unsigned_val __attribute__((__unused__)))
+                     bool unsigned_val __attribute__((unused)))
 {
   int error= 0;
   uint64_t max_nr= set_bits(uint64_t, typelib->count);

=== modified file 'server/field/string.cc'
--- server/field/string.cc	2008-07-23 01:51:39 +0000
+++ server/field/string.cc	2008-07-26 18:02:40 +0000
@@ -395,7 +395,7 @@
 
 uint Field_string::get_key_image(uchar *buff,
                                  uint length,
-                                 imagetype type_arg __attribute__((__unused__)))
+                                 imagetype type_arg __attribute__((unused)))
 {
   uint bytes = my_charpos(field_charset, (char*) ptr,
                           (char*) ptr + field_length,

=== modified file 'server/field/timestamp.cc'
--- server/field/timestamp.cc	2008-07-23 01:51:39 +0000
+++ server/field/timestamp.cc	2008-07-26 18:02:40 +0000
@@ -69,7 +69,7 @@
  */
 
 Field_timestamp::Field_timestamp(uchar *ptr_arg,
-                                 uint32_t len_arg __attribute__((__unused__)),
+                                 uint32_t len_arg __attribute__((unused)),
                                  uchar *null_ptr_arg, uchar null_bit_arg,
                                  enum utype unireg_check_arg,
                                  const char *field_name_arg,
@@ -142,7 +142,7 @@
 
 int Field_timestamp::store(const char *from,
                            uint len,
-                           CHARSET_INFO *cs __attribute__((__unused__)))
+                           CHARSET_INFO *cs __attribute__((unused)))
 {
   MYSQL_TIME l_time;
   my_time_t tmp= 0;
@@ -202,7 +202,7 @@
 
 
 int Field_timestamp::store(int64_t nr,
-                           bool unsigned_val __attribute__((__unused__)))
+                           bool unsigned_val __attribute__((unused)))
 {
   MYSQL_TIME l_time;
   my_time_t timestamp= 0;

=== modified file 'server/field/timetype.cc'
--- server/field/timetype.cc	2008-07-23 01:51:39 +0000
+++ server/field/timetype.cc	2008-07-26 18:02:40 +0000
@@ -33,7 +33,7 @@
 
 int Field_time::store(const char *from,
                       uint len,
-                      CHARSET_INFO *cs __attribute__((__unused__)))
+                      CHARSET_INFO *cs __attribute__((unused)))
 {
   MYSQL_TIME ltime;
   long tmp;
@@ -76,7 +76,7 @@
 
 
 int Field_time::store_time(MYSQL_TIME *ltime,
-                           timestamp_type time_type __attribute__((__unused__)))
+                           timestamp_type time_type __attribute__((unused)))
 {
   long tmp= ((ltime->month ? 0 : ltime->day * 24L) + ltime->hour) * 10000L +
             (ltime->minute * 100 + ltime->second);

=== modified file 'server/field/varstring.cc'
--- server/field/varstring.cc	2008-07-23 01:51:39 +0000
+++ server/field/varstring.cc	2008-07-26 18:02:40 +0000
@@ -336,7 +336,7 @@
 */
 
 const uchar *
-Field_varstring::unpack_key(uchar *to __attribute__((__unused__)),
+Field_varstring::unpack_key(uchar *to __attribute__((unused)),
                             const uchar *key, uint max_length,
                             bool low_byte_first __attribute__((unused)))
 {
@@ -492,7 +492,7 @@
 
 uint Field_varstring::get_key_image(uchar *buff,
                                     uint length,
-                                    imagetype type __attribute__((__unused__)))
+                                    imagetype type __attribute__((unused)))
 {
   uint f_length=  length_bytes == 1 ? (uint) *ptr : uint2korr(ptr);
   uint local_char_length= length / field_charset->mbmaxlen;

=== modified file 'server/field/year.cc'
--- server/field/year.cc	2008-07-22 21:54:44 +0000
+++ server/field/year.cc	2008-07-26 18:02:40 +0000
@@ -78,7 +78,7 @@
 
 
 int Field_year::store(int64_t nr,
-                      bool unsigned_val __attribute__((__unused__)))
+                      bool unsigned_val __attribute__((unused)))
 {
   if (nr < 0 || (nr >= 100 && nr <= 1900) || nr > 2155)
   {

=== modified file 'server/handler.cc'
--- server/handler.cc	2008-07-20 07:56:12 +0000
+++ server/handler.cc	2008-07-26 18:02:40 +0000
@@ -463,7 +463,7 @@
   return(error);
 }
 
-static bool dropdb_handlerton(THD *unused1 __attribute__((__unused__)),
+static bool dropdb_handlerton(THD *unused1 __attribute__((unused)),
                               plugin_ref plugin,
                               void *path)
 {
@@ -481,7 +481,7 @@
 
 
 static bool closecon_handlerton(THD *thd, plugin_ref plugin,
-                                void *unused __attribute__((__unused__)))
+                                void *unused __attribute__((unused)))
 {
   handlerton *hton= plugin_data(plugin, handlerton *);
   /*
@@ -1201,7 +1201,7 @@
   int result;
 };
 
-static bool xacommit_handlerton(THD *unused1 __attribute__((__unused__)),
+static bool xacommit_handlerton(THD *unused1 __attribute__((unused)),
                                 plugin_ref plugin,
                                 void *arg)
 {
@@ -1214,7 +1214,7 @@
   return false;
 }
 
-static bool xarollback_handlerton(THD *unused1 __attribute__((__unused__)),
+static bool xarollback_handlerton(THD *unused1 __attribute__((unused)),
                                   plugin_ref plugin,
                                   void *arg)
 {
@@ -1264,7 +1264,7 @@
   bool dry_run;
 };
 
-static bool xarecover_handlerton(THD *unused __attribute__((__unused__)),
+static bool xarecover_handlerton(THD *unused __attribute__((unused)),
                                  plugin_ref plugin,
                                  void *arg)
 {
@@ -1445,7 +1445,7 @@
     always 0
 */
 static bool release_temporary_latches(THD *thd, plugin_ref plugin,
-                                      void *unused __attribute__((__unused__)))
+                                      void *unused __attribute__((unused)))
 {
   handlerton *hton= plugin_data(plugin, handlerton *);
 
@@ -1605,9 +1605,9 @@
 }
 
 
-static bool flush_handlerton(THD *thd __attribute__((__unused__)),
+static bool flush_handlerton(THD *thd __attribute__((unused)),
                              plugin_ref plugin,
-                             void *arg __attribute__((__unused__)))
+                             void *arg __attribute__((unused)))
 {
   handlerton *hton= plugin_data(plugin, handlerton *);
   if (hton->state == SHOW_OPTION_YES && hton->flush_logs && 
@@ -1672,10 +1672,10 @@
 
 bool
 Ha_delete_table_error_handler::
-handle_error(uint sql_errno  __attribute__((__unused__)),
+handle_error(uint sql_errno  __attribute__((unused)),
              const char *message,
-             MYSQL_ERROR::enum_warning_level level __attribute__((__unused__)),
-             THD *thd __attribute__((__unused__)))
+             MYSQL_ERROR::enum_warning_level level __attribute__((unused)),
+             THD *thd __attribute__((unused)))
 {
   /* Grab the error message */
   strmake(buff, message, sizeof(buff)-1);
@@ -2210,9 +2210,9 @@
   @param first_value         (OUT) the first value reserved by the handler
   @param nb_reserved_values  (OUT) how many values the handler reserved
 */
-void handler::get_auto_increment(uint64_t offset __attribute__((__unused__)),
-                                 uint64_t increment __attribute__((__unused__)),
-                                 uint64_t nb_desired_values __attribute__((__unused__)),
+void handler::get_auto_increment(uint64_t offset __attribute__((unused)),
+                                 uint64_t increment __attribute__((unused)),
+                                 uint64_t nb_desired_values __attribute__((unused)),
                                  uint64_t *first_value,
                                  uint64_t *nb_reserved_values)
 {
@@ -2510,8 +2510,8 @@
   @return
     Returns true if this is a temporary error
 */
-bool handler::get_error_message(int error __attribute__((__unused__)),
-                                String* buf __attribute__((__unused__)))
+bool handler::get_error_message(int error __attribute__((unused)),
+                                String* buf __attribute__((unused)))
 {
   return false;
 }
@@ -3199,7 +3199,7 @@
 /**
   Init a key cache if it has not been initied before.
 */
-int ha_init_key_cache(const char *name __attribute__((__unused__)),
+int ha_init_key_cache(const char *name __attribute__((unused)),
                       KEY_CACHE *key_cache)
 {
   if (!key_cache->key_cache_inited)
@@ -3453,7 +3453,7 @@
 ha_rows
 handler::multi_range_read_info_const(uint keyno, RANGE_SEQ_IF *seq,
                                      void *seq_init_param,
-                                     uint n_ranges_arg __attribute__((__unused__)),
+                                     uint n_ranges_arg __attribute__((unused)),
                                      uint *bufsz, uint *flags, COST_VECT *cost)
 {
   KEY_MULTI_RANGE range;
@@ -3605,7 +3605,7 @@
 int
 handler::multi_range_read_init(RANGE_SEQ_IF *seq_funcs, void *seq_init_param,
                                uint n_ranges, uint mode,
-                               HANDLER_BUFFER *buf __attribute__((__unused__)))
+                               HANDLER_BUFFER *buf __attribute__((unused)))
 {
   mrr_iter= seq_funcs->init(seq_init_param, n_ranges, mode);
   mrr_funcs= *seq_funcs;
@@ -3822,7 +3822,7 @@
   @retval other  Error
 */
 
-int DsMrr_impl::dsmrr_fill_buffer(handler *unused __attribute__((__unused__)))
+int DsMrr_impl::dsmrr_fill_buffer(handler *unused __attribute__((unused)))
 {
   char *range_info;
   int res;
@@ -4277,7 +4277,7 @@
 int handler::read_range_first(const key_range *start_key,
 			      const key_range *end_key,
 			      bool eq_range_arg,
-                              bool sorted  __attribute__((__unused__)))
+                              bool sorted  __attribute__((unused)))
 {
   int result;
 
@@ -4407,7 +4407,7 @@
   @retval
     pointer		pointer to TYPELIB structure
 */
-static bool exts_handlerton(THD *unused __attribute__((__unused__)),
+static bool exts_handlerton(THD *unused __attribute__((unused)),
                             plugin_ref plugin,
                             void *arg)
 {

=== modified file 'server/handler.h'
--- server/handler.h	2008-07-23 00:11:39 +0000
+++ server/handler.h	2008-07-26 18:02:40 +0000
@@ -831,8 +831,8 @@
   }
 private:
   /* Function primitive that is called prior to locking tables */
-  virtual void do_prelock(TABLE **tables __attribute__((__unused__)),
-                          uint count __attribute__((__unused__)))
+  virtual void do_prelock(TABLE **tables __attribute__((unused)),
+                          uint count __attribute__((unused)))
   {
     /* Default is to do nothing */
   }
@@ -845,8 +845,8 @@
 
      @return Error code or zero.
    */
-  virtual int do_postlock(TABLE **tables __attribute__((__unused__)),
-                          uint count __attribute__((__unused__)))
+  virtual int do_postlock(TABLE **tables __attribute__((unused)),
+                          uint count __attribute__((unused)))
   {
     return 0;                           /* Default is to do nothing */
   }
@@ -1316,7 +1316,7 @@
   /* Estimates calculation */
   virtual double scan_time(void)
   { return uint64_t2double(stats.data_file_length) / IO_SIZE + 2; }
-  virtual double read_time(uint index __attribute__((__unused__)),
+  virtual double read_time(uint index __attribute__((unused)),
                            uint ranges, ha_rows rows)
   { return rows2double(ranges+rows); }
 
@@ -1379,7 +1379,7 @@
   */
   virtual enum row_type get_row_type() const { return ROW_TYPE_NOT_USED; }
 
-  virtual const char *index_type(uint key_number __attribute__((__unused__)))
+  virtual const char *index_type(uint key_number __attribute__((unused)))
   { assert(0); return "";}
 
 
@@ -1415,7 +1415,7 @@
     @retval  0           Success
     @retval  >0          Error code
   */
-  virtual int exec_bulk_update(uint *dup_key_found __attribute__((__unused__)))
+  virtual int exec_bulk_update(uint *dup_key_found __attribute__((unused)))
   {
     assert(false);
     return HA_ERR_WRONG_COMMAND;
@@ -1458,17 +1458,17 @@
   virtual int index_read_idx_map(uchar * buf, uint index, const uchar * key,
                                  key_part_map keypart_map,
                                  enum ha_rkey_function find_flag);
-  virtual int index_next(uchar * buf __attribute__((__unused__)))
-   { return  HA_ERR_WRONG_COMMAND; }
-  virtual int index_prev(uchar * buf __attribute__((__unused__)))
-   { return  HA_ERR_WRONG_COMMAND; }
-  virtual int index_first(uchar * buf __attribute__((__unused__)))
-   { return  HA_ERR_WRONG_COMMAND; }
-  virtual int index_last(uchar * buf __attribute__((__unused__)))
-   { return  HA_ERR_WRONG_COMMAND; }
-  virtual int index_next_same(uchar *buf __attribute__((__unused__)),
-                              const uchar *key __attribute__((__unused__)),
-                              uint keylen __attribute__((__unused__)));
+  virtual int index_next(uchar * buf __attribute__((unused)))
+   { return  HA_ERR_WRONG_COMMAND; }
+  virtual int index_prev(uchar * buf __attribute__((unused)))
+   { return  HA_ERR_WRONG_COMMAND; }
+  virtual int index_first(uchar * buf __attribute__((unused)))
+   { return  HA_ERR_WRONG_COMMAND; }
+  virtual int index_last(uchar * buf __attribute__((unused)))
+   { return  HA_ERR_WRONG_COMMAND; }
+  virtual int index_next_same(uchar *buf __attribute__((unused)),
+                              const uchar *key __attribute__((unused)),
+                              uint keylen __attribute__((unused)));
   /**
      @brief
      The following functions works like index_read, but it find the last
@@ -1486,9 +1486,9 @@
   virtual int read_range_next();
   int compare_key(key_range *range);
   int compare_key2(key_range *range);
-  virtual int rnd_next(uchar *buf __attribute__((__unused__)))=0;
-  virtual int rnd_pos(uchar * buf __attribute__((__unused__)),
-                      uchar *pos __attribute__((__unused__)))=0;
+  virtual int rnd_next(uchar *buf __attribute__((unused)))=0;
+  virtual int rnd_pos(uchar * buf __attribute__((unused)),
+                      uchar *pos __attribute__((unused)))=0;
   /**
     One has to use this method when to find
     random position by record as the plain
@@ -1501,24 +1501,24 @@
     The following function is only needed for tables that may be temporary
     tables during joins.
   */
-  virtual int restart_rnd_next(uchar *buf __attribute__((__unused__)),
-                               uchar *pos __attribute__((__unused__)))
-    { return HA_ERR_WRONG_COMMAND; }
-  virtual int rnd_same(uchar *buf __attribute__((__unused__)),
-                       uint inx __attribute__((__unused__)))
-    { return HA_ERR_WRONG_COMMAND; }
-  virtual ha_rows records_in_range(uint inx __attribute__((__unused__)),
-                                   key_range *min_key __attribute__((__unused__)),
-                                   key_range *max_key __attribute__((__unused__)))
+  virtual int restart_rnd_next(uchar *buf __attribute__((unused)),
+                               uchar *pos __attribute__((unused)))
+    { return HA_ERR_WRONG_COMMAND; }
+  virtual int rnd_same(uchar *buf __attribute__((unused)),
+                       uint inx __attribute__((unused)))
+    { return HA_ERR_WRONG_COMMAND; }
+  virtual ha_rows records_in_range(uint inx __attribute__((unused)),
+                                   key_range *min_key __attribute__((unused)),
+                                   key_range *max_key __attribute__((unused)))
     { return (ha_rows) 10; }
   virtual void position(const uchar *record)=0;
   virtual int info(uint)=0; // see my_base.h for full description
-  virtual uint32_t calculate_key_hash_value(Field **field_array __attribute__((__unused__)))
+  virtual uint32_t calculate_key_hash_value(Field **field_array __attribute__((unused)))
   { assert(0); return 0; }
-  virtual int extra(enum ha_extra_function operation __attribute__((__unused__)))
+  virtual int extra(enum ha_extra_function operation __attribute__((unused)))
   { return 0; }
   virtual int extra_opt(enum ha_extra_function operation,
-                        uint32_t cache_size __attribute__((__unused__)))
+                        uint32_t cache_size __attribute__((unused)))
   { return extra(operation); }
 
   /**
@@ -1542,8 +1542,8 @@
   */
   virtual void try_semi_consistent_read(bool) {}
   virtual void unlock_row(void) {}
-  virtual int start_stmt(THD *thd __attribute__((__unused__)),
-                         thr_lock_type lock_type __attribute__((__unused__)))
+  virtual int start_stmt(THD *thd __attribute__((unused)),
+                         thr_lock_type lock_type __attribute__((unused)))
   {return 0;}
   virtual void get_auto_increment(uint64_t offset, uint64_t increment,
                                   uint64_t nb_desired_values,
@@ -1569,17 +1569,17 @@
       insert_id_for_cur_row;
   }
 
-  virtual void update_create_info(HA_CREATE_INFO *create_info __attribute__((__unused__))) {}
+  virtual void update_create_info(HA_CREATE_INFO *create_info __attribute__((unused))) {}
   int check_old_types(void);
-  virtual int assign_to_keycache(THD* thd __attribute__((__unused__)),
-                                 HA_CHECK_OPT* check_opt __attribute__((__unused__)))
+  virtual int assign_to_keycache(THD* thd __attribute__((unused)),
+                                 HA_CHECK_OPT* check_opt __attribute__((unused)))
   { return HA_ADMIN_NOT_IMPLEMENTED; }
   /* end of the list of admin commands */
 
   virtual int indexes_are_disabled(void) {return 0;}
   virtual char *update_table_comment(const char * comment)
   { return (char*) comment;}
-  virtual void append_create_info(String *packet __attribute__((__unused__)))
+  virtual void append_create_info(String *packet __attribute__((unused)))
   {}
   /**
       If index == MAX_KEY then a check for table is made and if index <
@@ -1591,20 +1591,20 @@
     @retval   true            Foreign key defined on table or index
     @retval   false           No foreign key defined
   */
-  virtual bool is_fk_defined_on_table_or_index(uint index __attribute__((__unused__)))
+  virtual bool is_fk_defined_on_table_or_index(uint index __attribute__((unused)))
   { return false; }
   virtual char* get_foreign_key_create_info(void)
   { return(NULL);}  /* gets foreign key create string from InnoDB */
   /** used in ALTER TABLE; 1 if changing storage engine is allowed */
   virtual bool can_switch_engines(void) { return 1; }
   /** used in REPLACE; is > 0 if table is referred by a FOREIGN KEY */
-  virtual int get_foreign_key_list(THD *thd __attribute__((__unused__)),
-                                   List<FOREIGN_KEY_INFO> *f_key_list __attribute__((__unused__)))
+  virtual int get_foreign_key_list(THD *thd __attribute__((unused)),
+                                   List<FOREIGN_KEY_INFO> *f_key_list __attribute__((unused)))
   { return 0; }
   virtual uint referenced_by_foreign_key() { return 0;}
   virtual void init_table_handle_for_HANDLER()
   { return; }       /* prepare InnoDB for HANDLER */
-  virtual void free_foreign_key_create_info(char* str __attribute__((__unused__))) {}
+  virtual void free_foreign_key_create_info(char* str __attribute__((unused))) {}
   /** The following can be called without an open handler */
   virtual const char *table_type() const =0;
   /**
@@ -1620,8 +1620,8 @@
   */
   virtual const char **bas_ext() const =0;
 
-  virtual int get_default_no_partitions(HA_CREATE_INFO *info __attribute__((__unused__))) { return 1;}
-  virtual bool get_no_parts(const char *name __attribute__((__unused__)),
+  virtual int get_default_no_partitions(HA_CREATE_INFO *info __attribute__((unused))) { return 1;}
+  virtual bool get_no_parts(const char *name __attribute__((unused)),
                             uint *no_parts)
   {
     *no_parts= 0;
@@ -1630,15 +1630,15 @@
 
   virtual uint32_t index_flags(uint idx, uint part, bool all_parts) const =0;
 
-  virtual int add_index(TABLE *table_arg __attribute__((__unused__)),
-                        KEY *key_info __attribute__((__unused__)),
-                        uint num_of_keys __attribute__((__unused__)))
-  { return (HA_ERR_WRONG_COMMAND); }
-  virtual int prepare_drop_index(TABLE *table_arg __attribute__((__unused__)),
-                                 uint *key_num __attribute__((__unused__)),
-                                 uint num_of_keys __attribute__((__unused__)))
-  { return (HA_ERR_WRONG_COMMAND); }
-  virtual int final_drop_index(TABLE *table_arg __attribute__((__unused__)))
+  virtual int add_index(TABLE *table_arg __attribute__((unused)),
+                        KEY *key_info __attribute__((unused)),
+                        uint num_of_keys __attribute__((unused)))
+  { return (HA_ERR_WRONG_COMMAND); }
+  virtual int prepare_drop_index(TABLE *table_arg __attribute__((unused)),
+                                 uint *key_num __attribute__((unused)),
+                                 uint num_of_keys __attribute__((unused)))
+  { return (HA_ERR_WRONG_COMMAND); }
+  virtual int final_drop_index(TABLE *table_arg __attribute__((unused)))
   { return (HA_ERR_WRONG_COMMAND); }
 
   uint max_record_length() const
@@ -1658,7 +1658,7 @@
   virtual uint max_supported_key_parts(void) const { return MAX_REF_PARTS; }
   virtual uint max_supported_key_length(void) const { return MAX_KEY_LENGTH; }
   virtual uint max_supported_key_part_length(void) const { return 255; }
-  virtual uint min_record_length(uint options __attribute__((__unused__))) const
+  virtual uint min_record_length(uint options __attribute__((unused))) const
   { return 1; }
 
   virtual bool low_byte_first(void) const { return 1; }
@@ -1728,11 +1728,11 @@
   */
 
   virtual bool
-    register_query_cache_table(THD *thd __attribute__((__unused__)),
-                               char *table_key __attribute__((__unused__)),
-                               uint key_length __attribute__((__unused__)),
+    register_query_cache_table(THD *thd __attribute__((unused)),
+                               char *table_key __attribute__((unused)),
+                               uint key_length __attribute__((unused)),
                                qc_engine_callback *engine_callback,
-                               uint64_t *engine_data __attribute__((__unused__)))
+                               uint64_t *engine_data __attribute__((unused)))
   {
     *engine_callback= 0;
     return true;
@@ -1786,16 +1786,16 @@
  virtual void cond_pop(void) { return; }
 
  virtual Item
-   *idx_cond_push(uint keyno __attribute__((__unused__)),
-                  Item* idx_cond __attribute__((__unused__)))
+   *idx_cond_push(uint keyno __attribute__((unused)),
+                  Item* idx_cond __attribute__((unused)))
  { return idx_cond; }
 
  /*
     Part of old fast alter table, to be depricated
   */
  virtual bool
-   check_if_incompatible_data(HA_CREATE_INFO *create_info __attribute__((__unused__)),
-                              uint table_changes __attribute__((__unused__)))
+   check_if_incompatible_data(HA_CREATE_INFO *create_info __attribute__((unused)),
+                              uint table_changes __attribute__((unused)))
  { return COMPATIBLE_DATA_NO; }
 
  /* On-line ALTER TABLE interface */
@@ -1824,9 +1824,9 @@
       implementation.
  */
  virtual int
-   check_if_supported_alter(TABLE *altered_table __attribute__((__unused__)),
+   check_if_supported_alter(TABLE *altered_table __attribute__((unused)),
                             HA_CREATE_INFO *create_info,
-                            HA_ALTER_FLAGS *alter_flags __attribute__((__unused__)),
+                            HA_ALTER_FLAGS *alter_flags __attribute__((unused)),
                             uint table_changes)
  {
    if (this->check_if_incompatible_data(create_info, table_changes)
@@ -1848,11 +1848,11 @@
    @retval   0      OK
    @retval   error  error code passed from storage engine
  */
- virtual int alter_table_phase1(THD *thd __attribute__((__unused__)),
-                                TABLE *altered_table __attribute__((__unused__)),
-                                HA_CREATE_INFO *create_info __attribute__((__unused__)),
-                                HA_ALTER_INFO *alter_info __attribute__((__unused__)),
-                                HA_ALTER_FLAGS *alter_flags  __attribute__((__unused__)))
+ virtual int alter_table_phase1(THD *thd __attribute__((unused)),
+                                TABLE *altered_table __attribute__((unused)),
+                                HA_CREATE_INFO *create_info __attribute__((unused)),
+                                HA_ALTER_INFO *alter_info __attribute__((unused)),
+                                HA_ALTER_FLAGS *alter_flags  __attribute__((unused)))
  {
    return HA_ERR_UNSUPPORTED;
  }
@@ -1874,11 +1874,11 @@
       this call is to be wrapped with a DDL lock. This is currently NOT
       supported.
  */
- virtual int alter_table_phase2(THD *thd  __attribute__((__unused__)),
-                                TABLE *altered_table  __attribute__((__unused__)),
-                                HA_CREATE_INFO *create_info __attribute__((__unused__)),
-                                HA_ALTER_INFO *alter_info __attribute__((__unused__)),
-                                HA_ALTER_FLAGS *alter_flags __attribute__((__unused__)))
+ virtual int alter_table_phase2(THD *thd  __attribute__((unused)),
+                                TABLE *altered_table  __attribute__((unused)),
+                                HA_CREATE_INFO *create_info __attribute__((unused)),
+                                HA_ALTER_INFO *alter_info __attribute__((unused)),
+                                HA_ALTER_FLAGS *alter_flags __attribute__((unused)))
  {
    return HA_ERR_UNSUPPORTED;
  }
@@ -1889,8 +1889,8 @@
     @param    thd               The thread handle
     @param    table             The altered table, re-opened
  */
- virtual int alter_table_phase3(THD *thd __attribute__((__unused__)),
-                                TABLE *table __attribute__((__unused__)))
+ virtual int alter_table_phase3(THD *thd __attribute__((unused)),
+                                TABLE *table __attribute__((unused)))
  {
    return HA_ERR_UNSUPPORTED;
  }
@@ -1965,7 +1965,7 @@
 
   virtual int open(const char *name, int mode, uint test_if_locked)=0;
   virtual int index_init(uint idx,
-                         bool sorted __attribute__((__unused__)))
+                         bool sorted __attribute__((unused)))
   { active_index= idx; return 0; }
   virtual int index_end() { active_index= MAX_KEY; return 0; }
   /**
@@ -2029,10 +2029,10 @@
   }
   virtual void release_auto_increment(void) { return; };
   /** admin commands - called from mysql_admin_table */
-  virtual int check_for_upgrade(HA_CHECK_OPT *check_opt __attribute__((__unused__)))
+  virtual int check_for_upgrade(HA_CHECK_OPT *check_opt __attribute__((unused)))
   { return 0; }
-  virtual int check(THD* thd __attribute__((__unused__)),
-                    HA_CHECK_OPT* check_opt __attribute__((__unused__)))
+  virtual int check(THD* thd __attribute__((unused)),
+                    HA_CHECK_OPT* check_opt __attribute__((unused)))
   { return HA_ADMIN_NOT_IMPLEMENTED; }
 
   /**
@@ -2040,20 +2040,20 @@
      to specify CHECK option to use to call check()
      upon the table.
   */
-  virtual int repair(THD* thd __attribute__((__unused__)),
-                     HA_CHECK_OPT* check_opt __attribute__((__unused__)))
+  virtual int repair(THD* thd __attribute__((unused)),
+                     HA_CHECK_OPT* check_opt __attribute__((unused)))
   { return HA_ADMIN_NOT_IMPLEMENTED; }
-  virtual void start_bulk_insert(ha_rows rows __attribute__((__unused__)))
+  virtual void start_bulk_insert(ha_rows rows __attribute__((unused)))
   {}
   virtual int end_bulk_insert(void) { return 0; }
-  virtual int index_read(uchar * buf __attribute__((__unused__)),
-                         const uchar * key __attribute__((__unused__)),
-                         uint key_len __attribute__((__unused__)),
-                         enum ha_rkey_function find_flag __attribute__((__unused__)))
+  virtual int index_read(uchar * buf __attribute__((unused)),
+                         const uchar * key __attribute__((unused)),
+                         uint key_len __attribute__((unused)),
+                         enum ha_rkey_function find_flag __attribute__((unused)))
    { return  HA_ERR_WRONG_COMMAND; }
-  virtual int index_read_last(uchar * buf __attribute__((__unused__)),
-                              const uchar * key __attribute__((__unused__)),
-                              uint key_len __attribute__((__unused__)))
+  virtual int index_read_last(uchar * buf __attribute__((unused)),
+                              const uchar * key __attribute__((unused)),
+                              uint key_len __attribute__((unused)))
    { return (my_errno= HA_ERR_WRONG_COMMAND); }
   /**
     This method is similar to update_row, however the handler doesn't need
@@ -2068,9 +2068,9 @@
     @retval  0   Bulk delete used by handler
     @retval  1   Bulk delete not used, normal operation used
   */
-  virtual int bulk_update_row(const uchar *old_data __attribute__((__unused__)),
-                              uchar *new_data __attribute__((__unused__)),
-                              uint *dup_key_found __attribute__((__unused__)))
+  virtual int bulk_update_row(const uchar *old_data __attribute__((unused)),
+                              uchar *new_data __attribute__((unused)),
+                              uint *dup_key_found __attribute__((unused)))
   {
     assert(false);
     return HA_ERR_WRONG_COMMAND;
@@ -2089,32 +2089,32 @@
     is emulated by doing a 'DELETE FROM t'. HA_ERR_WRONG_COMMAND is
     returned by storage engines that don't support this operation.
   */
-  virtual int reset_auto_increment(uint64_t value __attribute__((__unused__)))
+  virtual int reset_auto_increment(uint64_t value __attribute__((unused)))
   { return HA_ERR_WRONG_COMMAND; }
-  virtual int optimize(THD* thd __attribute__((__unused__)),
-                       HA_CHECK_OPT* check_opt __attribute__((__unused__)))
-  { return HA_ADMIN_NOT_IMPLEMENTED; }
-  virtual int analyze(THD* thd __attribute__((__unused__)),
-                      HA_CHECK_OPT* check_opt __attribute__((__unused__)))
-  { return HA_ADMIN_NOT_IMPLEMENTED; }
-  virtual bool check_and_repair(THD *thd __attribute__((__unused__)))
+  virtual int optimize(THD* thd __attribute__((unused)),
+                       HA_CHECK_OPT* check_opt __attribute__((unused)))
+  { return HA_ADMIN_NOT_IMPLEMENTED; }
+  virtual int analyze(THD* thd __attribute__((unused)),
+                      HA_CHECK_OPT* check_opt __attribute__((unused)))
+  { return HA_ADMIN_NOT_IMPLEMENTED; }
+  virtual bool check_and_repair(THD *thd __attribute__((unused)))
   { return true; }
-  virtual int disable_indexes(uint mode __attribute__((__unused__)))
-  { return HA_ERR_WRONG_COMMAND; }
-  virtual int enable_indexes(uint mode __attribute__((__unused__)))
-  { return HA_ERR_WRONG_COMMAND; }
-  virtual int discard_or_import_tablespace(bool discard __attribute__((__unused__)))
+  virtual int disable_indexes(uint mode __attribute__((unused)))
+  { return HA_ERR_WRONG_COMMAND; }
+  virtual int enable_indexes(uint mode __attribute__((unused)))
+  { return HA_ERR_WRONG_COMMAND; }
+  virtual int discard_or_import_tablespace(bool discard __attribute__((unused)))
   { return (my_errno=HA_ERR_WRONG_COMMAND); }
   virtual void prepare_for_alter(void) { return; }
   virtual void drop_table(const char *name);
-  virtual int create(const char *name __attribute__((__unused__)),
-                     TABLE *form __attribute__((__unused__)),
-                     HA_CREATE_INFO *info __attribute__((__unused__)))=0;
+  virtual int create(const char *name __attribute__((unused)),
+                     TABLE *form __attribute__((unused)),
+                     HA_CREATE_INFO *info __attribute__((unused)))=0;
 
-  virtual int create_handler_files(const char *name __attribute__((__unused__)),
-                                   const char *old_name __attribute__((__unused__)),
-                                   int action_flag __attribute__((__unused__)),
-                                   HA_CREATE_INFO *info __attribute__((__unused__)))
+  virtual int create_handler_files(const char *name __attribute__((unused)),
+                                   const char *old_name __attribute__((unused)),
+                                   int action_flag __attribute__((unused)),
+                                   HA_CREATE_INFO *info __attribute__((unused)))
   { return false; }
 };
 

=== modified file 'server/item.cc'
--- server/item.cc	2008-07-23 00:11:39 +0000
+++ server/item.cc	2008-07-26 18:02:40 +0000
@@ -44,7 +44,7 @@
 
 my_decimal *
 Hybrid_type_traits::val_decimal(Hybrid_type *val,
-                                my_decimal *to __attribute__((__unused__))) const
+                                my_decimal *to __attribute__((unused))) const
 {
   double2my_decimal(E_DEC_FATAL_ERROR, val->real, val->dec_buf);
   return val->dec_buf;
@@ -148,7 +148,7 @@
 
 void
 Hybrid_type_traits_integer::fix_length_and_dec(Item *item,
-                                               Item *arg __attribute__((__unused__))) const
+                                               Item *arg __attribute__((unused))) const
 {
   item->decimals= 0;
   item->max_length= MY_INT64_NUM_DECIMAL_DIGITS;
@@ -469,7 +469,7 @@
   @param arg   a dummy parameter, is not used here
 */
 
-bool Item::cleanup_processor(uchar *arg __attribute__((__unused__)))
+bool Item::cleanup_processor(uchar *arg __attribute__((unused)))
 {
   if (fixed)
     cleanup();
@@ -733,7 +733,7 @@
   - When trying to find an ORDER BY/GROUP BY item in the SELECT part
 */
 
-bool Item::eq(const Item *item, bool binary_cmp __attribute__((__unused__))) const
+bool Item::eq(const Item *item, bool binary_cmp __attribute__((unused))) const
 {
   /*
     Note, that this is never true if item is a Item_param:
@@ -763,7 +763,7 @@
   the latter returns a non-fixed Item, so val_str() crashes afterwards.
   Override Item_num method, to return a fixed item.
 */
-Item *Item_num::safe_charset_converter(CHARSET_INFO *tocs __attribute__((__unused__)))
+Item *Item_num::safe_charset_converter(CHARSET_INFO *tocs __attribute__((unused)))
 {
   Item_string *conv;
   char buf[64];
@@ -778,7 +778,7 @@
 }
 
 
-Item *Item_static_float_func::safe_charset_converter(CHARSET_INFO *tocs __attribute__((__unused__)))
+Item *Item_static_float_func::safe_charset_converter(CHARSET_INFO *tocs __attribute__((unused)))
 {
   Item_string *conv;
   char buf[64];
@@ -1426,7 +1426,7 @@
   Item_field (this is important in prepared statements).
 */
 
-Item_field::Item_field(THD *thd __attribute__((__unused__)),
+Item_field::Item_field(THD *thd __attribute__((unused)),
                        Name_resolution_context *context_arg,
                        Field *f)
   :Item_ident(context_arg, f->table->s->db.str, *f->table_name, f->field_name),
@@ -1523,7 +1523,7 @@
 }
 
 void Item_ident::print(String *str,
-                       enum_query_type query_type __attribute__((__unused__)))
+                       enum_query_type query_type __attribute__((unused)))
 {
   THD *thd= current_thd;
   char d_name_buff[MAX_ALIAS_NAME], t_name_buff[MAX_ALIAS_NAME];
@@ -1701,7 +1701,7 @@
 
 
 bool Item_field::eq(const Item *item,
-                    bool binary_cmp __attribute__((__unused__))) const
+                    bool binary_cmp __attribute__((unused))) const
 {
   Item *real_item= ((Item *) item)->real_item();
   if (real_item->type() != FIELD_ITEM)
@@ -1740,7 +1740,7 @@
 
 
 void Item_field::fix_after_pullout(st_select_lex *new_parent,
-                                   Item **ref __attribute__((__unused__)))
+                                   Item **ref __attribute__((unused)))
 {
   if (new_parent == depended_from)
     depended_from= NULL;
@@ -1761,8 +1761,8 @@
   return new_item;
 }
 
-int64_t Item_field::val_int_endpoint(bool left_endp __attribute__((__unused__)),
-                                      bool *incl_endp __attribute__((__unused__)))
+int64_t Item_field::val_int_endpoint(bool left_endp __attribute__((unused)),
+                                      bool *incl_endp __attribute__((unused)))
 {
   int64_t res= val_int();
   return null_value? INT64_MIN : res;
@@ -1800,7 +1800,7 @@
 }
 
 void Item_int::print(String *str,
-                     enum_query_type query_type __attribute__((__unused__)))
+                     enum_query_type query_type __attribute__((unused)))
 {
   // my_charset_bin is good enough for numbers
   str_value.set(value, &my_charset_bin);
@@ -1832,7 +1832,7 @@
 
 
 void Item_uint::print(String *str,
-                      enum_query_type query_type __attribute__((__unused__)))
+                      enum_query_type query_type __attribute__((unused)))
 {
   // latin1 is good enough for numbers
   str_value.set((uint64_t) value, default_charset());
@@ -1862,8 +1862,8 @@
 
 
 Item_decimal::Item_decimal(double val,
-                           int precision __attribute__((__unused__)),
-                           int scale __attribute__((__unused__)))
+                           int precision __attribute__((unused)),
+                           int scale __attribute__((unused)))
 {
   double2my_decimal(E_DEC_FATAL_ERROR, val, &decimal_value);
   decimals= (uint8_t) decimal_value.frac;
@@ -1927,7 +1927,7 @@
 }
 
 void Item_decimal::print(String *str,
-                         enum_query_type query_type __attribute__((__unused__)))
+                         enum_query_type query_type __attribute__((unused)))
 {
   my_decimal2string(E_DEC_FATAL_ERROR, &decimal_value, 0, 0, 0, &str_value);
   str->append(str_value);
@@ -1935,7 +1935,7 @@
 
 
 bool Item_decimal::eq(const Item *item,
-                      bool binary_cmp __attribute__((__unused__))) const
+                      bool binary_cmp __attribute__((unused))) const
 {
   if (type() == item->type() && item->basic_const_item())
   {
@@ -2081,7 +2081,7 @@
 
 
 bool Item_null::eq(const Item *item,
-                   bool binary_cmp __attribute__((__unused__))) const
+                   bool binary_cmp __attribute__((unused))) const
 { return item->type() == type(); }
 
 
@@ -2100,7 +2100,7 @@
   return 0;
 }
 /* ARGSUSED */
-String *Item_null::val_str(String *str __attribute__((__unused__)))
+String *Item_null::val_str(String *str __attribute__((unused)))
 {
   // following assert is redundant, because fixed=1 assigned in constructor
   assert(fixed == 1);
@@ -2108,7 +2108,7 @@
   return 0;
 }
 
-my_decimal *Item_null::val_decimal(my_decimal *decimal_value __attribute__((__unused__)))
+my_decimal *Item_null::val_decimal(my_decimal *decimal_value __attribute__((unused)))
 {
   return 0;
 }
@@ -2776,7 +2776,7 @@
 /* End of Item_param related */
 
 void Item_param::print(String *str,
-                       enum_query_type query_type __attribute__((__unused__)))
+                       enum_query_type query_type __attribute__((unused)))
 {
   if (state == NO_VALUE)
   {
@@ -2806,7 +2806,7 @@
 }
 
 /* ARGSUSED */
-String *Item_copy_string::val_str(String *str __attribute__((__unused__)))
+String *Item_copy_string::val_str(String *str __attribute__((unused)))
 {
   // Item_copy_string is used without fix_fields call
   if (null_value)
@@ -2830,8 +2830,8 @@
 */
 
 /* ARGSUSED */
-bool Item::fix_fields(THD *thd __attribute__((__unused__)),
-                      Item **ref __attribute__((__unused__)))
+bool Item::fix_fields(THD *thd __attribute__((unused)),
+                      Item **ref __attribute__((unused)))
 {
 
   // We do not check fields which are fixed during construction
@@ -3872,7 +3872,7 @@
   See comments in Arg_comparator::set_compare_func() for details.
 */
 
-bool Item_field::set_no_const_sub(uchar *arg __attribute__((__unused__)))
+bool Item_field::set_no_const_sub(uchar *arg __attribute__((unused)))
 {
   if (field->charset() != &my_charset_bin)
     no_const_subst=1;
@@ -3905,7 +3905,7 @@
     - this - otherwise.
 */
 
-Item *Item_field::replace_equal_field(uchar *arg __attribute__((__unused__)))
+Item *Item_field::replace_equal_field(uchar *arg __attribute__((unused)))
 {
   if (item_equal)
   {
@@ -4356,7 +4356,7 @@
 
 
 int Item_string::save_in_field(Field *field,
-                               bool no_conversions __attribute__((__unused__)))
+                               bool no_conversions __attribute__((unused)))
 {
   String *result;
   result=val_str(&str_value);
@@ -4372,7 +4372,7 @@
 
 
 int Item_int::save_in_field(Field *field,
-                            bool no_conversions __attribute__((__unused__)))
+                            bool no_conversions __attribute__((unused)))
 {
   int64_t nr=val_int();
   if (null_value)
@@ -4383,7 +4383,7 @@
 
 
 int Item_decimal::save_in_field(Field *field,
-                                bool no_conversions __attribute__((__unused__)))
+                                bool no_conversions __attribute__((unused)))
 {
   field->set_notnull();
   return field->store_decimal(&decimal_value);
@@ -4391,7 +4391,7 @@
 
 
 bool Item_int::eq(const Item *arg,
-                  bool binary_cmp __attribute__((__unused__))) const
+                  bool binary_cmp __attribute__((unused))) const
 {
   /* No need to check for null value as basic constant can't be NULL */
   if (arg->basic_const_item() && arg->type() == type())
@@ -4478,7 +4478,7 @@
 
 
 int Item_float::save_in_field(Field *field,
-                              bool no_conversions __attribute__((__unused__)))
+                              bool no_conversions __attribute__((unused)))
 {
   double nr= val_real();
   if (null_value)
@@ -4489,7 +4489,7 @@
 
 
 void Item_float::print(String *str,
-                       enum_query_type query_type __attribute__((__unused__)))
+                       enum_query_type query_type __attribute__((unused)))
 {
   if (presentation)
   {
@@ -4510,7 +4510,7 @@
 */
 
 bool Item_float::eq(const Item *arg,
-                    bool binary_cmp __attribute__((__unused__))) const
+                    bool binary_cmp __attribute__((unused))) const
 {
   if (arg->basic_const_item() && arg->type() == type())
   {
@@ -4579,7 +4579,7 @@
 
 
 int Item_hex_string::save_in_field(Field *field,
-                                   bool no_conversions __attribute__((__unused__)))
+                                   bool no_conversions __attribute__((unused)))
 {
   field->set_notnull();
   if (field->result_type() == STRING_RESULT)
@@ -4610,7 +4610,7 @@
 
 
 void Item_hex_string::print(String *str,
-                            enum_query_type query_type __attribute__((__unused__)))
+                            enum_query_type query_type __attribute__((unused)))
 {
   char *end= (char*) str_value.ptr() + str_value.length(),
        *ptr= end - min(str_value.length(), sizeof(int64_t));
@@ -4690,7 +4690,7 @@
 */
 
 bool Item_null::send(Protocol *protocol,
-                     String *packet __attribute__((__unused__)))
+                     String *packet __attribute__((unused)))
 {
   return protocol->store_null();
 }
@@ -4790,7 +4790,7 @@
 
 
 bool Item_field::send(Protocol *protocol,
-                      String *buffer __attribute__((__unused__)))
+                      String *buffer __attribute__((unused)))
 {
   return protocol->store(result_field);
 }
@@ -5538,7 +5538,7 @@
 }
 
 void Item_ref::fix_after_pullout(st_select_lex *new_parent,
-                                 Item **refptr __attribute__((__unused__)))
+                                 Item **refptr __attribute__((unused)))
 {
   if (depended_from == new_parent)
   {
@@ -5565,7 +5565,7 @@
 */
 
 bool Item_direct_view_ref::eq(const Item *item,
-                              bool binary_cmp __attribute__((__unused__))) const
+                              bool binary_cmp __attribute__((unused))) const
 {
   if (item->type() == REF_ITEM)
   {
@@ -5587,7 +5587,7 @@
 
 
 bool Item_default_value::fix_fields(THD *thd,
-                                    Item **items __attribute__((__unused__)))
+                                    Item **items __attribute__((unused)))
 {
   Item *real_arg;
   Item_field *field_arg;
@@ -5704,7 +5704,7 @@
 
 
 bool Item_insert_value::fix_fields(THD *thd,
-                                   Item **items __attribute__((__unused__)))
+                                   Item **items __attribute__((unused)))
 {
   assert(fixed == 0);
   /* We should only check that arg is in first table */
@@ -6047,7 +6047,7 @@
   return str;
 }
 
-my_decimal *Item_cache_decimal::val_decimal(my_decimal *val __attribute__((__unused__)))
+my_decimal *Item_cache_decimal::val_decimal(my_decimal *val __attribute__((unused)))
 {
   assert(fixed);
   return &decimal_value;
@@ -6155,7 +6155,7 @@
 }
 
 
-void Item_cache_row::illegal_method_call(const char *method __attribute__((__unused__)))
+void Item_cache_row::illegal_method_call(const char *method __attribute__((unused)))
 {
   assert(0);
   my_error(ER_OPERAND_COLUMNS, MYF(0), 1);
@@ -6310,7 +6310,7 @@
     false  OK
 */
 
-bool Item_type_holder::join_types(THD *thd __attribute__((__unused__)),
+bool Item_type_holder::join_types(THD *thd __attribute__((unused)),
                                   Item *item)
 {
   uint max_length_orig= max_length;
@@ -6560,8 +6560,8 @@
     do nothing
 */
 
-void dummy_error_processor(THD *thd __attribute__((__unused__)),
-                           void *data __attribute__((__unused__)))
+void dummy_error_processor(THD *thd __attribute__((unused)),
+                           void *data __attribute__((unused)))
 {}
 
 /**

=== modified file 'server/item.h'
--- server/item.h	2008-07-23 00:11:39 +0000
+++ server/item.h	2008-07-26 18:02:40 +0000
@@ -166,7 +166,7 @@
   { val->real/= uint64_t2double(u); }
 
   virtual int64_t val_int(Hybrid_type *val,
-                           bool unsigned_flag __attribute__((__unused__))) const
+                           bool unsigned_flag __attribute__((unused))) const
   { return (int64_t) rint(val->real); }
   virtual double val_real(Hybrid_type *val) const { return val->real; }
   virtual my_decimal *val_decimal(Hybrid_type *val, my_decimal *buf) const;
@@ -192,7 +192,7 @@
   virtual int64_t val_int(Hybrid_type *val, bool unsigned_flag) const;
   virtual double val_real(Hybrid_type *val) const;
   virtual my_decimal *val_decimal(Hybrid_type *val,
-                                  my_decimal *buf __attribute__((__unused__))) const
+                                  my_decimal *buf __attribute__((unused))) const
   { return &val->dec_buf[val->used_dec_buf_no]; }
   virtual String *val_str(Hybrid_type *val, String *buf, uint8_t decimals) const;
   static const Hybrid_type_traits_decimal *instance();
@@ -216,18 +216,18 @@
   { val->integer/= (int64_t) u; }
 
   virtual int64_t val_int(Hybrid_type *val,
-                           bool unsigned_flag __attribute__((__unused__))) const
+                           bool unsigned_flag __attribute__((unused))) const
   { return val->integer; }
   virtual double val_real(Hybrid_type *val) const
   { return (double) val->integer; }
   virtual my_decimal *val_decimal(Hybrid_type *val,
-                                  my_decimal *buf __attribute__((__unused__))) const
+                                  my_decimal *buf __attribute__((unused))) const
   {
     int2my_decimal(E_DEC_FATAL_ERROR, val->integer, 0, &val->dec_buf[2]);
     return &val->dec_buf[2];
   }
   virtual String *val_str(Hybrid_type *val, String *buf,
-                          uint8_t decimals __attribute__((__unused__))) const
+                          uint8_t decimals __attribute__((unused))) const
   { buf->set(val->integer, &my_charset_bin); return buf;}
   static const Hybrid_type_traits_integer *instance();
   Hybrid_type_traits_integer() {};
@@ -435,7 +435,7 @@
   void operator=(Item &);
   /* Cache of the result of is_expensive(). */
   int8_t is_expensive_cache;
-  virtual bool is_expensive_processor(uchar *arg __attribute__((__unused__)))
+  virtual bool is_expensive_processor(uchar *arg __attribute__((unused)))
   { return 0; }
 
 public:
@@ -443,11 +443,11 @@
   { return sql_alloc(size); }
   static void *operator new(size_t size, MEM_ROOT *mem_root)
   { return alloc_root(mem_root, size); }
-  static void operator delete(void *ptr __attribute__((__unused__)),
-                              size_t size __attribute__((__unused__)))
+  static void operator delete(void *ptr __attribute__((unused)),
+                              size_t size __attribute__((unused)))
   { TRASH(ptr, size); }
-  static void operator delete(void *ptr __attribute__((__unused__)),
-                              MEM_ROOT *mem_root __attribute__((__unused__)))
+  static void operator delete(void *ptr __attribute__((unused)),
+                              MEM_ROOT *mem_root __attribute__((unused)))
   {}
 
   enum Type {FIELD_ITEM= 0, FUNC_ITEM, SUM_FUNC_ITEM, STRING_ITEM,
@@ -520,8 +520,8 @@
     Fix after some tables has been pulled out. Basically re-calculate all
     attributes that are dependent on the tables.
   */
-  virtual void fix_after_pullout(st_select_lex *new_parent __attribute__((__unused__)),
-                                 Item **ref __attribute__((__unused__))) {};
+  virtual void fix_after_pullout(st_select_lex *new_parent __attribute__((unused)),
+                                 Item **ref __attribute__((unused))) {};
 
   /*
     should be used in case where we are sure that we do not need
@@ -584,8 +584,8 @@
         - If the value of the function is NULL then the bound is the
           smallest possible value of INT64_MIN
   */
-  virtual int64_t val_int_endpoint(bool left_endp __attribute__((__unused__)),
-                                    bool *incl_endp __attribute__((__unused__)))
+  virtual int64_t val_int_endpoint(bool left_endp __attribute__((unused)),
+                                    bool *incl_endp __attribute__((unused)))
   { assert(0); return 0; }
 
 
@@ -698,7 +698,7 @@
 
   virtual Field *get_tmp_table_field(void) { return 0; }
   /* This is also used to create fields in CREATE ... SELECT: */
-  virtual Field *tmp_table_field(TABLE *t_arg __attribute__((__unused__)))
+  virtual Field *tmp_table_field(TABLE *t_arg __attribute__((unused)))
   { return 0; }
   virtual const char *full_name(void) const { return name ? name : "???"; }
 
@@ -766,16 +766,16 @@
     mysql_register_view().
   */
   virtual inline void print(String *str,
-                            enum_query_type query_type __attribute__((__unused__)))
+                            enum_query_type query_type __attribute__((unused)))
   {
     str->append(full_name());
   }
 
   void print_item_w_name(String *, enum_query_type query_type);
   virtual void update_used_tables() {}
-  virtual void split_sum_func(THD *thd __attribute__((__unused__)),
-                              Item **ref_pointer_array __attribute__((__unused__)),
-                              List<Item> &fields __attribute__((__unused__))) {}
+  virtual void split_sum_func(THD *thd __attribute__((unused)),
+                              Item **ref_pointer_array __attribute__((unused)),
+                              List<Item> &fields __attribute__((unused))) {}
   /* Called for items that really have to be split */
   void split_sum_func2(THD *thd, Item **ref_pointer_array, List<Item> &fields,
                        Item **ref, bool skip_registered);
@@ -812,18 +812,18 @@
     set field of temporary table for Item which can be switched on temporary
     table during query processing (grouping and so on)
   */
-  virtual void set_result_field(Field *field __attribute__((__unused__))) {}
+  virtual void set_result_field(Field *field __attribute__((unused))) {}
   virtual bool is_result_field(void) { return 0; }
   virtual bool is_bool_func(void) { return 0; }
-  virtual void save_in_result_field(bool no_conversions __attribute__((__unused__)))
+  virtual void save_in_result_field(bool no_conversions __attribute__((unused)))
   {}
   /*
     set value of aggregate function in case of no rows for grouping were found
   */
   virtual void no_rows_in_result(void) {}
-  virtual Item *copy_or_same(THD *thd __attribute__((__unused__)))
+  virtual Item *copy_or_same(THD *thd __attribute__((unused)))
   { return this; }
-  virtual Item *copy_andor_structure(THD *thd  __attribute__((__unused__)))
+  virtual Item *copy_andor_structure(THD *thd  __attribute__((unused)))
   { return this; }
   virtual Item *real_item(void) { return this; }
   virtual Item *get_tmp_table_item(THD *thd) { return copy_or_same(thd); }
@@ -831,8 +831,8 @@
   static CHARSET_INFO *default_charset();
   virtual CHARSET_INFO *compare_collation() { return NULL; }
 
-  virtual bool walk(Item_processor processor __attribute__((__unused__)),
-                    bool walk_subquery __attribute__((__unused__)),
+  virtual bool walk(Item_processor processor __attribute__((unused)),
+                    bool walk_subquery __attribute__((unused)),
                     uchar *arg)
   {
     return (this->*processor)(arg);
@@ -864,30 +864,30 @@
     return 0;
   }
 
-   virtual void traverse_cond(Cond_traverser traverser __attribute__((__unused__)),
+   virtual void traverse_cond(Cond_traverser traverser __attribute__((unused)),
                               void *arg,
-                              traverse_order order __attribute__((__unused__)))
+                              traverse_order order __attribute__((unused)))
    {
      (*traverser)(this, arg);
    }
 
-  virtual bool remove_dependence_processor(uchar * arg __attribute__((__unused__)))
+  virtual bool remove_dependence_processor(uchar * arg __attribute__((unused)))
   { return 0; }
-  virtual bool remove_fixed(uchar * arg __attribute__((__unused__)))
+  virtual bool remove_fixed(uchar * arg __attribute__((unused)))
   {
     fixed= 0;
     return 0;
   }
-  virtual bool cleanup_processor(uchar *arg __attribute__((__unused__)));
-  virtual bool collect_item_field_processor(uchar * arg __attribute__((__unused__)))
+  virtual bool cleanup_processor(uchar *arg __attribute__((unused)));
+  virtual bool collect_item_field_processor(uchar * arg __attribute__((unused)))
   { return 0; }
-  virtual bool find_item_in_field_list_processor(uchar *arg __attribute__((__unused__)))
+  virtual bool find_item_in_field_list_processor(uchar *arg __attribute__((unused)))
  { return 0; }
-  virtual bool change_context_processor(uchar *context __attribute__((__unused__)))
-  { return 0; }
-  virtual bool reset_query_id_processor(uchar *query_id_arg __attribute__((__unused__)))
-  { return 0; }
-  virtual bool register_field_in_read_map(uchar *arg __attribute__((__unused__)))
+  virtual bool change_context_processor(uchar *context __attribute__((unused)))
+  { return 0; }
+  virtual bool reset_query_id_processor(uchar *query_id_arg __attribute__((unused)))
+  { return 0; }
+  virtual bool register_field_in_read_map(uchar *arg __attribute__((unused)))
   { return 0; }
   virtual bool subst_argument_checker(uchar **arg)
   {
@@ -896,9 +896,9 @@
     return true;
   }
 
-  virtual Item *equal_fields_propagator(uchar * arg __attribute__((__unused__))) { return this; }
-  virtual bool set_no_const_sub(uchar *arg __attribute__((__unused__))) { return false; }
-  virtual Item *replace_equal_field(uchar * arg __attribute__((__unused__))) { return this; }
+  virtual Item *equal_fields_propagator(uchar * arg __attribute__((unused))) { return this; }
+  virtual bool set_no_const_sub(uchar *arg __attribute__((unused))) { return false; }
+  virtual Item *replace_equal_field(uchar * arg __attribute__((unused))) { return this; }
 
   /*
     For SP local variable returns pointer to Item representing its
@@ -911,12 +911,12 @@
     For SP local variable returns address of pointer to Item representing its
     current value and pointer passed via parameter otherwise.
   */
-  virtual Item **this_item_addr(THD *thd __attribute__((__unused__)), Item **addr_arg) { return addr_arg; }
+  virtual Item **this_item_addr(THD *thd __attribute__((unused)), Item **addr_arg) { return addr_arg; }
 
   // Row emulation
   virtual uint cols() { return 1; }
-  virtual Item* element_index(uint i __attribute__((__unused__))) { return this; }
-  virtual Item** addr(uint i __attribute__((__unused__))) { return 0; }
+  virtual Item* element_index(uint i __attribute__((unused))) { return this; }
+  virtual Item** addr(uint i __attribute__((unused))) { return 0; }
   virtual bool check_cols(uint c);
   // It is not row => null inside is impossible
   virtual bool null_inside() { return 0; }
@@ -926,8 +926,8 @@
   Field *tmp_table_field_from_field_type(TABLE *table, bool fixed_length);
   virtual Item_field *filed_for_view_update() { return 0; }
 
-  virtual Item *neg_transformer(THD *thd __attribute__((__unused__))) { return NULL; }
-  virtual Item *update_value_transformer(uchar *select_arg __attribute__((__unused__))) { return this; }
+  virtual Item *neg_transformer(THD *thd __attribute__((unused))) { return NULL; }
+  virtual Item *update_value_transformer(uchar *select_arg __attribute__((unused))) { return this; }
   virtual Item *safe_charset_converter(CHARSET_INFO *tocs);
   void delete_self()
   {
@@ -1146,7 +1146,7 @@
   }
   int64_t val_int_endpoint(bool left_endp, bool *incl_endp);
   Field *get_tmp_table_field() { return result_field; }
-  Field *tmp_table_field(TABLE *t_arg __attribute__((__unused__))) { return result_field; }
+  Field *tmp_table_field(TABLE *t_arg __attribute__((unused))) { return result_field; }
   bool get_date(MYSQL_TIME *ltime,uint fuzzydate);
   bool get_date_result(MYSQL_TIME *ltime,uint fuzzydate);
   bool get_time(MYSQL_TIME *ltime);
@@ -1205,7 +1205,7 @@
   bool is_null() { return 1; }
 
   virtual inline void print(String *str,
-                            enum_query_type query_type __attribute__((__unused__)))
+                            enum_query_type query_type __attribute__((unused)))
   {
     str->append(STRING_WITH_LEN("NULL"));
   }
@@ -1437,7 +1437,7 @@
   int64_t val_int();
   double val_real();
   String *val_str(String*);
-  my_decimal *val_decimal(my_decimal *val __attribute__((__unused__)))
+  my_decimal *val_decimal(my_decimal *val __attribute__((unused)))
   { return &decimal_value; }
   int save_in_field(Field *field, bool no_conversions);
   bool basic_const_item() const { return 1; }
@@ -1516,7 +1516,7 @@
   {}
 
   virtual inline void print(String *str,
-                            enum_query_type query_type __attribute__((__unused__)))
+                            enum_query_type query_type __attribute__((unused)))
   {
     str->append(func_name);
   }
@@ -1669,7 +1669,7 @@
   Item *safe_charset_converter(CHARSET_INFO *tocs);
 
   virtual inline void print(String *str,
-                            enum_query_type query_type __attribute__((__unused__)))
+                            enum_query_type query_type __attribute__((unused)))
   {
     str->append(func_name);
   }
@@ -1772,7 +1772,7 @@
   {}
   ~Item_result_field() {}			/* Required with gcc 2.95 */
   Field *get_tmp_table_field() { return result_field; }
-  Field *tmp_table_field(TABLE *t_arg __attribute__((__unused__)))
+  Field *tmp_table_field(TABLE *t_arg __attribute__((unused)))
   { return result_field; }
   table_map used_tables() const { return 1; }
   virtual void fix_length_and_dec()=0;
@@ -2006,7 +2006,7 @@
                      alias_name_used_arg),
     outer_ref(0), in_sum_func(0), found_in_select_list(1)
   {}
-  void save_in_result_field(bool no_conversions __attribute__((__unused__)))
+  void save_in_result_field(bool no_conversions __attribute__((unused)))
   {
     outer_ref->save_org_in_field(result_field);
   }
@@ -2132,7 +2132,7 @@
   void make_field(Send_field *field) { item->make_field(field); }
   void copy();
   int save_in_field(Field *field,
-                    bool no_conversions __attribute__((__unused__)))
+                    bool no_conversions __attribute__((unused)))
   {
     return save_str_value_in_field(field, &str_value);
   }
@@ -2302,7 +2302,7 @@
 
   void set_used_tables(table_map map) { used_table_map= map; }
 
-  virtual bool allocate(uint i __attribute__((__unused__)))
+  virtual bool allocate(uint i __attribute__((unused)))
   { return 0; }
   virtual bool setup(Item *item)
   {
@@ -2327,7 +2327,7 @@
     return cached_field ? cached_field->eq_def (field) : false;
   }
   bool eq(const Item *item,
-          bool binary_cmp __attribute__((__unused__))) const
+          bool binary_cmp __attribute__((unused))) const
   {
     return this == item;
   }
@@ -2449,7 +2449,7 @@
     illegal_method_call((const char*)"val_str");
     return 0;
   };
-  my_decimal *val_decimal(my_decimal *val __attribute__((__unused__)))
+  my_decimal *val_decimal(my_decimal *val __attribute__((unused)))
   {
     illegal_method_call((const char*)"val_decimal");
     return 0;

=== modified file 'server/item_cmpfunc.cc'
--- server/item_cmpfunc.cc	2008-07-22 18:31:32 +0000
+++ server/item_cmpfunc.cc	2008-07-26 18:02:40 +0000
@@ -800,9 +800,9 @@
 */
 
 uint64_t
-get_time_value(THD *thd __attribute__((__unused__)),
+get_time_value(THD *thd __attribute__((unused)),
                Item ***item_arg, Item **cache_arg,
-               Item *warn_item __attribute__((__unused__)),
+               Item *warn_item __attribute__((unused)),
                bool *is_null)
 {
   uint64_t value;
@@ -1462,7 +1462,7 @@
 }
 
 
-bool Item_in_optimizer::fix_left(THD *thd, Item **ref __attribute__((__unused__)))
+bool Item_in_optimizer::fix_left(THD *thd, Item **ref __attribute__((unused)))
 {
   if ((!args[0]->fixed && args[0]->fix_fields(thd, args)) ||
       (!cache && !(cache= Item_cache::get_cache(args[0]))))
@@ -2571,7 +2571,7 @@
            failed
 */
 
-Item *Item_func_case::find_item(String *str __attribute__((__unused__)))
+Item *Item_func_case::find_item(String *str __attribute__((unused)))
 {
   uint value_added_map= 0;
 
@@ -3021,7 +3021,7 @@
     0           left argument is equal to the right argument.
     1           left argument is greater than the right argument.
 */
-int cmp_int64_t(void *cmp_arg __attribute__((__unused__)),
+int cmp_int64_t(void *cmp_arg __attribute__((unused)),
                  in_int64_t::packed_int64_t *a,
                  in_int64_t::packed_int64_t *b)
 {
@@ -3046,18 +3046,18 @@
     return cmp_longs (a->val, b->val);
 }
 
-static int cmp_double(void *cmp_arg __attribute__((__unused__)), double *a,double *b)
+static int cmp_double(void *cmp_arg __attribute__((unused)), double *a,double *b)
 {
   return *a < *b ? -1 : *a == *b ? 0 : 1;
 }
 
-static int cmp_row(void *cmp_arg __attribute__((__unused__)), cmp_item_row *a, cmp_item_row *b)
+static int cmp_row(void *cmp_arg __attribute__((unused)), cmp_item_row *a, cmp_item_row *b)
 {
   return a->compare(b);
 }
 
 
-static int cmp_decimal(void *cmp_arg __attribute__((__unused__)), my_decimal *a, my_decimal *b)
+static int cmp_decimal(void *cmp_arg __attribute__((unused)), my_decimal *a, my_decimal *b)
 {
   /*
     We need call of fixing buffer pointer, because fast sort just copy
@@ -3134,7 +3134,7 @@
   return (uchar*) item->val_str(&tmp);
 }
 
-in_row::in_row(uint elements, Item * item __attribute__((__unused__)))
+in_row::in_row(uint elements, Item * item __attribute__((unused)))
 {
   base= (char*) new cmp_item_row[count= elements];
   size= sizeof(cmp_item_row);
@@ -3889,7 +3889,7 @@
 
 
 bool
-Item_cond::fix_fields(THD *thd, Item **ref __attribute__((__unused__)))
+Item_cond::fix_fields(THD *thd, Item **ref __attribute__((unused)))
 {
   assert(fixed == 0);
   List_iterator<Item> li(list);
@@ -3966,7 +3966,7 @@
 }
 
 
-void Item_cond::fix_after_pullout(st_select_lex *new_parent, Item **ref __attribute__((__unused__)))
+void Item_cond::fix_after_pullout(st_select_lex *new_parent, Item **ref __attribute__((unused)))
 {
   List_iterator<Item> li(list);
   Item *item;
@@ -4813,13 +4813,13 @@
     NULL if we cannot apply NOT transformation (see Item::neg_transformer()).
 */
 
-Item *Item_func_not::neg_transformer(THD *thd __attribute__((__unused__)))	/* NOT(x)  ->  x */
+Item *Item_func_not::neg_transformer(THD *thd __attribute__((unused)))	/* NOT(x)  ->  x */
 {
   return args[0];
 }
 
 
-Item *Item_bool_rowready_func2::neg_transformer(THD *thd __attribute__((__unused__)))
+Item *Item_bool_rowready_func2::neg_transformer(THD *thd __attribute__((unused)))
 {
   Item *item= negated_item();
   return item;
@@ -4829,7 +4829,7 @@
 /**
   a IS NULL  ->  a IS NOT NULL.
 */
-Item *Item_func_isnull::neg_transformer(THD *thd __attribute__((__unused__)))
+Item *Item_func_isnull::neg_transformer(THD *thd __attribute__((unused)))
 {
   Item *item= new Item_func_isnotnull(args[0]);
   return item;
@@ -4839,7 +4839,7 @@
 /**
   a IS NOT NULL  ->  a IS NULL.
 */
-Item *Item_func_isnotnull::neg_transformer(THD *thd __attribute__((__unused__)))
+Item *Item_func_isnotnull::neg_transformer(THD *thd __attribute__((unused)))
 {
   Item *item= new Item_func_isnull(args[0]);
   return item;
@@ -4864,7 +4864,7 @@
 }
 
 
-Item *Item_func_nop_all::neg_transformer(THD *thd __attribute__((__unused__)))
+Item *Item_func_nop_all::neg_transformer(THD *thd __attribute__((unused)))
 {
   /* "NOT (e $cmp$ ANY (SELECT ...)) -> e $rev_cmp$" ALL (SELECT ...) */
   Item_func_not_all *new_item= new Item_func_not_all(args[0]);
@@ -4875,7 +4875,7 @@
   return new_item;
 }
 
-Item *Item_func_not_all::neg_transformer(THD *thd __attribute__((__unused__)))
+Item *Item_func_not_all::neg_transformer(THD *thd __attribute__((unused)))
 {
   /* "NOT (e $cmp$ ALL (SELECT ...)) -> e $rev_cmp$" ANY (SELECT ...) */
   Item_func_nop_all *new_item= new Item_func_nop_all(args[0]);
@@ -5115,7 +5115,7 @@
   }
 }
 
-bool Item_equal::fix_fields(THD *thd __attribute__((__unused__)), Item **ref __attribute__((__unused__)))
+bool Item_equal::fix_fields(THD *thd __attribute__((unused)), Item **ref __attribute__((unused)))
 {
   List_iterator_fast<Item_field> li(fields);
   Item *item;

=== modified file 'server/item_cmpfunc.h'
--- server/item_cmpfunc.h	2008-07-13 22:45:08 +0000
+++ server/item_cmpfunc.h	2008-07-26 18:02:40 +0000
@@ -363,7 +363,7 @@
   }
   Item *neg_transformer(THD *thd);
   virtual Item *negated_item();
-  bool subst_argument_checker(uchar **arg __attribute__((__unused__)))
+  bool subst_argument_checker(uchar **arg __attribute__((unused)))
   { return true; }
 };
 
@@ -484,7 +484,7 @@
   enum Functype rev_functype() const { return EQUAL_FUNC; }
   cond_result eq_cmp_result() const { return COND_TRUE; }
   const char *func_name() const { return "<=>"; }
-  Item *neg_transformer(THD *thd __attribute__((__unused__))) { return 0; }
+  Item *neg_transformer(THD *thd __attribute__((unused))) { return 0; }
 };
 
 
@@ -575,13 +575,13 @@
 public:
   inline void negate() { negated= !negated; }
   inline void top_level_item() { pred_level= 1; }
-  Item *neg_transformer(THD *thd __attribute__((__unused__)))
+  Item *neg_transformer(THD *thd __attribute__((unused)))
   {
     negated= !negated;
     return this;
   }
   bool eq(const Item *item, bool binary_cmp) const;
-  bool subst_argument_checker(uchar **arg __attribute__((__unused__)))
+  bool subst_argument_checker(uchar **arg __attribute__((unused)))
   { return true; }
 };
 
@@ -783,8 +783,8 @@
         item  Constant item to store value into. The item must be of the same
               type that create_item() returns.
   */
-  virtual void value_to_item(uint pos __attribute__((__unused__)),
-                             Item *item __attribute__((__unused__))) { }
+  virtual void value_to_item(uint pos __attribute__((unused)),
+                             Item *item __attribute__((unused))) { }
   
   /* Compare values number pos1 and pos2 for equality */
   bool compare_elems(uint pos1, uint pos2)
@@ -935,7 +935,7 @@
   virtual int compare(cmp_item *item)= 0;
   static cmp_item* get_comparator(Item_result type, CHARSET_INFO *cs);
   virtual cmp_item *make_same()= 0;
-  virtual void store_value_by_template(cmp_item *tmpl  __attribute__((__unused__)),
+  virtual void store_value_by_template(cmp_item *tmpl  __attribute__((unused)),
                                        Item *item)
   {
     store_value(item);
@@ -1085,7 +1085,7 @@
   {
     value_res= item->val_str(&value);
   }
-  int cmp(Item *item __attribute__((__unused__)))
+  int cmp(Item *item __attribute__((unused)))
   {
     // Should never be called
     assert(0);
@@ -1437,7 +1437,7 @@
   void traverse_cond(Cond_traverser, void *arg, traverse_order order);
   void neg_arguments(THD *thd);
   enum_field_types field_type() const { return MYSQL_TYPE_LONGLONG; }
-  bool subst_argument_checker(uchar **arg __attribute__((__unused__)))
+  bool subst_argument_checker(uchar **arg __attribute__((unused)))
   { return true; }
   Item *compile(Item_analyzer analyzer, uchar **arg_p,
                 Item_transformer transformer, uchar *arg_t);

=== modified file 'server/item_create.cc'
--- server/item_create.cc	2008-07-25 03:48:54 +0000
+++ server/item_create.cc	2008-07-26 18:02:40 +0000
@@ -3226,7 +3226,7 @@
 }
 
 Create_func *
-find_native_function_builder(THD *thd __attribute__((__unused__)),
+find_native_function_builder(THD *thd __attribute__((unused)),
                              LEX_STRING name)
 {
   Native_func_registry *func;

=== modified file 'server/item_func.cc'
--- server/item_func.cc	2008-07-22 18:31:32 +0000
+++ server/item_func.cc	2008-07-26 18:02:40 +0000
@@ -137,7 +137,7 @@
 */
 
 bool
-Item_func::fix_fields(THD *thd, Item **ref __attribute__((__unused__)))
+Item_func::fix_fields(THD *thd, Item **ref __attribute__((unused)))
 {
   assert(fixed == 0);
   Item **arg,**arg_end;
@@ -195,7 +195,7 @@
 
 
 void Item_func::fix_after_pullout(st_select_lex *new_parent,
-                                  Item **ref __attribute__((__unused__)))
+                                  Item **ref __attribute__((unused)))
 {
   Item **arg,**arg_end;
 
@@ -4320,7 +4320,7 @@
 
 
 void Item_func_get_user_var::print(String *str,
-                                   enum_query_type query_type __attribute__((__unused__)))
+                                   enum_query_type query_type __attribute__((unused)))
 {
   str->append(STRING_WITH_LEN("(@"));
   str->append(name.str,name.length);
@@ -4329,7 +4329,7 @@
 
 
 bool Item_func_get_user_var::eq(const Item *item,
-                                bool binary_cmp __attribute__((__unused__))) const
+                                bool binary_cmp __attribute__((unused))) const
 {
   /* Assume we don't have rtti */
   if (this == item)
@@ -4391,14 +4391,14 @@
 }
 
 
-String* Item_user_var_as_out_param::val_str(String *str __attribute__((__unused__)))
+String* Item_user_var_as_out_param::val_str(String *str __attribute__((unused)))
 {
   assert(0);
   return 0;
 }
 
 
-my_decimal* Item_user_var_as_out_param::val_decimal(my_decimal *decimal_buffer __attribute__((__unused__)))
+my_decimal* Item_user_var_as_out_param::val_decimal(my_decimal *decimal_buffer __attribute__((unused)))
 {
   assert(0);
   return 0;
@@ -4406,7 +4406,7 @@
 
 
 void Item_user_var_as_out_param::print(String *str,
-                                       enum_query_type query_type __attribute__((__unused__)))
+                                       enum_query_type query_type __attribute__((unused)))
 {
   str->append('@');
   str->append(name.str,name.length);

=== modified file 'server/item_func.h'
--- server/item_func.h	2008-07-17 23:11:36 +0000
+++ server/item_func.h	2008-07-26 18:02:40 +0000
@@ -285,7 +285,7 @@
 
   void fix_num_length_and_dec();
   void find_num_type();
-  String *str_op(String *str __attribute__((__unused__)))
+  String *str_op(String *str __attribute__((unused)))
   { assert(0); return 0; }
 };
 
@@ -303,7 +303,7 @@
   }
 
   void find_num_type();
-  String *str_op(String *str __attribute__((__unused__)))
+  String *str_op(String *str __attribute__((unused)))
   { assert(0); return 0; }
 };
 
@@ -991,7 +991,7 @@
 {
 protected:
   udf_handler udf;
-  bool is_expensive_processor(uchar *arg __attribute__((__unused__)))
+  bool is_expensive_processor(uchar *arg __attribute__((unused)))
   { return true; }
 
 public:
@@ -1001,7 +1001,7 @@
     :Item_func(list), udf(udf_arg) {}
   const char *func_name() const { return udf.name(); }
   enum Functype functype() const   { return UDF_FUNC; }
-  bool fix_fields(THD *thd, Item **ref __attribute__((__unused__)))
+  bool fix_fields(THD *thd, Item **ref __attribute__((unused)))
   {
     assert(fixed == 0);
     bool res= udf.fix_fields(thd, this, arg_count, args);

=== modified file 'server/item_row.cc'
--- server/item_row.cc	2008-07-09 22:25:56 +0000
+++ server/item_row.cc	2008-07-26 18:02:40 +0000
@@ -48,14 +48,14 @@
   }
 }
 
-void Item_row::illegal_method_call(const char *method __attribute__((__unused__)))
+void Item_row::illegal_method_call(const char *method __attribute__((unused)))
 {
   assert(0);
   my_error(ER_OPERAND_COLUMNS, MYF(0), 1);
   return;
 }
 
-bool Item_row::fix_fields(THD *thd, Item **ref __attribute__((__unused__)))
+bool Item_row::fix_fields(THD *thd, Item **ref __attribute__((unused)))
 {
   assert(fixed == 0);
   null_value= 0;
@@ -121,7 +121,7 @@
 }
 
 void Item_row::fix_after_pullout(st_select_lex *new_parent,
-                                 Item **ref __attribute__((__unused__)))
+                                 Item **ref __attribute__((unused)))
 {
   used_tables_cache= 0;
   const_item_cache= 1;

=== modified file 'server/item_strfunc.h'
--- server/item_strfunc.h	2008-07-25 03:48:54 +0000
+++ server/item_strfunc.h	2008-07-26 18:02:40 +0000
@@ -365,7 +365,7 @@
   const char *func_name() const { return "user"; }
   const char *fully_qualified_func_name() const { return "user()"; }
   int save_in_field(Field *field,
-                    bool no_conversions __attribute__((__unused__)))
+                    bool no_conversions __attribute__((unused)))
   {
     return save_str_value_in_field(field, &str_value);
   }

=== modified file 'server/item_subselect.cc'
--- server/item_subselect.cc	2008-07-23 00:11:39 +0000
+++ server/item_subselect.cc	2008-07-26 18:02:40 +0000
@@ -147,7 +147,7 @@
 }
 
 Item_subselect::trans_res
-Item_subselect::select_transformer(JOIN *join __attribute__((__unused__)))
+Item_subselect::select_transformer(JOIN *join __attribute__((unused)))
 {
   return(RES_OK);
 }
@@ -1857,7 +1857,7 @@
   @retval false otherwise
 */
 
-bool Item_in_subselect::is_expensive_processor(uchar *arg __attribute__((__unused__)))
+bool Item_in_subselect::is_expensive_processor(uchar *arg __attribute__((unused)))
 {
   return exec_method == MATERIALIZATION;
 }
@@ -2110,7 +2110,7 @@
   }
 }
 
-void subselect_uniquesubquery_engine::fix_length_and_dec(Item_cache **row __attribute__((__unused__)))
+void subselect_uniquesubquery_engine::fix_length_and_dec(Item_cache **row __attribute__((unused)))
 {
   //this never should be called
   assert(0);
@@ -2823,8 +2823,8 @@
     true  error
 */
 
-bool subselect_uniquesubquery_engine::change_result(Item_subselect *si __attribute__((__unused__)),
-                                                    select_result_interceptor *res __attribute__((__unused__)))
+bool subselect_uniquesubquery_engine::change_result(Item_subselect *si __attribute__((unused)),
+                                                    select_result_interceptor *res __attribute__((unused)))
 {
   assert(0);
   return true;

=== modified file 'server/item_sum.cc'
--- server/item_sum.cc	2008-07-22 18:31:32 +0000
+++ server/item_sum.cc	2008-07-26 18:02:40 +0000
@@ -481,7 +481,7 @@
 }
 
 
-Field *Item_sum::create_tmp_field(bool group __attribute__((__unused__)),
+Field *Item_sum::create_tmp_field(bool group __attribute__((unused)),
                                   TABLE *table,
                                   uint convert_blob_length)
 {
@@ -861,7 +861,7 @@
 
 
 static int item_sum_distinct_walk(void *element,
-                                  element_count num_of_dups __attribute__((__unused__)),
+                                  element_count num_of_dups __attribute__((unused)),
                                   void *item)
 {
   return ((Item_sum_distinct*) (item))->unique_walk_function(element);
@@ -1214,7 +1214,7 @@
 
 
 Field *Item_sum_avg::create_tmp_field(bool group, TABLE *table,
-                                      uint convert_blob_len __attribute__((__unused__)))
+                                      uint convert_blob_len __attribute__((unused)))
 {
   Field *field;
   if (group)
@@ -1424,7 +1424,7 @@
   pass around.
 */
 Field *Item_sum_variance::create_tmp_field(bool group, TABLE *table,
-                                           uint convert_blob_len __attribute__((__unused__)))
+                                           uint convert_blob_len __attribute__((unused)))
 {
   Field *field;
   if (group)
@@ -2464,8 +2464,8 @@
 
 C_MODE_START
 
-static int count_distinct_walk(void *elem __attribute__((__unused__)),
-                               element_count count __attribute__((__unused__)),
+static int count_distinct_walk(void *elem __attribute__((unused)),
+                               element_count count __attribute__((unused)),
                                void *arg)
 {
   (*((uint64_t*)arg))++;
@@ -3436,7 +3436,7 @@
 }
 
 
-String* Item_func_group_concat::val_str(String* str __attribute__((__unused__)))
+String* Item_func_group_concat::val_str(String* str __attribute__((unused)))
 {
   assert(fixed == 1);
   if (null_value)

=== modified file 'server/item_sum.h'
--- server/item_sum.h	2008-07-23 00:11:39 +0000
+++ server/item_sum.h	2008-07-26 18:02:40 +0000
@@ -363,7 +363,7 @@
   */
   void no_rows_in_result() { clear(); }
 
-  virtual bool setup(THD *thd __attribute__((__unused__))) {return 0;}
+  virtual bool setup(THD *thd __attribute__((unused))) {return 0;}
   virtual void make_unique(void) {}
   Item *get_tmp_table_item(THD *thd);
   virtual Field *create_tmp_field(bool group, TABLE *table,
@@ -680,7 +680,7 @@
   String *val_str(String *str);
   void reset_field();
   void update_field();
-  Item *result_item(Field *field __attribute__((__unused__)))
+  Item *result_item(Field *field __attribute__((unused)))
   { return new Item_avg_field(hybrid_type, this); }
   void no_rows_in_result() {}
   const char *func_name() const { return "avg("; }
@@ -771,7 +771,7 @@
   my_decimal *val_decimal(my_decimal *);
   void reset_field();
   void update_field();
-  Item *result_item(Field *field __attribute__((__unused__)))
+  Item *result_item(Field *field __attribute__((unused)))
   { return new Item_variance_field(this); }
   void no_rows_in_result() {}
   const char *func_name() const
@@ -813,7 +813,7 @@
     {}
   enum Sumfunctype sum_func () const { return STD_FUNC; }
   double val_real();
-  Item *result_item(Field *field __attribute__((__unused__)))
+  Item *result_item(Field *field __attribute__((unused)))
     { return new Item_std_field(this); }
   const char *func_name() const { return "std("; }
   Item *copy_or_same(THD* thd);

=== modified file 'server/item_timefunc.cc'
--- server/item_timefunc.cc	2008-07-22 18:31:32 +0000
+++ server/item_timefunc.cc	2008-07-26 18:02:40 +0000
@@ -1468,7 +1468,7 @@
 }
 
 
-bool Item_func_from_days::get_date(MYSQL_TIME *ltime, uint fuzzy_date __attribute__((__unused__)))
+bool Item_func_from_days::get_date(MYSQL_TIME *ltime, uint fuzzy_date __attribute__((unused)))
 {
   int64_t value=args[0]->val_int();
   if ((null_value=args[0]->null_value))
@@ -1542,7 +1542,7 @@
 }
 
 
-String *Item_func_curtime::val_str(String *str __attribute__((__unused__)))
+String *Item_func_curtime::val_str(String *str __attribute__((unused)))
 {
   assert(fixed == 1);
   str_value.set(buff, buff_length, &my_charset_bin);
@@ -1591,7 +1591,7 @@
 }
 
 
-String *Item_func_now::val_str(String *str __attribute__((__unused__)))
+String *Item_func_now::val_str(String *str __attribute__((unused)))
 {
   assert(fixed == 1);
   str_value.set(buff,buff_length, &my_charset_bin);
@@ -1648,7 +1648,7 @@
 }
 
 
-int Item_func_now::save_in_field(Field *to, bool no_conversions __attribute__((__unused__)))
+int Item_func_now::save_in_field(Field *to, bool no_conversions __attribute__((unused)))
 {
   to->set_notnull();
   return to->store_time(&ltime, MYSQL_TIMESTAMP_DATETIME);
@@ -1667,7 +1667,7 @@
 }
 
 
-String *Item_func_sysdate_local::val_str(String *str __attribute__((__unused__)))
+String *Item_func_sysdate_local::val_str(String *str __attribute__((unused)))
 {
   assert(fixed == 1);
   store_now_in_TIME(&ltime);
@@ -1710,7 +1710,7 @@
 }
 
 
-int Item_func_sysdate_local::save_in_field(Field *to, bool no_conversions __attribute__((__unused__)))
+int Item_func_sysdate_local::save_in_field(Field *to, bool no_conversions __attribute__((unused)))
 {
   store_now_in_TIME(&ltime);
   to->set_notnull();
@@ -2040,7 +2040,7 @@
 
 /* Here arg[1] is a Item_interval object */
 
-bool Item_date_add_interval::get_date(MYSQL_TIME *ltime, uint fuzzy_date __attribute__((__unused__)))
+bool Item_date_add_interval::get_date(MYSQL_TIME *ltime, uint fuzzy_date __attribute__((unused)))
 {
   INTERVAL interval;
 
@@ -2491,7 +2491,7 @@
 }
 
 
-bool Item_date_typecast::get_date(MYSQL_TIME *ltime, uint fuzzy_date __attribute__((__unused__)))
+bool Item_date_typecast::get_date(MYSQL_TIME *ltime, uint fuzzy_date __attribute__((unused)))
 {
   bool res= get_arg0_date(ltime, TIME_FUZZY_DATE);
   ltime->hour= ltime->minute= ltime->second= ltime->second_part= 0;

=== modified file 'server/item_timefunc.h'
--- server/item_timefunc.h	2008-07-13 22:45:08 +0000
+++ server/item_timefunc.h	2008-07-26 18:02:40 +0000
@@ -356,7 +356,7 @@
     return  val_decimal_from_date(decimal_value);
   }
   int save_in_field(Field *field,
-                    bool no_conversions __attribute__((__unused__)))
+                    bool no_conversions __attribute__((unused)))
   {
     return save_date_in_field(field);
   }
@@ -383,7 +383,7 @@
     return  val_decimal_from_date(decimal_value);
   }
   int save_in_field(Field *field,
-                    bool no_conversions __attribute__((__unused__)))
+                    bool no_conversions __attribute__((unused)))
   {
     return save_date_in_field(field);
   }
@@ -414,7 +414,7 @@
     return  val_decimal_from_time(decimal_value);
   }
   int save_in_field(Field *field,
-                    bool no_conversions __attribute__((__unused__)))
+                    bool no_conversions __attribute__((unused)))
   {
     return save_time_in_field(field);
   }
@@ -787,7 +787,7 @@
     return  val_decimal_from_date(decimal_value);
   }
   int save_in_field(Field *field,
-                    bool no_conversions __attribute__((__unused__)))
+                    bool no_conversions __attribute__((unused)))
   {
     return save_date_in_field(field);
   }
@@ -816,7 +816,7 @@
     return  val_decimal_from_time(decimal_value);
   }
   int save_in_field(Field *field,
-                    bool no_conversions __attribute__((__unused__)))
+                    bool no_conversions __attribute__((unused)))
   {
     return save_time_in_field(field);
   }
@@ -852,7 +852,7 @@
     return  val_decimal_from_date(decimal_value);
   }
   int save_in_field(Field *field,
-                    bool no_conversions __attribute__((__unused__)))
+                    bool no_conversions __attribute__((unused)))
   {
     return save_date_in_field(field);
   }

=== modified file 'server/lock.cc'
--- server/lock.cc	2008-07-18 22:05:16 +0000
+++ server/lock.cc	2008-07-26 18:02:40 +0000
@@ -131,9 +131,9 @@
   @param flags Lock flags
   @return 0 if all the check passed, non zero if a check failed.
 */
-int mysql_lock_tables_check(THD *thd __attribute__((__unused__)),
+int mysql_lock_tables_check(THD *thd __attribute__((unused)),
                             TABLE **tables, uint count,
-                            uint flags __attribute__((__unused__)))
+                            uint flags __attribute__((unused)))
 {
   uint system_count;
   uint i;
@@ -1014,7 +1014,7 @@
 }
 
 
-void unlock_table_name(THD *thd __attribute__((__unused__)),
+void unlock_table_name(THD *thd __attribute__((unused)),
                        TABLE_LIST *table_list)
 {
   if (table_list->table)
@@ -1025,7 +1025,7 @@
 }
 
 
-static bool locked_named_table(THD *thd __attribute__((__unused__)),
+static bool locked_named_table(THD *thd __attribute__((unused)),
                                TABLE_LIST *table_list)
 {
   for (; table_list ; table_list=table_list->next_local)

=== modified file 'server/log.cc'
--- server/log.cc	2008-07-23 17:36:11 +0000
+++ server/log.cc	2008-07-26 18:02:40 +0000
@@ -203,11 +203,11 @@
 
 
 /* Check if a given table is opened log table */
-int check_if_log_table(uint db_len __attribute__((__unused__)),
-                       const char *db __attribute__((__unused__)),
-                       uint table_name_len __attribute__((__unused__)),
-                       const char *table_name __attribute__((__unused__)),
-                       uint check_if_opened __attribute__((__unused__)))
+int check_if_log_table(uint db_len __attribute__((unused)),
+                       const char *db __attribute__((unused)),
+                       uint table_name_len __attribute__((unused)),
+                       const char *table_name __attribute__((unused)),
+                       uint check_if_opened __attribute__((unused)))
 {
   return 0;
 }
@@ -249,12 +249,12 @@
 */
 
 bool Log_to_file_event_handler::
-  log_general(THD *thd __attribute__((__unused__)),
+  log_general(THD *thd __attribute__((unused)),
               time_t event_time, const char *user_host,
               uint user_host_len, int thread_id,
               const char *command_type, uint command_type_len,
               const char *sql_text, uint sql_text_len,
-              CHARSET_INFO *client_cs __attribute__((__unused__)))
+              CHARSET_INFO *client_cs __attribute__((unused)))
 {
   return mysql_log.write(event_time, user_host, user_host_len,
                          thread_id, command_type, command_type_len,
@@ -366,7 +366,7 @@
 }
 
 
-bool LOGGER::flush_logs(THD *thd __attribute__((__unused__)))
+bool LOGGER::flush_logs(THD *thd __attribute__((unused)))
 {
   int rc= 0;
 
@@ -577,7 +577,7 @@
 }
 
 
-bool LOGGER::activate_log_handler(THD* thd __attribute__((__unused__)),
+bool LOGGER::activate_log_handler(THD* thd __attribute__((unused)),
                                   uint log_type)
 {
   MYSQL_QUERY_LOG *file_log;
@@ -612,7 +612,7 @@
 }
 
 
-void LOGGER::deactivate_log_handler(THD *thd __attribute__((__unused__)),
+void LOGGER::deactivate_log_handler(THD *thd __attribute__((unused)),
                                     uint log_type)
 {
   bool *tmp_opt= 0;
@@ -739,7 +739,7 @@
   return 0;
 }
 
-static int binlog_close_connection(handlerton *hton __attribute__((__unused__)),
+static int binlog_close_connection(handlerton *hton __attribute__((unused)),
                                    THD *thd)
 {
   binlog_trx_data *const trx_data=
@@ -846,9 +846,9 @@
   return(error);
 }
 
-static int binlog_prepare(handlerton *hton __attribute__((__unused__)),
-                          THD *thd __attribute__((__unused__)),
-                          bool all __attribute__((__unused__)))
+static int binlog_prepare(handlerton *hton __attribute__((unused)),
+                          THD *thd __attribute__((unused)),
+                          bool all __attribute__((unused)))
 {
   /*
     do nothing.
@@ -874,7 +874,7 @@
 
   @see handlerton::commit
 */
-static int binlog_commit(handlerton *hton __attribute__((__unused__)),
+static int binlog_commit(handlerton *hton __attribute__((unused)),
                          THD *thd, bool all)
 {
   binlog_trx_data *const trx_data=
@@ -972,7 +972,7 @@
 
   @see handlerton::rollback
 */
-static int binlog_rollback(handlerton *hton __attribute__((__unused__)),
+static int binlog_rollback(handlerton *hton __attribute__((unused)),
                            THD *thd, bool all)
 {
   int error=0;
@@ -1037,7 +1037,7 @@
   that case there is no need to have it in the binlog).
 */
 
-static int binlog_savepoint_set(handlerton *hton __attribute__((__unused__)),
+static int binlog_savepoint_set(handlerton *hton __attribute__((unused)),
                                 THD *thd, void *sv)
 {
   binlog_trans_log_savepos(thd, (my_off_t*) sv);
@@ -1049,7 +1049,7 @@
   return(error);
 }
 
-static int binlog_savepoint_rollback(handlerton *hton __attribute__((__unused__)),
+static int binlog_savepoint_rollback(handlerton *hton __attribute__((unused)),
                                      THD *thd, void *sv)
 {
   /*
@@ -1428,8 +1428,8 @@
 */
 
 bool MYSQL_QUERY_LOG::write(time_t event_time,
-                            const char *user_host __attribute__((__unused__)),
-                            uint user_host_len __attribute__((__unused__)),
+                            const char *user_host __attribute__((unused)),
+                            uint user_host_len __attribute__((unused)),
                             int thread_id,
                             const char *command_type, uint command_type_len,
                             const char *sql_text, uint sql_text_len)
@@ -1530,7 +1530,7 @@
 */
 
 bool MYSQL_QUERY_LOG::write(THD *thd, time_t current_time,
-                            time_t query_start_arg __attribute__((__unused__)),
+                            time_t query_start_arg __attribute__((unused)),
                             const char *user_host,
                             uint user_host_len, uint64_t query_utime,
                             uint64_t lock_utime, bool is_command,
@@ -3896,9 +3896,9 @@
     return an error (e.g. logging to the log tables)
 */
 static void print_buffer_to_file(enum loglevel level,
-                                 int error_code __attribute__((__unused__)),
+                                 int error_code __attribute__((unused)),
                                  const char *buffer,
-                                 size_t buffer_length __attribute__((__unused__)))
+                                 size_t buffer_length __attribute__((unused)))
 {
   time_t skr;
   struct tm tm_tmp;
@@ -4227,7 +4227,7 @@
     to the position in memory where xid was logged to.
 */
 
-int TC_LOG_MMAP::log_xid(THD *thd __attribute__((__unused__)), my_xid xid)
+int TC_LOG_MMAP::log_xid(THD *thd __attribute__((unused)), my_xid xid)
 {
   int err;
   PAGE *p;
@@ -4339,7 +4339,7 @@
   cookie points directly to the memory where xid was logged.
 */
 
-void TC_LOG_MMAP::unlog(ulong cookie, my_xid xid __attribute__((__unused__)))
+void TC_LOG_MMAP::unlog(ulong cookie, my_xid xid __attribute__((unused)))
 {
   PAGE *p=pages+(cookie/tc_log_page_size);
   my_xid *x=(my_xid *)(data+cookie);
@@ -4597,8 +4597,8 @@
   return(!binlog_end_trans(thd, trx_data, &xle, true));
 }
 
-void TC_LOG_BINLOG::unlog(ulong cookie __attribute__((__unused__)),
-                          my_xid xid __attribute__((__unused__)))
+void TC_LOG_BINLOG::unlog(ulong cookie __attribute__((unused)),
+                          my_xid xid __attribute__((unused)))
 {
   pthread_mutex_lock(&LOCK_prep_xids);
   assert(prepared_xids > 0);

=== modified file 'server/log.h'
--- server/log.h	2008-07-22 18:31:32 +0000
+++ server/log.h	2008-07-26 18:02:40 +0000
@@ -41,13 +41,13 @@
 {
 public:
   TC_LOG_DUMMY() {}
-  int open(const char *opt_name __attribute__((__unused__)))
+  int open(const char *opt_name __attribute__((unused)))
   { return 0; }
   void close(void)                          { }
-  int log_xid(THD *thd __attribute__((__unused__)),
-              my_xid xid __attribute__((__unused__)))         { return 1; }
-  void unlog(ulong cookie __attribute__((__unused__)),
-             my_xid xid __attribute__((__unused__)))  { }
+  int log_xid(THD *thd __attribute__((unused)),
+              my_xid xid __attribute__((unused)))         { return 1; }
+  void unlog(ulong cookie __attribute__((unused)),
+             my_xid xid __attribute__((unused)))  { }
 };
 
 #ifdef HAVE_MMAP

=== modified file 'server/log_event.cc'
--- server/log_event.cc	2008-07-23 00:11:39 +0000
+++ server/log_event.cc	2008-07-26 18:02:40 +0000
@@ -2976,7 +2976,7 @@
 }
 
 Log_event::enum_skip_reason
-Format_description_log_event::do_shall_skip(Relay_log_info *rli __attribute__((__unused__)))
+Format_description_log_event::do_shall_skip(Relay_log_info *rli __attribute__((unused)))
 {
   return Log_event::EVENT_SKIP_NOT;
 }
@@ -4269,7 +4269,7 @@
 
 
 #if defined(HAVE_REPLICATION) && !defined(MYSQL_CLIENT)
-int Xid_log_event::do_apply_event(Relay_log_info const *rli __attribute__((__unused__)))
+int Xid_log_event::do_apply_event(Relay_log_info const *rli __attribute__((unused)))
 {
   /* For a slave Xid_log_event is COMMIT */
   general_log_print(thd, COM_QUERY,
@@ -4818,7 +4818,7 @@
 
 
 #ifndef MYSQL_CLIENT
-int Slave_log_event::do_apply_event(Relay_log_info const *rli __attribute__((__unused__)))
+int Slave_log_event::do_apply_event(Relay_log_info const *rli __attribute__((unused)))
 {
   if (mysql_bin_log.is_open())
     mysql_bin_log.write(this);
@@ -5379,7 +5379,7 @@
 */
 
 #if defined(HAVE_REPLICATION) && !defined(MYSQL_CLIENT)
-int Delete_file_log_event::do_apply_event(Relay_log_info const *rli __attribute__((__unused__)))
+int Delete_file_log_event::do_apply_event(Relay_log_info const *rli __attribute__((unused)))
 {
   char fname[FN_REFLEN+10];
   char *ext= slave_load_file_stem(fname, file_id, server_id, ".data");
@@ -6770,7 +6770,7 @@
  */
 #if !defined(MYSQL_CLIENT)
 Table_map_log_event::Table_map_log_event(THD *thd, TABLE *tbl, ulong tid,
-                                         bool is_transactional __attribute__((__unused__)),
+                                         bool is_transactional __attribute__((unused)),
                                          uint16_t flags)
   : Log_event(thd, 0, true),
     m_table(tbl),

=== modified file 'server/log_event.h'
--- server/log_event.h	2008-07-23 00:11:39 +0000
+++ server/log_event.h	2008-07-26 18:02:40 +0000
@@ -929,7 +929,7 @@
   }
 
   static void operator delete(void *ptr,
-                              size_t size __attribute__((__unused__)))
+                              size_t size __attribute__((unused)))
   {
     my_free((uchar*) ptr, MYF(MY_WME|MY_ALLOW_ZERO_PTR));
   }
@@ -946,7 +946,7 @@
             write_data_header(file) ||
             write_data_body(file));
   }
-  virtual bool write_data_header(IO_CACHE* file __attribute__((__unused__)))
+  virtual bool write_data_header(IO_CACHE* file __attribute__((unused)))
   { return 0; }
   virtual bool write_data_body(IO_CACHE* file __attribute__((unused)))
   { return 0; }
@@ -1075,7 +1075,7 @@
     @retval 0     Event applied successfully
     @retval errno Error code if event application failed
   */
-  virtual int do_apply_event(Relay_log_info const *rli __attribute__((__unused__)))
+  virtual int do_apply_event(Relay_log_info const *rli __attribute__((unused)))
   {
     return 0;                /* Default implementation does nothing */
   }
@@ -1578,7 +1578,7 @@
   Log_event_type get_type_code() { return QUERY_EVENT; }
 #ifndef MYSQL_CLIENT
   bool write(IO_CACHE* file);
-  virtual bool write_post_header_for_derived(IO_CACHE* file __attribute__((__unused__)))
+  virtual bool write_post_header_for_derived(IO_CACHE* file __attribute__((unused)))
   { return false; }
 #endif
   bool is_valid() const { return query != 0; }
@@ -2368,7 +2368,7 @@
   uint charset_number;
   bool is_null;
 #ifndef MYSQL_CLIENT
-  User_var_log_event(THD* thd_arg __attribute__((__unused__)),
+  User_var_log_event(THD* thd_arg __attribute__((unused)),
                      char *name_arg, uint name_len_arg,
                      char *val_arg, ulong val_len_arg, Item_result type_arg,
 		     uint charset_number_arg)
@@ -2427,7 +2427,7 @@
 private:
 #if !defined(MYSQL_CLIENT) && defined(HAVE_REPLICATION)
   virtual int do_update_pos(Relay_log_info *rli);
-  virtual enum_skip_reason do_shall_skip(Relay_log_info *rli __attribute__((__unused__)))
+  virtual enum_skip_reason do_shall_skip(Relay_log_info *rli __attribute__((unused)))
   {
     /*
       Events from ourself should be skipped, but they should not

=== modified file 'server/my_decimal.h'
--- server/my_decimal.h	2008-07-23 00:11:39 +0000
+++ server/my_decimal.h	2008-07-26 18:02:40 +0000
@@ -269,7 +269,7 @@
 
 
 inline
-int my_decimal2double(uint mask __attribute__((__unused__)), 
+int my_decimal2double(uint mask __attribute__((unused)), 
                       const my_decimal *d, double *result)
 {
   /* No need to call check_result as this will always succeed */

=== modified file 'server/opt_range.cc'
--- server/opt_range.cc	2008-07-23 00:11:39 +0000
+++ server/opt_range.cc	2008-07-26 18:02:40 +0000
@@ -1886,11 +1886,11 @@
   /* Table read plans are allocated on MEM_ROOT and are never deleted */
   static void *operator new(size_t size, MEM_ROOT *mem_root)
   { return (void*) alloc_root(mem_root, (uint) size); }
-  static void operator delete(void *ptr __attribute__((__unused__)),
-                              size_t size __attribute__((__unused__)))
+  static void operator delete(void *ptr __attribute__((unused)),
+                              size_t size __attribute__((unused)))
     { TRASH(ptr, size); }
-  static void operator delete(void *ptr __attribute__((__unused__)),
-                              MEM_ROOT *mem_root __attribute__((__unused__)))
+  static void operator delete(void *ptr __attribute__((unused)),
+                              MEM_ROOT *mem_root __attribute__((unused)))
     { /* Never called */ }
   virtual ~TABLE_READ_PLAN() {}               /* Remove gcc warning */
 
@@ -1922,7 +1922,7 @@
   virtual ~TRP_RANGE() {}                     /* Remove gcc warning */
 
   QUICK_SELECT_I *make_quick(PARAM *param,
-                             bool retrieve_full_rows __attribute__((__unused__)),
+                             bool retrieve_full_rows __attribute__((unused)),
                              MEM_ROOT *parent_alloc)
   {
     QUICK_RANGE_SELECT *quick;
@@ -3601,8 +3601,8 @@
 
 
 QUICK_SELECT_I *TRP_INDEX_MERGE::make_quick(PARAM *param,
-                                            bool retrieve_full_rows __attribute__((__unused__)),
-                                            MEM_ROOT *parent_alloc __attribute__((__unused__)))
+                                            bool retrieve_full_rows __attribute__((unused)),
+                                            MEM_ROOT *parent_alloc __attribute__((unused)))
 {
   QUICK_INDEX_MERGE_SELECT *quick_imerge;
   QUICK_RANGE_SELECT *quick;
@@ -3678,8 +3678,8 @@
 
 
 QUICK_SELECT_I *TRP_ROR_UNION::make_quick(PARAM *param,
-                                          bool retrieve_full_rows __attribute__((__unused__)),
-                                          MEM_ROOT *parent_alloc __attribute__((__unused__)))
+                                          bool retrieve_full_rows __attribute__((unused)),
+                                          MEM_ROOT *parent_alloc __attribute__((unused)))
 {
   QUICK_ROR_UNION_SELECT *quick_roru;
   TABLE_READ_PLAN **scan;
@@ -4264,7 +4264,7 @@
 get_mm_parts(RANGE_OPT_PARAM *param, COND *cond_func, Field *field,
 	     Item_func::Functype type,
 	     Item *value,
-             Item_result cmp_type __attribute__((__unused__)))
+             Item_result cmp_type __attribute__((unused)))
 {
   if (field->table != param->table)
     return(0);
@@ -5925,8 +5925,8 @@
 */
 
 range_seq_t sel_arg_range_seq_init(void *init_param,
-                                   uint n_ranges __attribute__((__unused__)),
-                                   uint flags __attribute__((__unused__)))
+                                   uint n_ranges __attribute__((unused)),
+                                   uint flags __attribute__((unused)))
 {
   SEL_ARG_RANGE_SEQ *seq= (SEL_ARG_RANGE_SEQ*)init_param;
   seq->at_start= true;
@@ -7043,8 +7043,8 @@
 */
 
 range_seq_t quick_range_seq_init(void *init_param,
-                                 uint n_ranges __attribute__((__unused__)),
-                                 uint flags __attribute__((__unused__)))
+                                 uint n_ranges __attribute__((unused)),
+                                 uint flags __attribute__((unused)))
 {
   QUICK_RANGE_SELECT *quick= (QUICK_RANGE_SELECT*)init_param;
   quick->qr_traversal_ctx.first=  (QUICK_RANGE**)quick->ranges.buffer;
@@ -7152,8 +7152,8 @@
     Reference to range-associated data
 */
 
-char* &mrr_get_ptr_by_idx(range_seq_t seq __attribute__((__unused__)),
-                          uint idx __attribute__((__unused__)))
+char* &mrr_get_ptr_by_idx(range_seq_t seq __attribute__((unused)),
+                          uint idx __attribute__((unused)))
 {
   static char *dummy;
   return dummy;
@@ -7334,8 +7334,8 @@
  */
 
 QUICK_SELECT_DESC::QUICK_SELECT_DESC(QUICK_RANGE_SELECT *q,
-                                     uint used_key_parts_arg __attribute__((__unused__)),
-                                     bool *create_err __attribute__((__unused__)))
+                                     uint used_key_parts_arg __attribute__((unused)),
+                                     bool *create_err __attribute__((unused)))
  :QUICK_RANGE_SELECT(*q), rev_it(rev_ranges)
 {
   QUICK_RANGE *r;
@@ -8395,12 +8395,12 @@
 */
 
 static bool
-get_constant_key_infix(KEY *index_info __attribute__((__unused__)),
+get_constant_key_infix(KEY *index_info __attribute__((unused)),
                        SEL_ARG *index_range_tree,
                        KEY_PART_INFO *first_non_group_part,
                        KEY_PART_INFO *min_max_arg_part,
                        KEY_PART_INFO *last_part,
-                       THD *thd __attribute__((__unused__)),
+                       THD *thd __attribute__((unused)),
                        uchar *key_infix, uint *key_infix_len,
                        KEY_PART_INFO **first_non_infix_part)
 {
@@ -8594,7 +8594,7 @@
 
 void cost_group_min_max(TABLE* table, KEY *index_info, uint used_key_parts,
                         uint group_key_parts, SEL_TREE *range_tree,
-                        SEL_ARG *index_tree __attribute__((__unused__)),
+                        SEL_ARG *index_tree __attribute__((unused)),
                         ha_rows quick_prefix_records,
                         bool have_min, bool have_max,
                         double *read_cost, ha_rows *records)
@@ -8691,7 +8691,7 @@
 
 QUICK_SELECT_I *
 TRP_GROUP_MIN_MAX::make_quick(PARAM *param,
-                              bool retrieve_full_rows __attribute__((__unused__)),
+                              bool retrieve_full_rows __attribute__((unused)),
                               MEM_ROOT *parent_alloc)
 {
   QUICK_GROUP_MIN_MAX_SELECT *quick;
@@ -9742,7 +9742,7 @@
 }
 
 static void print_sel_tree(PARAM *param, SEL_TREE *tree, key_map *tree_map,
-                           const char *msg __attribute__((__unused__)))
+                           const char *msg __attribute__((unused)))
 {
   SEL_ARG **key,**end;
   int idx;
@@ -9770,7 +9770,7 @@
 
 
 static void print_ror_scans_arr(TABLE *table,
-                                const char *msg __attribute__((__unused__)),
+                                const char *msg __attribute__((unused)),
                                 struct st_ror_scan_info **start,
                                 struct st_ror_scan_info **end)
 {

=== modified file 'server/opt_range.h'
--- server/opt_range.h	2008-07-23 00:11:39 +0000
+++ server/opt_range.h	2008-07-26 18:02:40 +0000
@@ -212,7 +212,7 @@
       0     Ok
       other Error
   */
-  virtual int init_ror_merged_scan(bool reuse_handler __attribute__((__unused__)))
+  virtual int init_ror_merged_scan(bool reuse_handler __attribute__((unused)))
   { assert(0); return 1; }
 
   /*
@@ -234,7 +234,7 @@
     This function is implemented only by quick selects that merge other quick
     selects output and/or can produce output suitable for merging.
   */
-  virtual void add_info_string(String *str __attribute__((__unused__))) {};
+  virtual void add_info_string(String *str __attribute__((unused))) {};
   /*
     Return 1 if any index used by this quick select
     uses field which is marked in passed bitmap.

=== modified file 'server/records.cc'
--- server/records.cc	2008-07-23 00:11:39 +0000
+++ server/records.cc	2008-07-26 18:02:40 +0000
@@ -53,7 +53,7 @@
 */
 
 void init_read_record_idx(READ_RECORD *info,
-                          THD *thd __attribute__((__unused__)),
+                          THD *thd __attribute__((unused)),
                           TABLE *table,
                           bool print_error, uint idx)
 {

=== modified file 'server/rpl_record.cc'
--- server/rpl_record.cc	2008-07-23 00:11:39 +0000
+++ server/rpl_record.cc	2008-07-26 18:02:40 +0000
@@ -320,7 +320,7 @@
 */
 int prepare_record(TABLE *const table,
                    const MY_BITMAP *cols,
-                   uint width __attribute__((__unused__)),
+                   uint width __attribute__((unused)),
                    const bool check)
 {
 

=== modified file 'server/scheduler.cc'
--- server/scheduler.cc	2008-07-10 02:09:20 +0000
+++ server/scheduler.cc	2008-07-26 18:02:40 +0000
@@ -31,10 +31,10 @@
  */
 
 static bool init_dummy(void) {return 0;}
-static void post_kill_dummy(THD *thd __attribute__((__unused__))) {}
+static void post_kill_dummy(THD *thd __attribute__((unused))) {}
 static void end_dummy(void) {}
-static bool end_thread_dummy(THD *thd __attribute__((__unused__)),
-                             bool cache_thread __attribute__((__unused__)))
+static bool end_thread_dummy(THD *thd __attribute__((unused)),
+                             bool cache_thread __attribute__((unused)))
 { return 0; }
 
 /*
@@ -463,7 +463,7 @@
   These procs only return/terminate on shutdown (kill_pool_threads == true).
 */
 
-pthread_handler_t libevent_thread_proc(void *arg __attribute__((__unused__)))
+pthread_handler_t libevent_thread_proc(void *arg __attribute__((unused)))
 {
   if (init_new_connection_handler_thread())
   {

=== modified file 'server/set_var.cc'
--- server/set_var.cc	2008-07-22 18:31:32 +0000
+++ server/set_var.cc	2008-07-26 18:02:40 +0000
@@ -635,7 +635,7 @@
 };
 
 
-bool sys_var::check(THD *thd __attribute__((__unused__)), set_var *var)
+bool sys_var::check(THD *thd __attribute__((unused)), set_var *var)
 {
   var->save_result.uint64_t_value= var->value->val_int();
   return 0;
@@ -689,28 +689,28 @@
 }
 
 
-static bool sys_update_init_connect(THD *thd __attribute__((__unused__)), set_var *var)
+static bool sys_update_init_connect(THD *thd __attribute__((unused)), set_var *var)
 {
   return update_sys_var_str(&sys_init_connect, &LOCK_sys_init_connect, var);
 }
 
 
-static void sys_default_init_connect(THD* thd __attribute__((__unused__)),
-                                     enum_var_type type __attribute__((__unused__)))
+static void sys_default_init_connect(THD* thd __attribute__((unused)),
+                                     enum_var_type type __attribute__((unused)))
 {
   update_sys_var_str(&sys_init_connect, &LOCK_sys_init_connect, 0);
 }
 
 
-static bool sys_update_init_slave(THD *thd __attribute__((__unused__)),
+static bool sys_update_init_slave(THD *thd __attribute__((unused)),
                                   set_var *var)
 {
   return update_sys_var_str(&sys_init_slave, &LOCK_sys_init_slave, var);
 }
 
 
-static void sys_default_init_slave(THD* thd __attribute__((__unused__)),
-                                   enum_var_type type __attribute__((__unused__)))
+static void sys_default_init_slave(THD* thd __attribute__((unused)),
+                                   enum_var_type type __attribute__((unused)))
 {
   update_sys_var_str(&sys_init_slave, &LOCK_sys_init_slave, 0);
 }
@@ -734,8 +734,8 @@
 
 
 static void
-fix_myisam_max_sort_file_size(THD *thd __attribute__((__unused__)),
-                              enum_var_type type __attribute__((__unused__)))
+fix_myisam_max_sort_file_size(THD *thd __attribute__((unused)),
+                              enum_var_type type __attribute__((unused)))
 {
   myisam_max_temp_length=
     (my_off_t) global_system_variables.myisam_max_sort_file_size;
@@ -785,7 +785,7 @@
 static void fix_completion_type(THD *thd __attribute__((unused)),
 				enum_var_type type __attribute__((unused))) {}
 
-static int check_completion_type(THD *thd __attribute__((__unused__)),
+static int check_completion_type(THD *thd __attribute__((unused)),
                                  set_var *var)
 {
   int64_t val= var->value->val_int();
@@ -835,8 +835,8 @@
 #endif /* HAVE_REPLICATION */
 
 
-extern void fix_delay_key_write(THD *thd __attribute__((__unused__)),
-                                enum_var_type type __attribute__((__unused__)))
+extern void fix_delay_key_write(THD *thd __attribute__((unused)),
+                                enum_var_type type __attribute__((unused)))
 {
   switch ((enum_delay_key_write) delay_key_write_options) {
   case DELAY_KEY_WRITE_NONE:
@@ -852,7 +852,7 @@
   }
 }
 
-bool sys_var_set::update(THD *thd __attribute__((__unused__)),
+bool sys_var_set::update(THD *thd __attribute__((unused)),
                          set_var *var)
 {
   *value= var->save_result.ulong_value;
@@ -860,8 +860,8 @@
 }
 
 uchar *sys_var_set::value_ptr(THD *thd,
-                              enum_var_type type __attribute__((__unused__)),
-                              LEX_STRING *base __attribute__((__unused__)))
+                              enum_var_type type __attribute__((unused)),
+                              LEX_STRING *base __attribute__((unused)))
 {
   char buff[256];
   String tmp(buff, sizeof(buff), &my_charset_latin1);
@@ -884,8 +884,8 @@
   return (uchar*) thd->strmake(tmp.ptr(), length);
 }
 
-void sys_var_set_slave_mode::set_default(THD *thd __attribute__((__unused__)),
-                                         enum_var_type type __attribute__((__unused__)))
+void sys_var_set_slave_mode::set_default(THD *thd __attribute__((unused)),
+                                         enum_var_type type __attribute__((unused)))
 {
   slave_exec_mode_options= 0;
   bit_do_set(slave_exec_mode_options, SLAVE_EXEC_MODE_STRICT);
@@ -913,7 +913,7 @@
   return rc;
 }
 
-void fix_slave_exec_mode(enum_var_type type __attribute__((__unused__)))
+void fix_slave_exec_mode(enum_var_type type __attribute__((unused)))
 {
   if (bit_is_set(slave_exec_mode_options, SLAVE_EXEC_MODE_STRICT) == 1 &&
       bit_is_set(slave_exec_mode_options, SLAVE_EXEC_MODE_IDEMPOTENT) == 1)
@@ -962,14 +962,14 @@
 
 
 void fix_binlog_format_after_update(THD *thd,
-                                    enum_var_type type __attribute__((__unused__)))
+                                    enum_var_type type __attribute__((unused)))
 {
   thd->reset_current_stmt_binlog_row_based();
 }
 
 
-static void fix_max_binlog_size(THD *thd __attribute__((__unused__)),
-                                enum_var_type type __attribute__((__unused__)))
+static void fix_max_binlog_size(THD *thd __attribute__((unused)),
+                                enum_var_type type __attribute__((unused)))
 {
   mysql_bin_log.set_max_size(max_binlog_size);
 #ifdef HAVE_REPLICATION
@@ -979,8 +979,8 @@
   return;
 }
 
-static void fix_max_relay_log_size(THD *thd __attribute__((__unused__)),
-                                   enum_var_type type __attribute__((__unused__)))
+static void fix_max_relay_log_size(THD *thd __attribute__((unused)),
+                                   enum_var_type type __attribute__((unused)))
 {
 #ifdef HAVE_REPLICATION
   active_mi->rli.relay_log.set_max_size(max_relay_log_size ?
@@ -989,8 +989,8 @@
   return;
 }
 
-static void fix_max_connections(THD *thd __attribute__((__unused__)),
-                                enum_var_type type __attribute__((__unused__)))
+static void fix_max_connections(THD *thd __attribute__((unused)),
+                                enum_var_type type __attribute__((unused)))
 {
   resize_thr_alarm(max_connections +  10);
 }
@@ -1014,8 +1014,8 @@
 }
 
 
-static void fix_server_id(THD *thd __attribute__((__unused__)),
-                          enum_var_type type __attribute__((__unused__)))
+static void fix_server_id(THD *thd __attribute__((unused)),
+                          enum_var_type type __attribute__((unused)))
 {
   server_id_supplied = 1;
   thd->server_id= server_id;
@@ -1051,7 +1051,7 @@
   return out;
 }
 
-static bool get_unsigned(THD *thd __attribute__((__unused__)), set_var *var)
+static bool get_unsigned(THD *thd __attribute__((unused)), set_var *var)
 {
   if (var->value->unsigned_flag)
     var->save_result.uint64_t_value= (uint64_t) var->value->val_int();
@@ -1102,7 +1102,7 @@
 }
 
 
-void sys_var_long_ptr_global::set_default(THD *thd __attribute__((__unused__)), enum_var_type type __attribute__((__unused__)))
+void sys_var_long_ptr_global::set_default(THD *thd __attribute__((unused)), enum_var_type type __attribute__((unused)))
 {
   bool not_used;
   pthread_mutex_lock(guard);
@@ -1125,8 +1125,8 @@
 }
 
 
-void sys_var_uint64_t_ptr::set_default(THD *thd __attribute__((__unused__)),
-                                        enum_var_type type __attribute__((__unused__)))
+void sys_var_uint64_t_ptr::set_default(THD *thd __attribute__((unused)),
+                                        enum_var_type type __attribute__((unused)))
 {
   bool not_used;
   pthread_mutex_lock(&LOCK_global_system_variables);
@@ -1136,37 +1136,37 @@
 }
 
 
-bool sys_var_bool_ptr::update(THD *thd __attribute__((__unused__)), set_var *var)
+bool sys_var_bool_ptr::update(THD *thd __attribute__((unused)), set_var *var)
 {
   *value= (bool) var->save_result.ulong_value;
   return 0;
 }
 
 
-void sys_var_bool_ptr::set_default(THD *thd __attribute__((__unused__)), enum_var_type type __attribute__((__unused__)))
+void sys_var_bool_ptr::set_default(THD *thd __attribute__((unused)), enum_var_type type __attribute__((unused)))
 {
   *value= (bool) option_limits->def_value;
 }
 
 
-bool sys_var_enum::update(THD *thd __attribute__((__unused__)), set_var *var)
+bool sys_var_enum::update(THD *thd __attribute__((unused)), set_var *var)
 {
   *value= (uint) var->save_result.ulong_value;
   return 0;
 }
 
 
-uchar *sys_var_enum::value_ptr(THD *thd __attribute__((__unused__)),
-                               enum_var_type type __attribute__((__unused__)),
-                               LEX_STRING *base __attribute__((__unused__)))
+uchar *sys_var_enum::value_ptr(THD *thd __attribute__((unused)),
+                               enum_var_type type __attribute__((unused)),
+                               LEX_STRING *base __attribute__((unused)))
 {
   return (uchar*) enum_names->type_names[*value];
 }
 
 
-uchar *sys_var_enum_const::value_ptr(THD *thd __attribute__((__unused__)),
-                                     enum_var_type type __attribute__((__unused__)),
-                                     LEX_STRING *base __attribute__((__unused__)))
+uchar *sys_var_enum_const::value_ptr(THD *thd __attribute__((unused)),
+                                     enum_var_type type __attribute__((unused)),
+                                     LEX_STRING *base __attribute__((unused)))
 {
   return (uchar*) enum_names->type_names[global_system_variables.*offset];
 }
@@ -1223,7 +1223,7 @@
 
 
 uchar *sys_var_thd_ulong::value_ptr(THD *thd, enum_var_type type,
-                                    LEX_STRING *base __attribute__((__unused__)))
+                                    LEX_STRING *base __attribute__((unused)))
 {
   if (type == OPT_GLOBAL)
     return (uchar*) &(global_system_variables.*offset);
@@ -1272,7 +1272,7 @@
 
 
 uchar *sys_var_thd_ha_rows::value_ptr(THD *thd, enum_var_type type,
-                                      LEX_STRING *base __attribute__((__unused__)))
+                                      LEX_STRING *base __attribute__((unused)))
 {
   if (type == OPT_GLOBAL)
     return (uchar*) &(global_system_variables.*offset);
@@ -1323,7 +1323,7 @@
 
 
 uchar *sys_var_thd_uint64_t::value_ptr(THD *thd, enum_var_type type,
-                                        LEX_STRING *base __attribute__((__unused__)))
+                                        LEX_STRING *base __attribute__((unused)))
 {
   if (type == OPT_GLOBAL)
     return (uchar*) &(global_system_variables.*offset);
@@ -1351,7 +1351,7 @@
 
 
 uchar *sys_var_thd_bool::value_ptr(THD *thd, enum_var_type type,
-                                   LEX_STRING *base __attribute__((__unused__)))
+                                   LEX_STRING *base __attribute__((unused)))
 {
   if (type == OPT_GLOBAL)
     return (uchar*) &(global_system_variables.*offset);
@@ -1359,7 +1359,7 @@
 }
 
 
-bool sys_var::check_enum(THD *thd __attribute__((__unused__)),
+bool sys_var::check_enum(THD *thd __attribute__((unused)),
                          set_var *var, const TYPELIB *enum_names)
 {
   char buff[STRING_BUFFER_USUAL_SIZE];
@@ -1396,7 +1396,7 @@
 }
 
 
-bool sys_var::check_set(THD *thd __attribute__((__unused__)),
+bool sys_var::check_set(THD *thd __attribute__((unused)),
                         set_var *var, TYPELIB *enum_names)
 {
   bool not_used;
@@ -1596,7 +1596,7 @@
 
 
 uchar *sys_var_thd_enum::value_ptr(THD *thd, enum_var_type type,
-                                   LEX_STRING *base __attribute__((__unused__)))
+                                   LEX_STRING *base __attribute__((unused)))
 {
   ulong tmp= ((type == OPT_GLOBAL) ?
 	      global_system_variables.*offset :
@@ -1618,8 +1618,8 @@
 
 
 uchar *sys_var_thd_bit::value_ptr(THD *thd,
-                                  enum_var_type type __attribute__((__unused__)),
-                                  LEX_STRING *base __attribute__((__unused__)))
+                                  enum_var_type type __attribute__((unused)),
+                                  LEX_STRING *base __attribute__((unused)))
 {
   /*
     If reverse is 0 (default) return 1 if bit is set.
@@ -1716,7 +1716,7 @@
 
 
 uchar *sys_var_thd_date_time_format::value_ptr(THD *thd, enum_var_type type,
-                                               LEX_STRING *base __attribute__((__unused__)))
+                                               LEX_STRING *base __attribute__((unused)))
 {
   if (type == OPT_GLOBAL)
   {
@@ -1768,7 +1768,7 @@
 }
 
 
-bool sys_var_collation::check(THD *thd __attribute__((__unused__)),
+bool sys_var_collation::check(THD *thd __attribute__((unused)),
                               set_var *var)
 {
   CHARSET_INFO *tmp;
@@ -1803,7 +1803,7 @@
 }
 
 
-bool sys_var_character_set::check(THD *thd __attribute__((__unused__)),
+bool sys_var_character_set::check(THD *thd __attribute__((unused)),
                                   set_var *var)
 {
   CHARSET_INFO *tmp;
@@ -1852,7 +1852,7 @@
 
 
 uchar *sys_var_character_set::value_ptr(THD *thd, enum_var_type type,
-                                        LEX_STRING *base __attribute__((__unused__)))
+                                        LEX_STRING *base __attribute__((unused)))
 {
   CHARSET_INFO *cs= ci_ptr(thd,type)[0];
   return cs ? (uchar*) cs->csname : (uchar*) NULL;
@@ -1941,7 +1941,7 @@
 
 
 uchar *sys_var_collation_sv::value_ptr(THD *thd, enum_var_type type,
-                                       LEX_STRING *base __attribute__((__unused__)))
+                                       LEX_STRING *base __attribute__((unused)))
 {
   CHARSET_INFO *cs= ((type == OPT_GLOBAL) ?
 		     global_system_variables.*offset : thd->variables.*offset);
@@ -1963,9 +1963,9 @@
 }
 
 
-uchar *sys_var_key_cache_param::value_ptr(THD *thd __attribute__((__unused__)),
-                                          enum_var_type type __attribute__((__unused__)),
-                                          LEX_STRING *base __attribute__((__unused__)))
+uchar *sys_var_key_cache_param::value_ptr(THD *thd __attribute__((unused)),
+                                          enum_var_type type __attribute__((unused)),
+                                          LEX_STRING *base __attribute__((unused)))
 {
   KEY_CACHE *key_cache= get_key_cache(base);
   if (!key_cache)
@@ -2132,7 +2132,7 @@
 }
 
 void sys_var_log_state::set_default(THD *thd,
-                                    enum_var_type type __attribute__((__unused__)))
+                                    enum_var_type type __attribute__((unused)))
 {
   pthread_mutex_lock(&LOCK_global_system_variables);
   logger.deactivate_log_handler(thd, log_type);
@@ -2140,7 +2140,7 @@
 }
 
 
-static int  sys_check_log_path(THD *thd __attribute__((__unused__)),
+static int  sys_check_log_path(THD *thd __attribute__((unused)),
                                set_var *var)
 {
   char path[FN_REFLEN], buff[FN_REFLEN];
@@ -2201,7 +2201,7 @@
 }
 
 
-bool update_sys_var_str_path(THD *thd __attribute__((__unused__)),
+bool update_sys_var_str_path(THD *thd __attribute__((unused)),
                              sys_var_str *var_str,
                              set_var *var, const char *log_ext,
                              bool log_state, uint log_type)
@@ -2273,7 +2273,7 @@
 
 
 static void sys_default_general_log_path(THD *thd,
-                                         enum_var_type type __attribute__((__unused__)))
+                                         enum_var_type type __attribute__((unused)))
 {
   (void) update_sys_var_str_path(thd, &sys_var_general_log_path,
                                  0, ".log", opt_log, QUERY_LOG_GENERAL);
@@ -2289,7 +2289,7 @@
 
 
 static void sys_default_slow_log_path(THD *thd,
-                                      enum_var_type type __attribute__((__unused__)))
+                                      enum_var_type type __attribute__((unused)))
 {
   (void) update_sys_var_str_path(thd, &sys_var_slow_log_path,
                                  0, "-slow.log", opt_slow_log,
@@ -2297,7 +2297,7 @@
 }
 
 
-bool sys_var_log_output::update(THD *thd __attribute__((__unused__)),
+bool sys_var_log_output::update(THD *thd __attribute__((unused)),
                                 set_var *var)
 {
   pthread_mutex_lock(&LOCK_global_system_variables);
@@ -2311,8 +2311,8 @@
 }
 
 
-void sys_var_log_output::set_default(THD *thd __attribute__((__unused__)),
-                                     enum_var_type type __attribute__((__unused__)))
+void sys_var_log_output::set_default(THD *thd __attribute__((unused)),
+                                     enum_var_type type __attribute__((unused)))
 {
   pthread_mutex_lock(&LOCK_global_system_variables);
   logger.lock_exclusive();
@@ -2325,8 +2325,8 @@
 
 
 uchar *sys_var_log_output::value_ptr(THD *thd,
-                                     enum_var_type type __attribute__((__unused__)),
-                                     LEX_STRING *base __attribute__((__unused__)))
+                                     enum_var_type type __attribute__((unused)),
+                                     LEX_STRING *base __attribute__((unused)))
 {
   char buff[256];
   String tmp(buff, sizeof(buff), &my_charset_latin1);
@@ -2354,7 +2354,7 @@
   Functions to handle SET NAMES and SET CHARACTER SET
 *****************************************************************************/
 
-int set_var_collation_client::check(THD *thd __attribute__((__unused__)))
+int set_var_collation_client::check(THD *thd __attribute__((unused)))
 {
   /* Currently, UCS-2 cannot be used as a client character set */
   if (character_set_client->mbminlen > 1)
@@ -2386,15 +2386,15 @@
 
 
 void sys_var_timestamp::set_default(THD *thd,
-                                    enum_var_type type __attribute__((__unused__)))
+                                    enum_var_type type __attribute__((unused)))
 {
   thd->user_time=0;
 }
 
 
 uchar *sys_var_timestamp::value_ptr(THD *thd,
-                                    enum_var_type type __attribute__((__unused__)),
-                                    LEX_STRING *base __attribute__((__unused__)))
+                                    enum_var_type type __attribute__((unused)),
+                                    LEX_STRING *base __attribute__((unused)))
 {
   thd->sys_var_tmp.long_value= (long) thd->start_time;
   return (uchar*) &thd->sys_var_tmp.long_value;
@@ -2410,8 +2410,8 @@
 
 
 uchar *sys_var_last_insert_id::value_ptr(THD *thd,
-                                         enum_var_type type __attribute__((__unused__)),
-                                         LEX_STRING *base __attribute__((__unused__)))
+                                         enum_var_type type __attribute__((unused)),
+                                         LEX_STRING *base __attribute__((unused)))
 {
   /*
     this tmp var makes it robust againt change of type of
@@ -2431,8 +2431,8 @@
 
 
 uchar *sys_var_insert_id::value_ptr(THD *thd,
-                                    enum_var_type type __attribute__((__unused__)),
-                                    LEX_STRING *base __attribute__((__unused__)))
+                                    enum_var_type type __attribute__((unused)),
+                                    LEX_STRING *base __attribute__((unused)))
 {
   thd->sys_var_tmp.uint64_t_value=
     thd->auto_inc_intervals_forced.minimum();
@@ -2484,7 +2484,7 @@
 
 
 uchar *sys_var_thd_time_zone::value_ptr(THD *thd, enum_var_type type,
-                                        LEX_STRING *base __attribute__((__unused__)))
+                                        LEX_STRING *base __attribute__((unused)))
 {
   /* 
     We can use ptr() instead of c_ptr() here because String contaning
@@ -2546,7 +2546,7 @@
   }
 }
 
-bool sys_var_max_user_conn::update(THD *thd __attribute__((__unused__)),
+bool sys_var_max_user_conn::update(THD *thd __attribute__((unused)),
                                    set_var *var)
 {
   assert(var->type == OPT_GLOBAL);
@@ -2557,8 +2557,8 @@
 }
 
 
-void sys_var_max_user_conn::set_default(THD *thd __attribute__((__unused__)),
-                                        enum_var_type type __attribute__((__unused__)))
+void sys_var_max_user_conn::set_default(THD *thd __attribute__((unused)),
+                                        enum_var_type type __attribute__((unused)))
 {
   assert(type == OPT_GLOBAL);
   pthread_mutex_lock(&LOCK_global_system_variables);
@@ -2568,7 +2568,7 @@
 
 
 uchar *sys_var_max_user_conn::value_ptr(THD *thd, enum_var_type type,
-                                        LEX_STRING *base __attribute__((__unused__)))
+                                        LEX_STRING *base __attribute__((unused)))
 {
   if (type != OPT_GLOBAL &&
       thd->user_connect && thd->user_connect->user_resources.user_conn)
@@ -2577,7 +2577,7 @@
 }
 
 
-bool sys_var_thd_lc_time_names::check(THD *thd __attribute__((__unused__)),
+bool sys_var_thd_lc_time_names::check(THD *thd __attribute__((unused)),
                                       set_var *var)
 {
   MY_LOCALE *locale_match;
@@ -2627,7 +2627,7 @@
 
 uchar *sys_var_thd_lc_time_names::value_ptr(THD *thd,
                                             enum_var_type type,
-                                            LEX_STRING *base __attribute__((__unused__)))
+                                            LEX_STRING *base __attribute__((unused)))
 {
   return type == OPT_GLOBAL ?
                  (uchar *) global_system_variables.lc_time_names->name :
@@ -2688,7 +2688,7 @@
 
 
 uchar *sys_var_microseconds::value_ptr(THD *thd, enum_var_type type,
-                                          LEX_STRING *base __attribute__((__unused__)))
+                                          LEX_STRING *base __attribute__((unused)))
 {
   thd->tmp_double_value= (double) ((type == OPT_GLOBAL) ?
                                    global_system_variables.*offset :
@@ -2743,14 +2743,14 @@
   return 0;
 }
 
-static int check_log_update(THD *thd __attribute__((__unused__)),
-                            set_var *var __attribute__((__unused__)))
+static int check_log_update(THD *thd __attribute__((unused)),
+                            set_var *var __attribute__((unused)))
 {
   return 0;
 }
 
-static bool set_log_update(THD *thd __attribute__((__unused__)),
-                           set_var *var __attribute__((__unused__)))
+static bool set_log_update(THD *thd __attribute__((unused)),
+                           set_var *var __attribute__((unused)))
 {
   /*
     The update log is not supported anymore since 5.0.
@@ -2773,7 +2773,7 @@
 }
 
 
-static int check_pseudo_thread_id(THD *thd __attribute__((__unused__)),
+static int check_pseudo_thread_id(THD *thd __attribute__((unused)),
                                   set_var *var)
 {
   var->save_result.uint64_t_value= var->value->val_int();
@@ -2811,7 +2811,7 @@
   @retval
     ptr		pointer to NUL-terminated string
 */
-static uchar *get_tmpdir(THD *thd __attribute__((__unused__)))
+static uchar *get_tmpdir(THD *thd __attribute__((unused)))
 {
   if (opt_mysql_tmpdir)
     return (uchar *)opt_mysql_tmpdir;
@@ -2862,7 +2862,7 @@
 */
 
 static uchar *get_sys_var_length(const sys_var *var, size_t *length,
-                                 bool first __attribute__((__unused__)))
+                                 bool first __attribute__((unused)))
 {
   *length= var->name_length;
   return (uchar*) var->name;
@@ -3234,7 +3234,7 @@
 }
 
 
-int set_var_user::update(THD *thd __attribute__((__unused__)))
+int set_var_user::update(THD *thd __attribute__((unused)))
 {
   if (user_var_item->update())
   {
@@ -3283,7 +3283,7 @@
 
 
 uchar *sys_var_thd_storage_engine::value_ptr(THD *thd, enum_var_type type,
-                                             LEX_STRING *base __attribute__((__unused__)))
+                                             LEX_STRING *base __attribute__((unused)))
 {
   uchar* result;
   handlerton *hton;
@@ -3365,7 +3365,7 @@
 
 
 uchar *sys_var_thd_optimizer_switch::value_ptr(THD *thd, enum_var_type type,
-                                               LEX_STRING *base __attribute__((__unused__)))
+                                               LEX_STRING *base __attribute__((unused)))
 {
   LEX_STRING opts;
   uint64_t val= ((type == OPT_GLOBAL) ? global_system_variables.*offset :
@@ -3465,7 +3465,7 @@
 }
 
 
-void free_key_cache(const char *name __attribute__((__unused__)),
+void free_key_cache(const char *name __attribute__((unused)),
                     KEY_CACHE *key_cache)
 {
   ha_end_key_cache(key_cache);

=== modified file 'server/set_var.h'
--- server/set_var.h	2008-07-20 07:56:12 +0000
+++ server/set_var.h	2008-07-26 18:02:40 +0000
@@ -95,19 +95,19 @@
       (binlog_status == SESSION_VARIABLE_IN_BINLOG);
   }
   virtual bool update(THD *thd, set_var *var)=0;
-  virtual void set_default(THD *thd_arg __attribute__((__unused__)),
-                           enum_var_type type __attribute__((__unused__)))
+  virtual void set_default(THD *thd_arg __attribute__((unused)),
+                           enum_var_type type __attribute__((unused)))
   {}
   virtual SHOW_TYPE show_type() { return SHOW_UNDEF; }
-  virtual uchar *value_ptr(THD *thd __attribute__((__unused__)),
-                           enum_var_type type __attribute__((__unused__)),
-                           LEX_STRING *base __attribute__((__unused__)))
+  virtual uchar *value_ptr(THD *thd __attribute__((unused)),
+                           enum_var_type type __attribute__((unused)),
+                           LEX_STRING *base __attribute__((unused)))
   { return 0; }
   virtual bool check_type(enum_var_type type)
   { return type != OPT_GLOBAL; }		/* Error if not GLOBAL */
   virtual bool check_update_type(Item_result type)
   { return type != INT_RESULT; }		/* Assume INT */
-  virtual bool check_default(enum_var_type type __attribute__((__unused__)))
+  virtual bool check_default(enum_var_type type __attribute__((unused)))
   { return option_limits == 0; }
   Item *item(THD *thd, enum_var_type type, LEX_STRING *base);
   virtual bool is_struct() { return 0; }
@@ -163,9 +163,9 @@
   bool update(THD *thd, set_var *var);
   void set_default(THD *thd, enum_var_type type);
   SHOW_TYPE show_type() { return SHOW_LONG; }
-  uchar *value_ptr(THD *thd __attribute__((__unused__)),
-                   enum_var_type type __attribute__((__unused__)),
-                   LEX_STRING *base __attribute__((__unused__)))
+  uchar *value_ptr(THD *thd __attribute__((unused)),
+                   enum_var_type type __attribute__((unused)),
+                   LEX_STRING *base __attribute__((unused)))
   { return (uchar*) value; }
 };
 
@@ -196,9 +196,9 @@
   bool update(THD *thd, set_var *var);
   void set_default(THD *thd, enum_var_type type);
   SHOW_TYPE show_type() { return SHOW_LONGLONG; }
-  uchar *value_ptr(THD *thd __attribute__((__unused__)),
-                   enum_var_type type __attribute__((__unused__)),
-                   LEX_STRING *base __attribute__((__unused__)))
+  uchar *value_ptr(THD *thd __attribute__((unused)),
+                   enum_var_type type __attribute__((unused)),
+                   LEX_STRING *base __attribute__((unused)))
   { return (uchar*) value; }
 };
 
@@ -217,11 +217,11 @@
   bool update(THD *thd, set_var *var);
   void set_default(THD *thd, enum_var_type type);
   SHOW_TYPE show_type() { return SHOW_MY_BOOL; }
-  uchar *value_ptr(THD *thd __attribute__((__unused__)),
-                   enum_var_type type __attribute__((__unused__)),
-                   LEX_STRING *base __attribute__((__unused__)))
+  uchar *value_ptr(THD *thd __attribute__((unused)),
+                   enum_var_type type __attribute__((unused)),
+                   LEX_STRING *base __attribute__((unused)))
   { return (uchar*) value; }
-  bool check_update_type(Item_result type __attribute__((__unused__)))
+  bool check_update_type(Item_result type __attribute__((unused)))
   { return 0; }
 };
 
@@ -262,15 +262,15 @@
     (*set_default_func)(thd, type);
   }
   SHOW_TYPE show_type() { return SHOW_CHAR; }
-  uchar *value_ptr(THD *thd __attribute__((__unused__)),
-                   enum_var_type type __attribute__((__unused__)),
-                   LEX_STRING *base __attribute__((__unused__)))
+  uchar *value_ptr(THD *thd __attribute__((unused)),
+                   enum_var_type type __attribute__((unused)),
+                   LEX_STRING *base __attribute__((unused)))
   { return (uchar*) value; }
   bool check_update_type(Item_result type)
   {
     return type != STRING_RESULT;		/* Only accept strings */
   }
-  bool check_default(enum_var_type type __attribute__((__unused__)))
+  bool check_default(enum_var_type type __attribute__((unused)))
   { return 0; }
 };
 
@@ -287,28 +287,28 @@
   {
     value= new_value;
   }
-  bool check(THD *thd __attribute__((__unused__)),
-             set_var *var __attribute__((__unused__)))
+  bool check(THD *thd __attribute__((unused)),
+             set_var *var __attribute__((unused)))
   {
     return 1;
   }
-  bool update(THD *thd __attribute__((__unused__)),
-              set_var *var __attribute__((__unused__)))
+  bool update(THD *thd __attribute__((unused)),
+              set_var *var __attribute__((unused)))
   {
     return 1;
   }
   SHOW_TYPE show_type() { return SHOW_CHAR; }
-  uchar *value_ptr(THD *thd __attribute__((__unused__)),
-                   enum_var_type type __attribute__((__unused__)),
-                   LEX_STRING *base __attribute__((__unused__)))
+  uchar *value_ptr(THD *thd __attribute__((unused)),
+                   enum_var_type type __attribute__((unused)),
+                   LEX_STRING *base __attribute__((unused)))
   {
     return (uchar*) value;
   }
-  bool check_update_type(Item_result type __attribute__((__unused__)))
+  bool check_update_type(Item_result type __attribute__((unused)))
   {
     return 1;
   }
-  bool check_default(enum_var_type type __attribute__((__unused__)))
+  bool check_default(enum_var_type type __attribute__((unused)))
   { return 1; }
   bool is_readonly() const { return 1; }
 };
@@ -321,28 +321,28 @@
   sys_var_const_str_ptr(sys_var_chain *chain, const char *name_arg, char **value_arg)
     :sys_var(name_arg),value(value_arg)
   { chain_sys_var(chain); }
-  bool check(THD *thd __attribute__((__unused__)),
-             set_var *var __attribute__((__unused__)))
+  bool check(THD *thd __attribute__((unused)),
+             set_var *var __attribute__((unused)))
   {
     return 1;
   }
-  bool update(THD *thd __attribute__((__unused__)),
-              set_var *var __attribute__((__unused__)))
+  bool update(THD *thd __attribute__((unused)),
+              set_var *var __attribute__((unused)))
   {
     return 1;
   }
   SHOW_TYPE show_type() { return SHOW_CHAR; }
-  uchar *value_ptr(THD *thd __attribute__((__unused__)),
-                   enum_var_type type __attribute__((__unused__)),
-                   LEX_STRING *base __attribute__((__unused__)))
+  uchar *value_ptr(THD *thd __attribute__((unused)),
+                   enum_var_type type __attribute__((unused)),
+                   LEX_STRING *base __attribute__((unused)))
   {
     return (uchar*) *value;
   }
-  bool check_update_type(Item_result type __attribute__((__unused__)))
+  bool check_update_type(Item_result type __attribute__((unused)))
   {
     return 1;
   }
-  bool check_default(enum_var_type type __attribute__((__unused__)))
+  bool check_default(enum_var_type type __attribute__((unused)))
   { return 1; }
   bool is_readonly(void) const { return 1; }
 };
@@ -364,7 +364,7 @@
   bool update(THD *thd, set_var *var);
   SHOW_TYPE show_type() { return SHOW_CHAR; }
   uchar *value_ptr(THD *thd, enum_var_type type, LEX_STRING *base);
-  bool check_update_type(Item_result type __attribute__((__unused__)))
+  bool check_update_type(Item_result type __attribute__((unused)))
   { return 0; }
 };
 
@@ -378,14 +378,14 @@
       TYPELIB *typelib, sys_after_update_func func)
     :sys_var(name_arg,func), offset(offset_arg), enum_names(typelib)
   { chain_sys_var(chain); }
-  bool check(THD *thd __attribute__((__unused__)),
-             set_var *var __attribute__((__unused__)))
+  bool check(THD *thd __attribute__((unused)),
+             set_var *var __attribute__((unused)))
   { return 1; }
-  bool update(THD *thd __attribute__((__unused__)),
-              set_var *var __attribute__((__unused__)))
+  bool update(THD *thd __attribute__((unused)),
+              set_var *var __attribute__((unused)))
   { return 1; }
   SHOW_TYPE show_type() { return SHOW_CHAR; }
-  bool check_update_type(Item_result type __attribute__((__unused__)))
+  bool check_update_type(Item_result type __attribute__((unused)))
   { return 1; }
   bool is_readonly() const { return 1; }
   uchar *value_ptr(THD *thd, enum_var_type type, LEX_STRING *base);
@@ -400,7 +400,7 @@
               Binlog_status_enum binlog_status= NOT_IN_BINLOG)
     :sys_var(name_arg, func, binlog_status)
   {}
-  bool check_type(enum_var_type type __attribute__((__unused__)))
+  bool check_type(enum_var_type type __attribute__((unused)))
   { return 0; }
   bool check_default(enum_var_type type)
   {
@@ -500,7 +500,7 @@
   {
     return check_enum(thd, var, &bool_typelib);
   }
-  bool check_update_type(Item_result type __attribute__((__unused__)))
+  bool check_update_type(Item_result type __attribute__((unused)))
   { return 0; }
 };
 
@@ -530,7 +530,7 @@
   void set_default(THD *thd, enum_var_type type);
   SHOW_TYPE show_type() { return SHOW_CHAR; }
   uchar *value_ptr(THD *thd, enum_var_type type, LEX_STRING *base);
-  bool check_update_type(Item_result type __attribute__((__unused__)))
+  bool check_update_type(Item_result type __attribute__((unused)))
   { return 0; }
 };
 
@@ -590,7 +590,7 @@
   { chain_sys_var(chain); }
   bool check(THD *thd, set_var *var);
   bool update(THD *thd, set_var *var);
-  bool check_update_type(Item_result type __attribute__((__unused__)))
+  bool check_update_type(Item_result type __attribute__((unused)))
   { return 0; }
   bool check_type(enum_var_type type) { return type == OPT_GLOBAL; }
   SHOW_TYPE show_type() { return SHOW_MY_BOOL; }
@@ -609,7 +609,7 @@
   bool update(THD *thd, set_var *var);
   void set_default(THD *thd, enum_var_type type);
   bool check_type(enum_var_type type)    { return type == OPT_GLOBAL; }
-  bool check_default(enum_var_type type __attribute__((__unused__)))
+  bool check_default(enum_var_type type __attribute__((unused)))
   { return 0; }
   SHOW_TYPE show_type(void) { return SHOW_LONG; }
   uchar *value_ptr(THD *thd, enum_var_type type, LEX_STRING *base);
@@ -681,7 +681,7 @@
   {
     return ((type != STRING_RESULT) && (type != INT_RESULT));
   }
-  bool check_default(enum_var_type type __attribute__((__unused__))) { return 0; }
+  bool check_default(enum_var_type type __attribute__((unused))) { return 0; }
   virtual void set_default(THD *thd, enum_var_type type)= 0;
 };
 
@@ -705,7 +705,7 @@
   {
     return ((type != STRING_RESULT) && (type != INT_RESULT));
   }
-  bool check_default(enum_var_type type __attribute__((__unused__)))
+  bool check_default(enum_var_type type __attribute__((unused)))
   { return 0; }
   bool update(THD *thd, set_var *var);
   uchar *value_ptr(THD *thd, enum_var_type type, LEX_STRING *base);
@@ -787,7 +787,7 @@
     :sys_var(name_arg), offset(offset_arg)
   { chain_sys_var(chain); }
   uchar *value_ptr(THD *thd, enum_var_type type, LEX_STRING *base);
-  bool check_default(enum_var_type type __attribute__((__unused__)))
+  bool check_default(enum_var_type type __attribute__((unused)))
   { return 1; }
   bool is_struct() { return 1; }
 };
@@ -832,7 +832,7 @@
   {
     return type != STRING_RESULT;		/* Only accept strings */
   }
-  bool check_default(enum_var_type type __attribute__((__unused__)))
+  bool check_default(enum_var_type type __attribute__((unused)))
   { return 0; }
   bool check(THD *thd, set_var *var);
   bool update(THD *thd, set_var *var);
@@ -868,14 +868,14 @@
   {
     return check_set(thd, var, enum_names);
   }
-  virtual void set_default(THD *thd __attribute__((__unused__)),
-                           enum_var_type type __attribute__((__unused__)))
+  virtual void set_default(THD *thd __attribute__((unused)),
+                           enum_var_type type __attribute__((unused)))
   {
     *value= 0;
   }
   bool update(THD *thd, set_var *var);
   uchar *value_ptr(THD *thd, enum_var_type type, LEX_STRING *base);
-  bool check_update_type(Item_result type __attribute__((__unused__)))
+  bool check_update_type(Item_result type __attribute__((unused)))
   { return 0; }
   SHOW_TYPE show_type() { return SHOW_CHAR; }
 };
@@ -910,7 +910,7 @@
   }
   bool update(THD *thd, set_var *var);
   uchar *value_ptr(THD *thd, enum_var_type type, LEX_STRING *base);
-  bool check_update_type(Item_result type __attribute__((__unused__)))
+  bool check_update_type(Item_result type __attribute__((unused)))
   { return 0; }
   void set_default(THD *thd, enum_var_type type);
   SHOW_TYPE show_type() { return SHOW_CHAR; }
@@ -931,16 +931,16 @@
     :sys_var(name_arg), var_type(type), 
        show_type_value(show_type_arg), value_ptr_func(value_ptr_func_arg)
   { chain_sys_var(chain); }
-  bool update(THD *thd __attribute__((__unused__)),
-              set_var *var __attribute__((__unused__)))
+  bool update(THD *thd __attribute__((unused)),
+              set_var *var __attribute__((unused)))
   { return 1; }
-  bool check_default(enum_var_type type __attribute__((__unused__)))
+  bool check_default(enum_var_type type __attribute__((unused)))
   { return 1; }
   bool check_type(enum_var_type type) { return type != var_type; }
-  bool check_update_type(Item_result type __attribute__((__unused__)))
+  bool check_update_type(Item_result type __attribute__((unused)))
   { return 1; }
-  uchar *value_ptr(THD *thd, enum_var_type type __attribute__((__unused__)),
-                   LEX_STRING *base __attribute__((__unused__)))
+  uchar *value_ptr(THD *thd, enum_var_type type __attribute__((unused)),
+                   LEX_STRING *base __attribute__((unused)))
   {
     return (*value_ptr_func)(thd);
   }
@@ -957,18 +957,18 @@
   sys_var_have_option(sys_var_chain *chain, const char *variable_name):
     sys_var(variable_name)
   { chain_sys_var(chain); }
-  uchar *value_ptr(THD *thd __attribute__((__unused__)),
-                   enum_var_type type __attribute__((__unused__)),
-                   LEX_STRING *base __attribute__((__unused__)))
+  uchar *value_ptr(THD *thd __attribute__((unused)),
+                   enum_var_type type __attribute__((unused)),
+                   LEX_STRING *base __attribute__((unused)))
   {
     return (uchar*) show_comp_option_name[get_option()];
   }
-  bool update(THD *thd __attribute__((__unused__)),
-              set_var *var __attribute__((__unused__))) { return 1; }
-  bool check_default(enum_var_type type __attribute__((__unused__)))
+  bool update(THD *thd __attribute__((unused)),
+              set_var *var __attribute__((unused))) { return 1; }
+  bool check_default(enum_var_type type __attribute__((unused)))
   { return 1; }
   bool check_type(enum_var_type type) { return type != OPT_GLOBAL; }
-  bool check_update_type(Item_result type __attribute__((__unused__)))
+  bool check_update_type(Item_result type __attribute__((unused)))
   { return 1; }
   SHOW_TYPE show_type() { return SHOW_CHAR; }
   bool is_readonly() const { return 1; }
@@ -1024,7 +1024,7 @@
   {
     return type != STRING_RESULT;		/* Only accept strings */
   }
-  bool check_default(enum_var_type type __attribute__((__unused__)))
+  bool check_default(enum_var_type type __attribute__((unused)))
   { return 0; }
   bool update(THD *thd, set_var *var);
   uchar *value_ptr(THD *thd, enum_var_type type, LEX_STRING *base);
@@ -1058,8 +1058,8 @@
                        uint64_t SV::*offset_arg):
     sys_var_thd(name_arg), offset(offset_arg)
   { chain_sys_var(chain); }
-  bool check(THD *thd __attribute__((__unused__)),
-             set_var *var __attribute__((__unused__))) {return 0;}
+  bool check(THD *thd __attribute__((unused)),
+             set_var *var __attribute__((unused))) {return 0;}
   bool update(THD *thd, set_var *var);
   void set_default(THD *thd, enum_var_type type);
   SHOW_TYPE show_type() { return SHOW_DOUBLE; }
@@ -1103,7 +1103,7 @@
   {
     return ((type != STRING_RESULT) && (type != INT_RESULT));
   }
-  bool check_default(enum_var_type type __attribute__((__unused__)))
+  bool check_default(enum_var_type type __attribute__((unused)))
   { return 0; }
   bool update(THD *thd, set_var *var);
   uchar *value_ptr(THD *thd, enum_var_type type, LEX_STRING *base);

=== modified file 'server/slave.cc'
--- server/slave.cc	2008-07-24 18:35:57 +0000
+++ server/slave.cc	2008-07-26 18:02:40 +0000
@@ -503,8 +503,8 @@
 
 int32_t start_slave_threads(bool need_slave_mutex, bool wait_for_start,
                         Master_info* mi,
-                        const char* master_info_fname __attribute__((__unused__)),
-                        const char* slave_info_fname __attribute__((__unused__)),
+                        const char* master_info_fname __attribute__((unused)),
+                        const char* slave_info_fname __attribute__((unused)),
                         int32_t thread_mask)
 {
   pthread_mutex_t *lock_io=0,*lock_sql=0,*lock_cond_io=0,*lock_cond_sql=0;
@@ -1047,7 +1047,7 @@
     ignored events' end position for the use of the slave SQL thread, by
     calling this function. Only that thread can call it (see assertion).
  */
-static void write_ignored_events_info_to_relay_log(THD *thd __attribute__((__unused__)),
+static void write_ignored_events_info_to_relay_log(THD *thd __attribute__((unused)),
                                                    Master_info *mi)
 {
   Relay_log_info *rli= &mi->rli;
@@ -1498,7 +1498,7 @@
 */
 
 static uint32_t read_event(DRIZZLE *drizzle,
-                        Master_info *mi __attribute__((__unused__)),
+                        Master_info *mi __attribute__((unused)),
                         bool* suppress_warnings)
 {
   uint32_t len;
@@ -1542,8 +1542,8 @@
 }
 
 
-int32_t check_expected_error(THD* thd __attribute__((__unused__)),
-                         Relay_log_info const *rli __attribute__((__unused__)),
+int32_t check_expected_error(THD* thd __attribute__((unused)),
+                         Relay_log_info const *rli __attribute__((unused)),
                          int32_t expected_error)
 {
   switch (expected_error) {

=== modified file 'server/sql_base.cc'
--- server/sql_base.cc	2008-07-20 07:36:57 +0000
+++ server/sql_base.cc	2008-07-26 18:02:40 +0000
@@ -394,7 +394,7 @@
 */
 
 void release_table_share(TABLE_SHARE *share,
-                         enum release_type type __attribute__((__unused__)))
+                         enum release_type type __attribute__((unused)))
 {
   bool to_be_deleted= 0;
 
@@ -528,7 +528,7 @@
     #		Pointer to list of names of open tables.
 */
 
-OPEN_TABLE_LIST *list_open_tables(THD *thd __attribute__((__unused__)),
+OPEN_TABLE_LIST *list_open_tables(THD *thd __attribute__((unused)),
                                   const char *db, const char *wild)
 {
   int result = 0;
@@ -1135,7 +1135,7 @@
 
 
 /* close_temporary_tables' internal, 4 is due to uint4korr definition */
-static inline uint  tmpkeyval(THD *thd __attribute__((__unused__)),
+static inline uint  tmpkeyval(THD *thd __attribute__((unused)),
                               TABLE *table)
 {
   return uint4korr(table->s->table_cache_key.str + table->s->table_cache_key.length - 4);
@@ -1424,8 +1424,8 @@
 */
 
 void update_non_unique_table_error(TABLE_LIST *update,
-                                   const char *operation __attribute__((__unused__)),
-                                   TABLE_LIST *duplicate __attribute__((__unused__)))
+                                   const char *operation __attribute__((unused)),
+                                   TABLE_LIST *duplicate __attribute__((unused)))
 {
   my_error(ER_UPDATE_TABLE_USED, MYF(0), update->alias);
 }
@@ -3105,8 +3105,8 @@
 static int open_unireg_entry(THD *thd, TABLE *entry, TABLE_LIST *table_list,
                              const char *alias,
                              char *cache_key, uint cache_key_length,
-                             MEM_ROOT *mem_root __attribute__((__unused__)),
-                             uint flags __attribute__((__unused__)))
+                             MEM_ROOT *mem_root __attribute__((unused)),
+                             uint flags __attribute__((unused)))
 {
   int error;
   TABLE_SHARE *share;
@@ -4064,10 +4064,10 @@
 
 static Field *
 find_field_in_view(THD *thd, TABLE_LIST *table_list,
-                   const char *name, uint length __attribute__((__unused__)),
-                   const char *item_name __attribute__((__unused__)),
+                   const char *name, uint length __attribute__((unused)),
+                   const char *item_name __attribute__((unused)),
                    Item **ref,
-                   bool register_tree_change __attribute__((__unused__)))
+                   bool register_tree_change __attribute__((unused)))
 {
   Field_iterator_view field_it;
   field_it.set(table_list);
@@ -4141,7 +4141,7 @@
 
 static Field *
 find_field_in_natural_join(THD *thd, TABLE_LIST *table_ref, const char *name,
-                           uint length __attribute__((__unused__)),
+                           uint length __attribute__((unused)),
                            Item **ref, bool register_tree_change,
                            TABLE_LIST **actual_table)
 {
@@ -5308,7 +5308,7 @@
 */
 
 static bool
-store_natural_using_join_columns(THD *thd __attribute__((__unused__)),
+store_natural_using_join_columns(THD *thd __attribute__((unused)),
                                  TABLE_LIST *natural_using_join,
                                  TABLE_LIST *table_ref_1,
                                  TABLE_LIST *table_ref_2,
@@ -5638,7 +5638,7 @@
 ****************************************************************************/
 
 int setup_wild(THD *thd,
-               TABLE_LIST *tables __attribute__((__unused__)),
+               TABLE_LIST *tables __attribute__((unused)),
                List<Item> &fields,
                List<Item> *sum_func_list,
                uint wild_num)
@@ -5973,7 +5973,7 @@
 bool
 insert_fields(THD *thd, Name_resolution_context *context, const char *db_name,
               const char *table_name, List_iterator<Item> *it,
-              bool any_privileges __attribute__((__unused__)))
+              bool any_privileges __attribute__((unused)))
 {
   Field_iterator_table_ref field_iterator;
   bool found;
@@ -6122,7 +6122,7 @@
     false if all is OK
 */
 
-int setup_conds(THD *thd, TABLE_LIST *tables __attribute__((__unused__)),
+int setup_conds(THD *thd, TABLE_LIST *tables __attribute__((unused)),
                 TABLE_LIST *leaves,
                 COND **conds)
 {
@@ -6295,7 +6295,7 @@
 
 bool
 fill_record(THD *thd, Field **ptr, List<Item> &values,
-            bool ignore_errors __attribute__((__unused__)))
+            bool ignore_errors __attribute__((unused)))
 {
   List_iterator_fast<Item> v(values);
   Item *value;

=== modified file 'server/sql_class.cc'
--- server/sql_class.cc	2008-07-22 17:19:24 +0000
+++ server/sql_class.cc	2008-07-26 18:02:40 +0000
@@ -239,9 +239,9 @@
 
 extern "C"
 const char *set_thd_proc_info(THD *thd, const char *info,
-                              const char *calling_function __attribute__((__unused__)),
-                              const char *calling_file __attribute__((__unused__)),
-                              const unsigned int calling_line __attribute__((__unused__)))
+                              const char *calling_function __attribute__((unused)),
+                              const char *calling_file __attribute__((unused)),
+                              const unsigned int calling_line __attribute__((unused)))
 {
   const char *old_info= thd->proc_info;
   thd->proc_info= info;
@@ -432,7 +432,7 @@
 */
 
 void
-Diagnostics_area::set_error_status(THD *thd __attribute__((__unused__)),
+Diagnostics_area::set_error_status(THD *thd __attribute__((unused)),
                                    uint sql_errno_arg,
                                    const char *message_arg)
 {
@@ -1250,14 +1250,14 @@
   Item **place;
   Item *old_value;
   /* Placement new was hidden by `new' in ilink (TODO: check): */
-  static void *operator new(size_t size __attribute__((__unused__)),
+  static void *operator new(size_t size __attribute__((unused)),
                             void *mem)
     { return mem; }
-  static void operator delete(void *ptr __attribute__((__unused__)),
-                              size_t size __attribute__((__unused__)))
+  static void operator delete(void *ptr __attribute__((unused)),
+                              size_t size __attribute__((unused)))
     {}
-  static void operator delete(void *ptr __attribute__((__unused__)),
-                              void *mem __attribute__((__unused__)))
+  static void operator delete(void *ptr __attribute__((unused)),
+                              void *mem __attribute__((unused)))
     { /* never called */ }
 };
 
@@ -2044,7 +2044,7 @@
      sortcmp(val1, val2, cache->collation.collation) < 0);
 }
 
-bool select_exists_subselect::send_data(List<Item> &items __attribute__((__unused__)))
+bool select_exists_subselect::send_data(List<Item> &items __attribute__((unused)))
 {
   Item_exists_subselect *it= (Item_exists_subselect *)item;
   if (unit->offset_limit_cnt)

=== modified file 'server/sql_class.h'
--- server/sql_class.h	2008-07-23 01:51:39 +0000
+++ server/sql_class.h	2008-07-26 18:02:40 +0000
@@ -2009,7 +2009,7 @@
 public:
   select_result();
   virtual ~select_result() {};
-  virtual int prepare(List<Item> &list __attribute__((__unused__)),
+  virtual int prepare(List<Item> &list __attribute__((unused)),
                       SELECT_LEX_UNIT *u)
   {
     unit= u;
@@ -2025,7 +2025,7 @@
   { return fields.elements; }
   virtual bool send_fields(List<Item> &list, uint flags)=0;
   virtual bool send_data(List<Item> &items)=0;
-  virtual bool initialize_tables (JOIN  __attribute__((__unused__)) *join=0)
+  virtual bool initialize_tables (JOIN  __attribute__((unused)) *join=0)
   { return 0; }
   virtual void send_error(uint errcode,const char *err);
   virtual bool send_eof()=0;
@@ -2058,10 +2058,10 @@
 {
 public:
   select_result_interceptor() {}              /* Remove gcc warning */
-  uint field_count(List<Item> &fields __attribute__((__unused__))) const
+  uint field_count(List<Item> &fields __attribute__((unused))) const
   { return 0; }
-  bool send_fields(List<Item> &fields __attribute__((__unused__)),
-                   uint flag __attribute__((__unused__))) { return false; }
+  bool send_fields(List<Item> &fields __attribute__((unused)),
+                   uint flag __attribute__((unused))) { return false; }
 };
 
 

=== modified file 'server/sql_connect.cc'
--- server/sql_connect.cc	2008-07-20 07:36:57 +0000
+++ server/sql_connect.cc	2008-07-26 18:02:40 +0000
@@ -77,7 +77,7 @@
 
 int
 check_user(THD *thd, enum enum_server_command command,
-           const char *passwd __attribute__((__unused__)),
+           const char *passwd __attribute__((unused)),
            uint passwd_len, const char *db,
            bool check_count)
 {

=== modified file 'server/sql_delete.cc'
--- server/sql_delete.cc	2008-07-15 08:06:23 +0000
+++ server/sql_delete.cc	2008-07-26 18:02:40 +0000
@@ -503,7 +503,7 @@
 
 
 int
-multi_delete::prepare(List<Item> &values __attribute__((__unused__)),
+multi_delete::prepare(List<Item> &values __attribute__((unused)),
                       SELECT_LEX_UNIT *u)
 {
   
@@ -599,7 +599,7 @@
 }
 
 
-bool multi_delete::send_data(List<Item> &values __attribute__((__unused__)))
+bool multi_delete::send_data(List<Item> &values __attribute__((unused)))
 {
   int secure_counter= delete_while_scanning ? -1 : 0;
   TABLE_LIST *del_table;

=== modified file 'server/sql_derived.cc'
--- server/sql_derived.cc	2008-07-13 22:21:51 +0000
+++ server/sql_derived.cc	2008-07-26 18:02:40 +0000
@@ -94,7 +94,7 @@
     true   Error
 */
 
-bool mysql_derived_prepare(THD *thd, LEX *lex __attribute__((__unused__)),
+bool mysql_derived_prepare(THD *thd, LEX *lex __attribute__((unused)),
                            TABLE_LIST *orig_table_list)
 {
   SELECT_LEX_UNIT *unit= orig_table_list->derived;

=== modified file 'server/sql_insert.cc'
--- server/sql_insert.cc	2008-07-20 07:36:57 +0000
+++ server/sql_insert.cc	2008-07-26 18:02:40 +0000
@@ -65,7 +65,7 @@
 static int check_insert_fields(THD *thd, TABLE_LIST *table_list,
                                List<Item> &fields, List<Item> &values,
                                bool check_unique,
-                               table_map *map __attribute__((__unused__)))
+                               table_map *map __attribute__((unused)))
 {
   TABLE *table= table_list->table;
 
@@ -160,7 +160,7 @@
 
 static int check_update_fields(THD *thd, TABLE_LIST *insert_table_list,
                                List<Item> &update_fields,
-                               table_map *map __attribute__((__unused__)))
+                               table_map *map __attribute__((unused)))
 {
   TABLE *table= insert_table_list->table;
   bool timestamp_mark= false;
@@ -203,10 +203,10 @@
 */
 
 static
-void upgrade_lock_type(THD *thd __attribute__((__unused__)),
+void upgrade_lock_type(THD *thd __attribute__((unused)),
                        thr_lock_type *lock_type,
                        enum_duplicates duplic,
-                       bool is_multi_insert __attribute__((__unused__)))
+                       bool is_multi_insert __attribute__((unused)))
 {
   if (duplic == DUP_UPDATE ||
       (duplic == DUP_REPLACE && *lock_type == TL_WRITE_CONCURRENT_INSERT))
@@ -583,7 +583,7 @@
 */
 
 static bool mysql_prepare_insert_check_table(THD *thd, TABLE_LIST *table_list,
-                                             List<Item> &fields __attribute__((__unused__)),
+                                             List<Item> &fields __attribute__((unused)),
                                              bool select_insert)
 {
   
@@ -641,7 +641,7 @@
                           TABLE *table, List<Item> &fields, List_item *values,
                           List<Item> &update_fields, List<Item> &update_values,
                           enum_duplicates duplic,
-                          COND **where __attribute__((__unused__)),
+                          COND **where __attribute__((unused)),
                           bool select_insert,
                           bool check_fields, bool abort_on_warning)
 {

=== modified file 'server/sql_lex.cc'
--- server/sql_lex.cc	2008-07-20 22:02:56 +0000
+++ server/sql_lex.cc	2008-07-26 18:02:40 +0000
@@ -1831,19 +1831,19 @@
   }
 }
 
-bool st_select_lex_node::set_braces(bool value __attribute__((__unused__)))
+bool st_select_lex_node::set_braces(bool value __attribute__((unused)))
 { return 1; }
 bool st_select_lex_node::inc_in_sum_expr()           { return 1; }
 uint st_select_lex_node::get_in_sum_expr()           { return 0; }
 TABLE_LIST* st_select_lex_node::get_table_list()     { return 0; }
 List<Item>* st_select_lex_node::get_item_list()      { return 0; }
-TABLE_LIST *st_select_lex_node::add_table_to_list (THD *thd __attribute__((__unused__)),
-                                                   Table_ident *table __attribute__((__unused__)),
-						  LEX_STRING *alias __attribute__((__unused__)),
-						  uint32_t table_join_options __attribute__((__unused__)),
-						  thr_lock_type flags __attribute__((__unused__)),
-						  List<Index_hint> *hints __attribute__((__unused__)),
-                                                  LEX_STRING *option __attribute__((__unused__)))
+TABLE_LIST *st_select_lex_node::add_table_to_list (THD *thd __attribute__((unused)),
+                                                   Table_ident *table __attribute__((unused)),
+						  LEX_STRING *alias __attribute__((unused)),
+						  uint32_t table_join_options __attribute__((unused)),
+						  thr_lock_type flags __attribute__((unused)),
+						  List<Index_hint> *hints __attribute__((unused)),
+                                                  LEX_STRING *option __attribute__((unused)))
 {
   return 0;
 }
@@ -1885,7 +1885,7 @@
 }
 
 
-bool st_select_lex::add_item_to_list(THD *thd __attribute__((__unused__)),
+bool st_select_lex::add_item_to_list(THD *thd __attribute__((unused)),
                                      Item *item)
 {
   return(item_list.push_back(item));
@@ -2021,7 +2021,7 @@
 }
  
 
-void st_select_lex::print_limit(THD *thd __attribute__((__unused__)),
+void st_select_lex::print_limit(THD *thd __attribute__((unused)),
                                 String *str,
                                 enum_query_type query_type)
 {
@@ -2073,7 +2073,7 @@
   to implement the clean up.
 */
 
-void st_lex::cleanup_lex_after_parse_error(THD *thd __attribute__((__unused__)))
+void st_lex::cleanup_lex_after_parse_error(THD *thd __attribute__((unused)))
 {
 }
 
@@ -2569,7 +2569,7 @@
       backup  Pointer to Query_tables_list instance to be used for backup
 */
 
-void st_lex::reset_n_backup_query_tables_list(Query_tables_list *backup __attribute__((__unused__)))
+void st_lex::reset_n_backup_query_tables_list(Query_tables_list *backup __attribute__((unused)))
 {
 }
 
@@ -2582,7 +2582,7 @@
       backup  Pointer to Query_tables_list instance used for backup
 */
 
-void st_lex::restore_backup_query_tables_list(Query_tables_list *backup __attribute__((__unused__)))
+void st_lex::restore_backup_query_tables_list(Query_tables_list *backup __attribute__((unused)))
 {
 }
 

=== modified file 'server/sql_lex.h'
--- server/sql_lex.h	2008-07-22 18:31:32 +0000
+++ server/sql_lex.h	2008-07-26 18:02:40 +0000
@@ -339,11 +339,11 @@
   }
   static void *operator new(size_t size, MEM_ROOT *mem_root)
   { return (void*) alloc_root(mem_root, (uint32_t) size); }
-  static void operator delete(void *ptr __attribute__((__unused__)),
-                              size_t size __attribute__((__unused__)))
+  static void operator delete(void *ptr __attribute__((unused)),
+                              size_t size __attribute__((unused)))
   { TRASH(ptr, size); }
-  static void operator delete(void *ptr __attribute__((__unused__)),
-                              MEM_ROOT *mem_root __attribute__((__unused__)))
+  static void operator delete(void *ptr __attribute__((unused)),
+                              MEM_ROOT *mem_root __attribute__((unused)))
   {}
   st_select_lex_node(): linkage(UNSPECIFIED_TYPE) {}
   virtual ~st_select_lex_node() {}
@@ -372,7 +372,7 @@
                                         thr_lock_type flags= TL_UNLOCK,
                                         List<Index_hint> *hints= 0,
                                         LEX_STRING *option= 0);
-  virtual void set_lock_for_tables(thr_lock_type lock_type __attribute__((__unused__)))
+  virtual void set_lock_for_tables(thr_lock_type lock_type __attribute__((unused)))
   {}
 
   friend class st_select_lex_unit;
@@ -1601,11 +1601,11 @@
   {
     return (void*) alloc_root(mem_root, (uint32_t) size);
   }
-  static void operator delete(void *ptr __attribute__((__unused__)),
-                              size_t size __attribute__((__unused__)))
+  static void operator delete(void *ptr __attribute__((unused)),
+                              size_t size __attribute__((unused)))
   { TRASH(ptr, size); }
-  static void operator delete(void *ptr __attribute__((__unused__)),
-                              MEM_ROOT *mem_root __attribute__((__unused__)))
+  static void operator delete(void *ptr __attribute__((unused)),
+                              MEM_ROOT *mem_root __attribute__((unused)))
   { /* Never called */ }
 };
 

=== modified file 'server/sql_list.h'
--- server/sql_list.h	2008-07-10 21:28:59 +0000
+++ server/sql_list.h	2008-07-26 18:02:40 +0000
@@ -37,17 +37,17 @@
   { return alloc_root(mem_root, size); }
   static void *operator new(size_t size, MEM_ROOT *mem_root) throw ()
   { return alloc_root(mem_root, size); }
-  static void operator delete(void *ptr __attribute__((__unused__)),
-                              size_t size __attribute__((__unused__)))
+  static void operator delete(void *ptr __attribute__((unused)),
+                              size_t size __attribute__((unused)))
   { TRASH(ptr, size); }
-  static void operator delete(void *ptr __attribute__((__unused__)),
-                              MEM_ROOT *mem_root __attribute__((__unused__)))
-  { /* never called */ }
-  static void operator delete[](void *ptr __attribute__((__unused__)),
-                                MEM_ROOT *mem_root __attribute__((__unused__)))
-  { /* never called */ }
-  static void operator delete[](void *ptr __attribute__((__unused__)),
-                                size_t size __attribute__((__unused__)))
+  static void operator delete(void *ptr __attribute__((unused)),
+                              MEM_ROOT *mem_root __attribute__((unused)))
+  { /* never called */ }
+  static void operator delete[](void *ptr __attribute__((unused)),
+                                MEM_ROOT *mem_root __attribute__((unused)))
+  { /* never called */ }
+  static void operator delete[](void *ptr __attribute__((unused)),
+                                size_t size __attribute__((unused)))
   { TRASH(ptr, size); }
 #ifdef HAVE_purify
   bool dummy;
@@ -126,7 +126,7 @@
     list_copy_and_replace_each_value after creating a copy.
   */
   base_list(const base_list &rhs, MEM_ROOT *mem_root);
-  inline base_list(bool error __attribute__((__unused__))) { }
+  inline base_list(bool error __attribute__((unused))) { }
   inline bool push_back(void *info)
   {
     if (((*last)=new list_node(info, &end_of_list)))
@@ -424,10 +424,10 @@
 template <class T> class List_iterator_fast :public base_list_iterator
 {
 protected:
-  inline T *replace(T *a __attribute__((__unused__)))   { return (T*) 0; }
-  inline T *replace(List<T> &a __attribute__((__unused__))) { return (T*) 0; }
+  inline T *replace(T *a __attribute__((unused)))   { return (T*) 0; }
+  inline T *replace(List<T> &a __attribute__((unused))) { return (T*) 0; }
   inline void remove(void)  { }
-  inline void after(T *a __attribute__((__unused__)))   { }
+  inline void after(T *a __attribute__((unused)))   { }
   inline T** ref(void)	    { return (T**) 0; }
 
 public:
@@ -456,7 +456,7 @@
     return (void*)my_malloc((uint)size, MYF(MY_WME | MY_FAE | ME_FATALERROR));
   }
   static void operator delete(void* ptr_arg,
-                              size_t size __attribute__((__unused__)))
+                              size_t size __attribute__((unused)))
   {
      my_free((uchar*)ptr_arg, MYF(MY_WME|MY_ALLOW_ZERO_PTR));
   }

=== modified file 'server/sql_load.cc'
--- server/sql_load.cc	2008-07-13 22:21:51 +0000
+++ server/sql_load.cc	2008-07-26 18:02:40 +0000
@@ -839,7 +839,7 @@
 read_xml_field(THD *thd, COPY_INFO &info, TABLE_LIST *table_list,
                List<Item> &fields_vars, List<Item> &set_fields,
                List<Item> &set_values, READ_INFO &read_info,
-               String &row_tag __attribute__((__unused__)),
+               String &row_tag __attribute__((unused)),
                ulong skip_lines,
                bool ignore_check_option_errors)
 {

=== modified file 'server/sql_parse.cc'
--- server/sql_parse.cc	2008-07-24 16:57:40 +0000
+++ server/sql_parse.cc	2008-07-26 18:02:40 +0000
@@ -3434,7 +3434,7 @@
     - 0, otherwise
 */
 
-TABLE_LIST *st_select_lex::end_nested_join(THD *thd __attribute__((__unused__)))
+TABLE_LIST *st_select_lex::end_nested_join(THD *thd __attribute__((unused)))
 {
   TABLE_LIST *ptr;
   NESTED_JOIN *nested_join;
@@ -3925,7 +3925,7 @@
     This is written such that we have a short lock on LOCK_thread_count
 */
 
-uint kill_one_thread(THD *thd __attribute__((__unused__)),
+uint kill_one_thread(THD *thd __attribute__((unused)),
                      ulong id, bool only_kill_query)
 {
   THD *tmp;
@@ -4106,7 +4106,7 @@
 */
 
 bool multi_update_precheck(THD *thd,
-                           TABLE_LIST *tables __attribute__((__unused__)))
+                           TABLE_LIST *tables __attribute__((unused)))
 {
   const char *msg= 0;
   LEX *lex= thd->lex;
@@ -4143,7 +4143,7 @@
 */
 
 bool multi_delete_precheck(THD *thd,
-                           TABLE_LIST *tables __attribute__((__unused__)))
+                           TABLE_LIST *tables __attribute__((unused)))
 {
   SELECT_LEX *select_lex= &thd->lex->select_lex;
   TABLE_LIST **save_query_tables_own_last= thd->lex->query_tables_own_last;
@@ -4178,7 +4178,7 @@
   @return Matching table, NULL otherwise.
 */
 
-static TABLE_LIST *multi_delete_table_match(LEX *lex __attribute__((__unused__)),
+static TABLE_LIST *multi_delete_table_match(LEX *lex __attribute__((unused)),
                                             TABLE_LIST *tbl,
                                             TABLE_LIST *tables)
 {
@@ -4270,7 +4270,7 @@
     true  Error
 */
 
-bool update_precheck(THD *thd, TABLE_LIST *tables __attribute__((__unused__)))
+bool update_precheck(THD *thd, TABLE_LIST *tables __attribute__((unused)))
 {
   if (thd->lex->select_lex.item_list.elements != thd->lex->value_list.elements)
   {
@@ -4293,7 +4293,7 @@
     true   error
 */
 
-bool insert_precheck(THD *thd, TABLE_LIST *tables __attribute__((__unused__)))
+bool insert_precheck(THD *thd, TABLE_LIST *tables __attribute__((unused)))
 {
   LEX *lex= thd->lex;
 
@@ -4324,7 +4324,7 @@
 */
 
 bool create_table_precheck(THD *thd,
-                           TABLE_LIST *tables __attribute__((__unused__)),
+                           TABLE_LIST *tables __attribute__((unused)),
                            TABLE_LIST *create_table)
 {
   LEX *lex= thd->lex;

=== modified file 'server/sql_plugin.cc'
--- server/sql_plugin.cc	2008-07-20 07:36:57 +0000
+++ server/sql_plugin.cc	2008-07-26 18:02:40 +0000
@@ -151,8 +151,8 @@
 
   static void *operator new(size_t size, MEM_ROOT *mem_root)
   { return (void*) alloc_root(mem_root, (uint) size); }
-  static void operator delete(void *ptr_arg __attribute__((__unused__)),
-                              size_t size __attribute__((__unused__)))
+  static void operator delete(void *ptr_arg __attribute__((unused)),
+                              size_t size __attribute__((unused)))
   { TRASH(ptr_arg, size); }
 
   sys_var_pluginvar(const char *name_arg,
@@ -168,10 +168,10 @@
   TYPELIB* plugin_var_typelib(void);
   uchar* value_ptr(THD *thd, enum_var_type type, LEX_STRING *base);
   bool check(THD *thd, set_var *var);
-  bool check_default(enum_var_type type __attribute__((__unused__)))
+  bool check_default(enum_var_type type __attribute__((unused)))
     { return is_readonly(); }
   void set_default(THD *thd,
-                   enum_var_type type __attribute__((__unused__)));
+                   enum_var_type type __attribute__((unused)));
   bool update(THD *thd, set_var *var);
 };
 
@@ -1320,7 +1320,7 @@
   default variable data check and update functions
 ****************************************************************************/
 
-static int check_func_bool(THD *thd __attribute__((__unused__)),
+static int check_func_bool(THD *thd __attribute__((unused)),
                            struct st_mysql_sys_var *var,
                            void *save, st_mysql_value *value)
 {
@@ -1420,7 +1420,7 @@
 }
 
 static int check_func_str(THD *thd,
-                          struct st_mysql_sys_var *var __attribute__((__unused__)),
+                          struct st_mysql_sys_var *var __attribute__((unused)),
                           void *save, st_mysql_value *value)
 {
   char buff[STRING_BUFFER_USUAL_SIZE];
@@ -1435,7 +1435,7 @@
 }
 
 
-static int check_func_enum(THD *thd __attribute__((__unused__)),
+static int check_func_enum(THD *thd __attribute__((unused)),
                            struct st_mysql_sys_var *var,
                            void *save, st_mysql_value *value)
 {
@@ -1482,7 +1482,7 @@
 }
 
 
-static int check_func_set(THD *thd __attribute__((__unused__)),
+static int check_func_set(THD *thd __attribute__((unused)),
                           struct st_mysql_sys_var *var,
                           void *save, st_mysql_value *value)
 {
@@ -1533,39 +1533,39 @@
 }
 
 
-static void update_func_bool(THD *thd __attribute__((__unused__)),
-                             struct st_mysql_sys_var *var __attribute__((__unused__)),
+static void update_func_bool(THD *thd __attribute__((unused)),
+                             struct st_mysql_sys_var *var __attribute__((unused)),
                              void *tgt, const void *save)
 {
   *(bool *) tgt= *(int *) save ? 1 : 0;
 }
 
 
-static void update_func_int(THD *thd __attribute__((__unused__)),
-                            struct st_mysql_sys_var *var __attribute__((__unused__)),
+static void update_func_int(THD *thd __attribute__((unused)),
+                            struct st_mysql_sys_var *var __attribute__((unused)),
                              void *tgt, const void *save)
 {
   *(int *)tgt= *(int *) save;
 }
 
 
-static void update_func_long(THD *thd __attribute__((__unused__)),
-                             struct st_mysql_sys_var *var __attribute__((__unused__)),
+static void update_func_long(THD *thd __attribute__((unused)),
+                             struct st_mysql_sys_var *var __attribute__((unused)),
                              void *tgt, const void *save)
 {
   *(long *)tgt= *(long *) save;
 }
 
 
-static void update_func_int64_t(THD *thd __attribute__((__unused__)),
-                                 struct st_mysql_sys_var *var __attribute__((__unused__)),
+static void update_func_int64_t(THD *thd __attribute__((unused)),
+                                 struct st_mysql_sys_var *var __attribute__((unused)),
                                  void *tgt, const void *save)
 {
   *(int64_t *)tgt= *(uint64_t *) save;
 }
 
 
-static void update_func_str(THD *thd __attribute__((__unused__)), struct st_mysql_sys_var *var,
+static void update_func_str(THD *thd __attribute__((unused)), struct st_mysql_sys_var *var,
                              void *tgt, const void *save)
 {
   char *old= *(char **) tgt;
@@ -1908,7 +1908,7 @@
 /*
   Unlocks all system variables which hold a reference
 */
-static void unlock_variables(THD *thd __attribute__((__unused__)),
+static void unlock_variables(THD *thd __attribute__((unused)),
                              struct system_variables *vars)
 {
   intern_plugin_unlock(NULL, vars->table_plugin);
@@ -2086,7 +2086,7 @@
 
 
 uchar* sys_var_pluginvar::value_ptr(THD *thd, enum_var_type type,
-                                    LEX_STRING *base __attribute__((__unused__)))
+                                    LEX_STRING *base __attribute__((unused)))
 {
   uchar* result;
 
@@ -2342,8 +2342,8 @@
                                          char *);
 
 bool get_one_plugin_option(int optid __attribute__((unused)),
-                              const struct my_option *opt __attribute__((__unused__)),
-                              char *argument __attribute__((__unused__)))
+                              const struct my_option *opt __attribute__((unused)),
+                              char *argument __attribute__((unused)))
 {
   return 0;
 }

=== modified file 'server/sql_repl.cc'
--- server/sql_repl.cc	2008-07-22 18:31:32 +0000
+++ server/sql_repl.cc	2008-07-26 18:02:40 +0000
@@ -1707,7 +1707,7 @@
 };
 
 static void fix_slave_net_timeout(THD *thd,
-                                  enum_var_type type __attribute__((__unused__)))
+                                  enum_var_type type __attribute__((unused)))
 {
 #ifdef HAVE_REPLICATION
   pthread_mutex_lock(&LOCK_active_mi);
@@ -1738,7 +1738,7 @@
 static int show_slave_skip_errors(THD *thd, SHOW_VAR *var, char *buff);
 
 
-static int show_slave_skip_errors(THD *thd __attribute__((__unused__)),
+static int show_slave_skip_errors(THD *thd __attribute__((unused)),
                                   SHOW_VAR *var, char *buff)
 {
   var->type=SHOW_CHAR;
@@ -1790,7 +1790,7 @@
   {"slave_skip_errors",       (char*) &show_slave_skip_errors_cont,      SHOW_FUNC},
 };
 
-bool sys_var_slave_skip_counter::check(THD *thd __attribute__((__unused__)),
+bool sys_var_slave_skip_counter::check(THD *thd __attribute__((unused)),
                                        set_var *var)
 {
   int result= 0;
@@ -1808,7 +1808,7 @@
 }
 
 
-bool sys_var_slave_skip_counter::update(THD *thd __attribute__((__unused__)),
+bool sys_var_slave_skip_counter::update(THD *thd __attribute__((unused)),
                                         set_var *var)
 {
   pthread_mutex_lock(&LOCK_active_mi);
@@ -1830,7 +1830,7 @@
 }
 
 
-bool sys_var_sync_binlog_period::update(THD *thd __attribute__((__unused__)),
+bool sys_var_sync_binlog_period::update(THD *thd __attribute__((unused)),
                                         set_var *var)
 {
   sync_binlog_period= (ulong) var->save_result.uint64_t_value;

=== modified file 'server/sql_select.cc'
--- server/sql_select.cc	2008-07-23 00:11:39 +0000
+++ server/sql_select.cc	2008-07-26 18:02:40 +0000
@@ -4587,7 +4587,7 @@
 static bool
 update_ref_and_keys(THD *thd, DYNAMIC_ARRAY *keyuse,JOIN_TAB *join_tab,
                     uint tables, COND *cond,
-                    COND_EQUAL *cond_equal __attribute__((__unused__)),
+                    COND_EQUAL *cond_equal __attribute__((unused)),
                     table_map normal_tables, SELECT_LEX *select_lex,
                     SARGABLE_PARAM **sargables)
 {
@@ -4937,7 +4937,7 @@
                  table_map remaining_tables,
                  uint      idx,
                  double    record_count,
-                 double    read_time __attribute__((__unused__)))
+                 double    read_time __attribute__((unused)))
 {
   KEYUSE *best_key=         0;
   uint best_max_key_part=   0;
@@ -6246,7 +6246,7 @@
   Find how much space the prevous read not const tables takes in cache.
 */
 
-static void calc_used_field_length(THD *thd __attribute__((__unused__)),
+static void calc_used_field_length(THD *thd __attribute__((unused)),
                                    JOIN_TAB *join_tab)
 {
   uint null_fields,blobs,fields,rec_length;
@@ -10618,7 +10618,7 @@
     new_created field
 */
 
-static Field *create_tmp_field_from_item(THD *thd __attribute__((__unused__)),
+static Field *create_tmp_field_from_item(THD *thd __attribute__((unused)),
                                          Item *item, TABLE *table,
                                          Item ***copy_func, bool modify_item,
                                          uint convert_blob_length)
@@ -10742,7 +10742,7 @@
     new_created field
 */
 
-Field *create_tmp_field_for_schema(THD *thd __attribute__((__unused__)),
+Field *create_tmp_field_for_schema(THD *thd __attribute__((unused)),
                                    Item *item, TABLE *table)
 {
   if (item->field_type() == MYSQL_TYPE_VARCHAR)
@@ -10796,7 +10796,7 @@
                         Item ***copy_func, Field **from_field,
                         Field **default_field,
                         bool group, bool modify_item,
-                        bool table_cant_handle_bit_fields __attribute__((__unused__)),
+                        bool table_cant_handle_bit_fields __attribute__((unused)),
                         bool make_copy_field,
                         uint convert_blob_length)
 {
@@ -16304,7 +16304,7 @@
 static ORDER *
 create_distinct_group(THD *thd, Item **ref_pointer_array,
                       ORDER *order_list, List<Item> &fields,
-                      List<Item> &all_fields __attribute__((__unused__)),
+                      List<Item> &all_fields __attribute__((unused)),
                       bool *all_order_by_fields_used)
 {
   List_iterator<Item> li(fields);
@@ -17189,7 +17189,7 @@
   @param select   pointer to st_select_lex which subselects joins we will free
 */
 
-void free_underlaid_joins(THD *thd __attribute__((__unused__)),
+void free_underlaid_joins(THD *thd __attribute__((unused)),
                           SELECT_LEX *select)
 {
   for (SELECT_LEX_UNIT *unit= select->first_inner_unit();
@@ -18218,7 +18218,7 @@
 static void print_join(THD *thd,
                        String *str,
                        List<TABLE_LIST> *tables,
-                       enum_query_type query_type __attribute__((__unused__)))
+                       enum_query_type query_type __attribute__((unused)))
 {
   /* List is reversed => we should reverse it before using */
   List_iterator_fast<TABLE_LIST> ti(*tables);

=== modified file 'server/sql_show.cc'
--- server/sql_show.cc	2008-07-22 18:31:32 +0000
+++ server/sql_show.cc	2008-07-26 18:02:40 +0000
@@ -168,7 +168,7 @@
 }
 
 
-int fill_plugins(THD *thd, TABLE_LIST *tables, COND *cond __attribute__((__unused__)))
+int fill_plugins(THD *thd, TABLE_LIST *tables, COND *cond __attribute__((unused)))
 {
   TABLE *table= tables->table;
 
@@ -551,7 +551,7 @@
 
 /* Append directory name (if exists) to CREATE INFO */
 
-static void append_directory(THD *thd __attribute__((__unused__)),
+static void append_directory(THD *thd __attribute__((unused)),
                              String *packet, const char *dir_type,
 			     const char *filename)
 {
@@ -569,7 +569,7 @@
 
 #define LIST_PROCESS_HOST_LEN 64
 
-static bool get_field_default_value(THD *thd __attribute__((__unused__)),
+static bool get_field_default_value(THD *thd __attribute__((unused)),
                                     Field *timestamp_field,
                                     Field *field, String *def_value,
                                     bool quoted)
@@ -1045,7 +1045,7 @@
   return(false);
 }
 
-static void store_key_options(THD *thd __attribute__((__unused__)),
+static void store_key_options(THD *thd __attribute__((unused)),
                               String *packet, TABLE *table,
                               KEY *key_info)
 {
@@ -1209,7 +1209,7 @@
 }
 
 int fill_schema_processlist(THD* thd, TABLE_LIST* tables,
-                            COND* cond __attribute__((__unused__)))
+                            COND* cond __attribute__((unused)))
 {
   TABLE *table= tables->table;
   CHARSET_INFO *cs= system_charset_info;
@@ -2380,7 +2380,7 @@
 
 static uint get_table_open_method(TABLE_LIST *tables,
                                   ST_SCHEMA_TABLE *schema_table,
-                                  enum enum_schema_tables schema_table_idx __attribute__((__unused__)))
+                                  enum enum_schema_tables schema_table_idx __attribute__((unused)))
 {
   /*
     determine which method will be used for table opening
@@ -2423,7 +2423,7 @@
                                       ST_SCHEMA_TABLE *schema_table,
                                       LEX_STRING *db_name,
                                       LEX_STRING *table_name,
-                                      enum enum_schema_tables schema_table_idx __attribute__((__unused__)))
+                                      enum enum_schema_tables schema_table_idx __attribute__((unused)))
 {
   TABLE *table= tables->table;
   TABLE_SHARE *share;
@@ -3207,7 +3207,7 @@
 
 
 
-int fill_schema_charsets(THD *thd, TABLE_LIST *tables, COND *cond __attribute__((__unused__)))
+int fill_schema_charsets(THD *thd, TABLE_LIST *tables, COND *cond __attribute__((unused)))
 {
   CHARSET_INFO **cs;
   const char *wild= thd->lex->wild ? thd->lex->wild->ptr() : NullS;
@@ -3238,7 +3238,7 @@
 }
 
 
-int fill_schema_collation(THD *thd, TABLE_LIST *tables, COND *cond __attribute__((__unused__)))
+int fill_schema_collation(THD *thd, TABLE_LIST *tables, COND *cond __attribute__((unused)))
 {
   CHARSET_INFO **cs;
   const char *wild= thd->lex->wild ? thd->lex->wild->ptr() : NullS;
@@ -3280,7 +3280,7 @@
 }
 
 
-int fill_schema_coll_charset_app(THD *thd, TABLE_LIST *tables, COND *cond __attribute__((__unused__)))
+int fill_schema_coll_charset_app(THD *thd, TABLE_LIST *tables, COND *cond __attribute__((unused)))
 {
   CHARSET_INFO **cs;
   TABLE *table= tables->table;
@@ -3584,7 +3584,7 @@
 }
 
 
-int fill_open_tables(THD *thd, TABLE_LIST *tables, COND *cond __attribute__((__unused__)))
+int fill_open_tables(THD *thd, TABLE_LIST *tables, COND *cond __attribute__((unused)))
 {
   const char *wild= thd->lex->wild ? thd->lex->wild->ptr() : NullS;
   TABLE *table= tables->table;
@@ -3608,7 +3608,7 @@
 }
 
 
-int fill_variables(THD *thd, TABLE_LIST *tables, COND *cond __attribute__((__unused__)))
+int fill_variables(THD *thd, TABLE_LIST *tables, COND *cond __attribute__((unused)))
 {
   int res= 0;
   LEX *lex= thd->lex;
@@ -3631,7 +3631,7 @@
 }
 
 
-int fill_status(THD *thd, TABLE_LIST *tables, COND *cond __attribute__((__unused__)))
+int fill_status(THD *thd, TABLE_LIST *tables, COND *cond __attribute__((unused)))
 {
   LEX *lex= thd->lex;
   const char *wild= lex->wild ? lex->wild->ptr() : NullS;
@@ -3769,7 +3769,7 @@
     0	table not found
     1   found the schema table
 */
-static bool find_schema_table_in_plugin(THD *thd __attribute__((__unused__)),
+static bool find_schema_table_in_plugin(THD *thd __attribute__((unused)),
                                            plugin_ref plugin,
                                            void* p_table)
 {

=== modified file 'server/sql_string.h'
--- server/sql_string.h	2008-07-22 18:31:32 +0000
+++ server/sql_string.h	2008-07-26 18:02:40 +0000
@@ -81,11 +81,11 @@
   }
   static void *operator new(size_t size, MEM_ROOT *mem_root)
   { return (void*) alloc_root(mem_root, (uint) size); }
-  static void operator delete(void *ptr_arg __attribute__((__unused__)),
-                              size_t size __attribute__((__unused__)))
+  static void operator delete(void *ptr_arg __attribute__((unused)),
+                              size_t size __attribute__((unused)))
   { TRASH(ptr_arg, size); }
-  static void operator delete(void *ptr_arg __attribute__((__unused__)),
-                              MEM_ROOT *mem_root __attribute__((__unused__)))
+  static void operator delete(void *ptr_arg __attribute__((unused)),
+                              MEM_ROOT *mem_root __attribute__((unused)))
   { /* never called */ }
   ~String() { free(); }
 

=== modified file 'server/sql_table.cc'
--- server/sql_table.cc	2008-07-23 00:11:39 +0000
+++ server/sql_table.cc	2008-07-26 18:02:40 +0000
@@ -769,7 +769,7 @@
 int prepare_create_field(Create_field *sql_field, 
                          uint *blob_columns,
                          int *timestamps, int *timestamps_with_niladic,
-                         int64_t table_flags __attribute__((__unused__)))
+                         int64_t table_flags __attribute__((unused)))
 {
   unsigned int dup_val_count;
 
@@ -1688,7 +1688,7 @@
         In this case the error is given
 */
 
-static bool prepare_blob_field(THD *thd __attribute__((__unused__)),
+static bool prepare_blob_field(THD *thd __attribute__((unused)),
                                Create_field *sql_field)
 {
 
@@ -2924,7 +2924,7 @@
     0	  ok
 */
 
-int reassign_keycache_tables(THD *thd __attribute__((__unused__)),
+int reassign_keycache_tables(THD *thd __attribute__((unused)),
                              KEY_CACHE *src_cache,
                              KEY_CACHE *dst_cache)
 {

=== modified file 'server/sql_union.cc'
--- server/sql_union.cc	2008-07-20 22:02:56 +0000
+++ server/sql_union.cc	2008-07-26 18:02:40 +0000
@@ -24,7 +24,7 @@
 #include "sql_select.h"
 
 bool mysql_union(THD *thd,
-                 LEX *lex __attribute__((__unused__)),
+                 LEX *lex __attribute__((unused)),
                  select_result *result,
                  SELECT_LEX_UNIT *unit, ulong setup_tables_done_option)
 {
@@ -42,7 +42,7 @@
 ** store records in temporary table for UNION
 ***************************************************************************/
 
-int select_union::prepare(List<Item> &list __attribute__((__unused__)),
+int select_union::prepare(List<Item> &list __attribute__((unused)),
                           SELECT_LEX_UNIT *u)
 {
   unit= u;

=== modified file 'server/sql_update.cc'
--- server/sql_update.cc	2008-07-15 08:06:23 +0000
+++ server/sql_update.cc	2008-07-26 18:02:40 +0000
@@ -177,7 +177,7 @@
                  COND *conds,
                  uint order_num, ORDER *order,
                  ha_rows limit,
-                 enum enum_duplicates handle_duplicates __attribute__((__unused__)),
+                 enum enum_duplicates handle_duplicates __attribute__((unused)),
                  bool ignore)
 {
   bool		using_limit= limit != HA_POS_ERROR;
@@ -1046,8 +1046,8 @@
   Connect fields with tables and create list of tables that are updated
 */
 
-int multi_update::prepare(List<Item> &not_used_values __attribute__((__unused__)),
-                          SELECT_LEX_UNIT *lex_unit __attribute__((__unused__)))
+int multi_update::prepare(List<Item> &not_used_values __attribute__((unused)),
+                          SELECT_LEX_UNIT *lex_unit __attribute__((unused)))
 {
   TABLE_LIST *table_ref;
   SQL_LIST update;
@@ -1340,7 +1340,7 @@
 }
 
 
-bool multi_update::send_data(List<Item> &not_used_values __attribute__((__unused__)))
+bool multi_update::send_data(List<Item> &not_used_values __attribute__((unused)))
 {
   TABLE_LIST *cur_table;
   

=== modified file 'server/table.cc'
--- server/table.cc	2008-07-23 00:11:39 +0000
+++ server/table.cc	2008-07-26 18:02:40 +0000
@@ -2225,7 +2225,7 @@
     that are present in this value, returns the length of the value
 */
 uint calculate_key_len(TABLE *table, uint key,
-                       const uchar *buf __attribute__((__unused__)),
+                       const uchar *buf __attribute__((unused)),
                        key_part_map keypart_map)
 {
   /* works only with key prefixes */
@@ -2899,9 +2899,9 @@
   return create_view_field(thd, view, &ptr->item, ptr->name);
 }
 
-Item *create_view_field(THD *thd __attribute__((__unused__)),
+Item *create_view_field(THD *thd __attribute__((unused)),
                         TABLE_LIST *view, Item **field_ref,
-                        const char *name __attribute__((__unused__)))
+                        const char *name __attribute__((unused)))
 {
   if (view->schema_table_reformed)
   {
@@ -3653,7 +3653,7 @@
   FRMTYPE_TABLE       table
 */
 
-frm_type_enum mysql_frm_type(THD *thd __attribute__((__unused__)),
+frm_type_enum mysql_frm_type(THD *thd __attribute__((unused)),
                              char *path, enum legacy_db_type *dbt)
 {
   File file;

=== modified file 'server/table.h'
--- server/table.h	2008-07-22 18:31:32 +0000
+++ server/table.h	2008-07-26 18:02:40 +0000
@@ -1193,14 +1193,14 @@
 
 /* The following is only needed for debugging */
 
-static inline my_bitmap_map *dbug_tmp_use_all_columns(TABLE *table __attribute__((__unused__)),
-                                                      MY_BITMAP *bitmap __attribute__((__unused__)))
+static inline my_bitmap_map *dbug_tmp_use_all_columns(TABLE *table __attribute__((unused)),
+                                                      MY_BITMAP *bitmap __attribute__((unused)))
 {
   return 0;
 }
 
-static inline void dbug_tmp_restore_column_map(MY_BITMAP *bitmap __attribute__((__unused__)),
-                                               my_bitmap_map *old __attribute__((__unused__)))
+static inline void dbug_tmp_restore_column_map(MY_BITMAP *bitmap __attribute__((unused)),
+                                               my_bitmap_map *old __attribute__((unused)))
 {
   return;
 }

=== modified file 'server/tztime.cc'
--- server/tztime.cc	2008-07-10 21:04:57 +0000
+++ server/tztime.cc	2008-07-26 18:02:40 +0000
@@ -725,8 +725,8 @@
     0
 */
 my_time_t
-Time_zone_utc::TIME_to_gmt_sec(const MYSQL_TIME *t __attribute__((__unused__)),
-                               bool *in_dst_time_gap __attribute__((__unused__))) const
+Time_zone_utc::TIME_to_gmt_sec(const MYSQL_TIME *t __attribute__((unused)),
+                               bool *in_dst_time_gap __attribute__((unused))) const
 {
   /* Should be never called */
   assert(0);
@@ -938,7 +938,7 @@
 */
 my_time_t
 Time_zone_offset::TIME_to_gmt_sec(const MYSQL_TIME *t,
-                                  bool *in_dst_time_gap __attribute__((__unused__))) const
+                                  bool *in_dst_time_gap __attribute__((unused))) const
 {
   my_time_t local_t;
   int shift= 0;
@@ -1052,7 +1052,7 @@
 */
 bool
 my_tz_init(THD *thd, const char *default_tzname,
-           bool bootstrap __attribute__((__unused__)))
+           bool bootstrap __attribute__((unused)))
 {
   if (default_tzname)
   {
@@ -1170,8 +1170,8 @@
 
 */
 Time_zone *
-my_tz_find(THD *thd __attribute__((__unused__)),
-           const String *name __attribute__((__unused__)))
+my_tz_find(THD *thd __attribute__((unused)),
+           const String *name __attribute__((unused)))
 {
   return NULL;
 }

=== modified file 'server/uniques.cc'
--- server/uniques.cc	2008-07-13 22:21:51 +0000
+++ server/uniques.cc	2008-07-26 18:02:40 +0000
@@ -35,7 +35,7 @@
 
 
 int unique_write_to_file(uchar* key,
-                         element_count count __attribute__((__unused__)),
+                         element_count count __attribute__((unused)),
                          Unique *unique)
 {
   /*
@@ -48,7 +48,7 @@
 }
 
 int unique_write_to_ptrs(uchar* key,
-                         element_count count __attribute__((__unused__)),
+                         element_count count __attribute__((unused)),
                          Unique *unique)
 {
   memcpy(unique->record_pointers, key, unique->size);
@@ -126,7 +126,7 @@
       total_buf_elems* log2(n_buffers) / TIME_FOR_COMPARE_ROWID;
 */
 
-static double get_merge_buffers_cost(uint *buff_elems __attribute__((__unused__)),
+static double get_merge_buffers_cost(uint *buff_elems __attribute__((unused)),
                                      uint elem_size,
                                      uint *first, uint *last)
 {

=== modified file 'server/unireg.cc'
--- server/unireg.cc	2008-07-23 00:11:39 +0000
+++ server/unireg.cc	2008-07-26 18:02:40 +0000
@@ -561,7 +561,7 @@
 /* Make formheader */
 
 static bool pack_header(uchar *forminfo,
-                        enum legacy_db_type table_type __attribute__((__unused__)),
+                        enum legacy_db_type table_type __attribute__((unused)),
                         List<Create_field> &create_fields,
                         uint info_length, uint screens, uint table_options,
                         ulong data_offset, handler *file)
@@ -882,7 +882,7 @@
 /* save an empty record on start of formfile */
 
 static bool make_empty_rec(THD *thd, File file,
-                           enum legacy_db_type table_type __attribute__((__unused__)),
+                           enum legacy_db_type table_type __attribute__((unused)),
                            uint table_options,
                            List<Create_field> &create_fields,
                            uint reclength,

=== modified file 'storage/archive/ha_archive.cc'
--- storage/archive/ha_archive.cc	2008-07-23 01:51:39 +0000
+++ storage/archive/ha_archive.cc	2008-07-26 18:02:40 +0000
@@ -198,7 +198,7 @@
     false       OK
 */
 
-int archive_db_done(void *p __attribute__((__unused__)))
+int archive_db_done(void *p __attribute__((unused)))
 {
   hash_free(&archive_open_tables);
   VOID(pthread_mutex_destroy(&archive_mutex));
@@ -218,8 +218,8 @@
   archive_reader_open= false;
 }
 
-int archive_discover(handlerton *hton __attribute__((__unused__)),
-                     THD* thd __attribute__((__unused__)),
+int archive_discover(handlerton *hton __attribute__((unused)),
+                     THD* thd __attribute__((unused)),
                      const char *db,
                      const char *name,
                      uchar **frmblob,
@@ -465,7 +465,7 @@
   We open the file we will read from.
 */
 int ha_archive::open(const char *name,
-                     int mode __attribute__((__unused__)),
+                     int mode __attribute__((unused)),
                      uint open_options)
 {
   int rc= 0;
@@ -692,7 +692,7 @@
   the bytes required for the length in the header.
 */
 
-uint32_t ha_archive::max_row_length(const uchar *buf __attribute__((__unused__)))
+uint32_t ha_archive::max_row_length(const uchar *buf __attribute__((unused)))
 {
   uint32_t length= (uint32_t)(table->s->reclength + table->s->fields*2);
   length+= ARCHIVE_ROW_HEADER_SIZE;
@@ -843,18 +843,18 @@
 }
 
 
-void ha_archive::get_auto_increment(uint64_t offset __attribute__((__unused__)),
-                                    uint64_t increment __attribute__((__unused__)),
-                                    uint64_t nb_desired_values __attribute__((__unused__)),
-                                    uint64_t *first_value __attribute__((__unused__)),
-                                    uint64_t *nb_reserved_values __attribute__((__unused__)))
+void ha_archive::get_auto_increment(uint64_t offset __attribute__((unused)),
+                                    uint64_t increment __attribute__((unused)),
+                                    uint64_t nb_desired_values __attribute__((unused)),
+                                    uint64_t *first_value __attribute__((unused)),
+                                    uint64_t *nb_reserved_values __attribute__((unused)))
 {
   *nb_reserved_values= UINT64_MAX;
   *first_value= share->archive_write.auto_increment + 1;
 }
 
 /* Initialized at each key walk (called multiple times unlike rnd_init()) */
-int ha_archive::index_init(uint keynr, bool sorted __attribute__((__unused__)))
+int ha_archive::index_init(uint keynr, bool sorted __attribute__((unused)))
 {
   active_index= keynr;
   return(0);
@@ -876,7 +876,7 @@
 
 int ha_archive::index_read_idx(uchar *buf, uint index, const uchar *key,
                                uint key_len,
-                               enum ha_rkey_function find_flag __attribute__((__unused__)))
+                               enum ha_rkey_function find_flag __attribute__((unused)))
 {
   int rc;
   bool found= 0;
@@ -1052,7 +1052,7 @@
   needed.
 */
 
-void ha_archive::position(const uchar *record __attribute__((__unused__)))
+void ha_archive::position(const uchar *record __attribute__((unused)))
 {
   my_store_ptr(ref, ref_length, current_position);
   return;
@@ -1096,8 +1096,8 @@
   The table can become fragmented if data was inserted, read, and then
   inserted again. What we do is open up the file and recompress it completely. 
 */
-int ha_archive::optimize(THD* thd __attribute__((__unused__)),
-                         HA_CHECK_OPT* check_opt __attribute__((__unused__)))
+int ha_archive::optimize(THD* thd __attribute__((unused)),
+                         HA_CHECK_OPT* check_opt __attribute__((unused)))
 {
   int rc= 0;
   azio_stream writer;
@@ -1369,7 +1369,7 @@
 */
 
 int ha_archive::check(THD* thd,
-                      HA_CHECK_OPT* check_opt __attribute__((__unused__)))
+                      HA_CHECK_OPT* check_opt __attribute__((unused)))
 {
   int rc= 0;
   const char *old_proc_info;

=== modified file 'storage/archive/ha_archive.h'
--- storage/archive/ha_archive.h	2008-07-22 18:31:32 +0000
+++ storage/archive/ha_archive.h	2008-07-26 18:02:40 +0000
@@ -84,7 +84,7 @@
   {
   }
   const char *table_type() const { return "ARCHIVE"; }
-  const char *index_type(uint inx __attribute__((__unused__)))
+  const char *index_type(uint inx __attribute__((unused)))
   { return "NONE"; }
   const char **bas_ext() const;
   uint64_t table_flags() const
@@ -95,9 +95,9 @@
             HA_HAS_RECORDS |
             HA_FILE_BASED | HA_CAN_INSERT_DELAYED | HA_CAN_GEOMETRY);
   }
-  uint32_t index_flags(uint idx __attribute__((__unused__)),
-                       uint part __attribute__((__unused__)),
-                       bool all_parts __attribute__((__unused__))) const
+  uint32_t index_flags(uint idx __attribute__((unused)),
+                       uint part __attribute__((unused)),
+                       bool all_parts __attribute__((unused))) const
   {
     return HA_ONLY_WHOLE_INDEX;
   }

=== modified file 'storage/blackhole/ha_blackhole.cc'
--- storage/blackhole/ha_blackhole.cc	2008-07-18 22:41:33 +0000
+++ storage/blackhole/ha_blackhole.cc	2008-07-26 18:02:40 +0000
@@ -58,8 +58,8 @@
   return ha_blackhole_exts;
 }
 
-int ha_blackhole::open(const char *name, int mode __attribute__((__unused__)),
-                       uint test_if_locked __attribute__((__unused__)))
+int ha_blackhole::open(const char *name, int mode __attribute__((unused)),
+                       uint test_if_locked __attribute__((unused)))
 {
   if (!(share= get_share(name)))
     return(HA_ERR_OUT_OF_MEM);
@@ -74,9 +74,9 @@
   return(0);
 }
 
-int ha_blackhole::create(const char *name __attribute__((__unused__)),
-                         TABLE *table_arg __attribute__((__unused__)),
-                         HA_CREATE_INFO *create_info __attribute__((__unused__)))
+int ha_blackhole::create(const char *name __attribute__((unused)),
+                         TABLE *table_arg __attribute__((unused)),
+                         HA_CREATE_INFO *create_info __attribute__((unused)))
 {
   return(0);
 }
@@ -91,32 +91,32 @@
                HA_KEY_ALG_RTREE) ? "RTREE" : "BTREE");
 }
 
-int ha_blackhole::write_row(uchar * buf __attribute__((__unused__)))
+int ha_blackhole::write_row(uchar * buf __attribute__((unused)))
 {
   return(table->next_number_field ? update_auto_increment() : 0);
 }
 
-int ha_blackhole::rnd_init(bool scan __attribute__((__unused__)))
+int ha_blackhole::rnd_init(bool scan __attribute__((unused)))
 {
   return(0);
 }
 
 
-int ha_blackhole::rnd_next(uchar *buf __attribute__((__unused__)))
+int ha_blackhole::rnd_next(uchar *buf __attribute__((unused)))
 {
   return(HA_ERR_END_OF_FILE);
 }
 
 
-int ha_blackhole::rnd_pos(uchar * buf __attribute__((__unused__)),
-                          uchar *pos __attribute__((__unused__)))
+int ha_blackhole::rnd_pos(uchar * buf __attribute__((unused)),
+                          uchar *pos __attribute__((unused)))
 {
   assert(0);
   return(0);
 }
 
 
-void ha_blackhole::position(const uchar *record __attribute__((__unused__)))
+void ha_blackhole::position(const uchar *record __attribute__((unused)))
 {
   assert(0);
   return;
@@ -131,8 +131,8 @@
   return(0);
 }
 
-int ha_blackhole::external_lock(THD *thd __attribute__((__unused__)),
-                                int lock_type __attribute__((__unused__)))
+int ha_blackhole::external_lock(THD *thd __attribute__((unused)),
+                                int lock_type __attribute__((unused)))
 {
   return(0);
 }
@@ -174,52 +174,52 @@
 }
 
 
-int ha_blackhole::index_read_map(uchar * buf __attribute__((__unused__)),
-                                 const uchar * key __attribute__((__unused__)),
-                                 key_part_map keypart_map  __attribute__((__unused__)),
-                                 enum ha_rkey_function find_flag __attribute__((__unused__)))
-{
-  return(HA_ERR_END_OF_FILE);
-}
-
-
-int ha_blackhole::index_read_idx_map(uchar * buf __attribute__((__unused__)),
-                                     uint idx __attribute__((__unused__)),
-                                     const uchar * key __attribute__((__unused__)),
-                                     key_part_map keypart_map __attribute__((__unused__)),
-                                     enum ha_rkey_function find_flag __attribute__((__unused__)))
-{
-  return(HA_ERR_END_OF_FILE);
-}
-
-
-int ha_blackhole::index_read_last_map(uchar * buf __attribute__((__unused__)),
-                                      const uchar * key __attribute__((__unused__)),
-                                      key_part_map keypart_map __attribute__((__unused__)))
-{
-  return(HA_ERR_END_OF_FILE);
-}
-
-
-int ha_blackhole::index_next(uchar * buf __attribute__((__unused__)))
-{
-  return(HA_ERR_END_OF_FILE);
-}
-
-
-int ha_blackhole::index_prev(uchar * buf __attribute__((__unused__)))
-{
-  return(HA_ERR_END_OF_FILE);
-}
-
-
-int ha_blackhole::index_first(uchar * buf __attribute__((__unused__)))
-{
-  return(HA_ERR_END_OF_FILE);
-}
-
-
-int ha_blackhole::index_last(uchar * buf __attribute__((__unused__)))
+int ha_blackhole::index_read_map(uchar * buf __attribute__((unused)),
+                                 const uchar * key __attribute__((unused)),
+                                 key_part_map keypart_map  __attribute__((unused)),
+                                 enum ha_rkey_function find_flag __attribute__((unused)))
+{
+  return(HA_ERR_END_OF_FILE);
+}
+
+
+int ha_blackhole::index_read_idx_map(uchar * buf __attribute__((unused)),
+                                     uint idx __attribute__((unused)),
+                                     const uchar * key __attribute__((unused)),
+                                     key_part_map keypart_map __attribute__((unused)),
+                                     enum ha_rkey_function find_flag __attribute__((unused)))
+{
+  return(HA_ERR_END_OF_FILE);
+}
+
+
+int ha_blackhole::index_read_last_map(uchar * buf __attribute__((unused)),
+                                      const uchar * key __attribute__((unused)),
+                                      key_part_map keypart_map __attribute__((unused)))
+{
+  return(HA_ERR_END_OF_FILE);
+}
+
+
+int ha_blackhole::index_next(uchar * buf __attribute__((unused)))
+{
+  return(HA_ERR_END_OF_FILE);
+}
+
+
+int ha_blackhole::index_prev(uchar * buf __attribute__((unused)))
+{
+  return(HA_ERR_END_OF_FILE);
+}
+
+
+int ha_blackhole::index_first(uchar * buf __attribute__((unused)))
+{
+  return(HA_ERR_END_OF_FILE);
+}
+
+
+int ha_blackhole::index_last(uchar * buf __attribute__((unused)))
 {
   return(HA_ERR_END_OF_FILE);
 }
@@ -298,7 +298,7 @@
   return 0;
 }
 
-static int blackhole_fini(void *p __attribute__((__unused__)))
+static int blackhole_fini(void *p __attribute__((unused)))
 {
   hash_free(&blackhole_open_tables);
   pthread_mutex_destroy(&blackhole_mutex);

=== modified file 'storage/blackhole/ha_blackhole.h'
--- storage/blackhole/ha_blackhole.h	2008-07-06 10:02:53 +0000
+++ storage/blackhole/ha_blackhole.h	2008-07-26 18:02:40 +0000
@@ -57,8 +57,8 @@
            HA_CAN_INDEX_BLOBS | HA_AUTO_PART_KEY |
            HA_FILE_BASED | HA_CAN_GEOMETRY | HA_CAN_INSERT_DELAYED);
   }
-  uint32_t index_flags(uint inx, uint part __attribute__((__unused__)),
-                       bool all_parts __attribute__((__unused__))) const
+  uint32_t index_flags(uint inx, uint part __attribute__((unused)),
+                       bool all_parts __attribute__((unused))) const
   {
     return ((table_share->key_info[inx].algorithm == HA_KEY_ALG_FULLTEXT) ?
             0 : HA_READ_NEXT | HA_READ_PREV | HA_READ_RANGE |

=== modified file 'storage/csv/ha_tina.cc'
--- storage/csv/ha_tina.cc	2008-07-23 17:36:11 +0000
+++ storage/csv/ha_tina.cc	2008-07-26 18:02:40 +0000
@@ -119,7 +119,7 @@
   return 0;
 }
 
-static int tina_done_func(void *p __attribute__((__unused__)))
+static int tina_done_func(void *p __attribute__((unused)))
 {
   hash_free(&tina_open_tables);
   pthread_mutex_destroy(&tina_mutex);
@@ -132,7 +132,7 @@
   Simple lock controls.
 */
 static TINA_SHARE *get_share(const char *table_name,
-                             TABLE *table __attribute__((__unused__)))
+                             TABLE *table __attribute__((unused)))
 {
   TINA_SHARE *share;
   char meta_file_name[FN_REFLEN];
@@ -449,7 +449,7 @@
   Encode a buffer into the quoted format.
 */
 
-int ha_tina::encode_quote(uchar *buf __attribute__((__unused__)))
+int ha_tina::encode_quote(uchar *buf __attribute__((unused)))
 {
   char attribute_buffer[1024];
   String attribute(attribute_buffer, sizeof(attribute_buffer),
@@ -724,7 +724,7 @@
 */
 
 void tina_get_status(void* param,
-                     int concurrent_insert __attribute__((__unused__)))
+                     int concurrent_insert __attribute__((unused)))
 {
   ha_tina *tina= (ha_tina*) param;
   tina->get_status();
@@ -737,7 +737,7 @@
 }
 
 /* this should exist and return 0 for concurrent insert to work */
-bool tina_check_status(void* param __attribute__((__unused__)))
+bool tina_check_status(void* param __attribute__((unused)))
 {
   return 0;
 }
@@ -804,7 +804,7 @@
   this will not be called for every request. Any sort of positions
   that need to be reset should be kept in the ::extra() call.
 */
-int ha_tina::open(const char *name, int mode __attribute__((__unused__)),
+int ha_tina::open(const char *name, int mode __attribute__((unused)),
                   uint open_options)
 {
   if (!(share= get_share(name, table)))
@@ -917,7 +917,7 @@
   This will be called in a table scan right before the previous ::rnd_next()
   call.
 */
-int ha_tina::update_row(const uchar * old_data __attribute__((__unused__)),
+int ha_tina::update_row(const uchar * old_data __attribute__((unused)),
                         uchar * new_data)
 {
   int size;
@@ -966,7 +966,7 @@
   The table will then be deleted/positioned based on the ORDER (so RANDOM,
   DESC, ASC).
 */
-int ha_tina::delete_row(const uchar * buf __attribute__((__unused__)))
+int ha_tina::delete_row(const uchar * buf __attribute__((unused)))
 {
   ha_statistic_increment(&SSV::ha_delete_count);
 
@@ -1045,7 +1045,7 @@
 
 */
 
-int ha_tina::rnd_init(bool scan __attribute__((__unused__)))
+int ha_tina::rnd_init(bool scan __attribute__((unused)))
 {
   /* set buffer to the beginning of the file */
   if (share->crashed || init_data_file())
@@ -1106,7 +1106,7 @@
   its just a position. Look at the bdb code if you want to see a case
   where something other then a number is stored.
 */
-void ha_tina::position(const uchar *record __attribute__((__unused__)))
+void ha_tina::position(const uchar *record __attribute__((unused)))
 {
   my_store_ptr(ref, ref_length, current_position);
   return;
@@ -1130,7 +1130,7 @@
   Currently this table handler doesn't implement most of the fields
   really needed. SHOW also makes use of this data
 */
-int ha_tina::info(uint flag __attribute__((__unused__)))
+int ha_tina::info(uint flag __attribute__((unused)))
 {
   /* This is a lie, but you don't want the optimizer to see zero or 1 */
   if (!records_is_known && stats.records < 2) 
@@ -1303,7 +1303,7 @@
 */
 
 int ha_tina::repair(THD* thd,
-                    HA_CHECK_OPT* check_opt __attribute__((__unused__)))
+                    HA_CHECK_OPT* check_opt __attribute__((unused)))
 {
   char repaired_fname[FN_REFLEN];
   uchar *buf;
@@ -1448,7 +1448,7 @@
   Called by the database to lock the table. Keep in mind that this
   is an internal lock.
 */
-THR_LOCK_DATA **ha_tina::store_lock(THD *thd __attribute__((__unused__)),
+THR_LOCK_DATA **ha_tina::store_lock(THD *thd __attribute__((unused)),
                                     THR_LOCK_DATA **to,
                                     enum thr_lock_type lock_type)
 {
@@ -1464,7 +1464,7 @@
 */
 
 int ha_tina::create(const char *name, TABLE *table_arg,
-                    HA_CREATE_INFO *create_info __attribute__((__unused__)))
+                    HA_CREATE_INFO *create_info __attribute__((unused)))
 {
   char name_buff[FN_REFLEN];
   File create_file;
@@ -1501,7 +1501,7 @@
 }
 
 int ha_tina::check(THD* thd,
-                   HA_CHECK_OPT* check_opt __attribute__((__unused__)))
+                   HA_CHECK_OPT* check_opt __attribute__((unused)))
 {
   int rc= 0;
   uchar *buf;
@@ -1550,8 +1550,8 @@
 }
 
 
-bool ha_tina::check_if_incompatible_data(HA_CREATE_INFO *info __attribute__((__unused__)),
-                                         uint table_changes __attribute__((__unused__)))
+bool ha_tina::check_if_incompatible_data(HA_CREATE_INFO *info __attribute__((unused)),
+                                         uint table_changes __attribute__((unused)))
 {
   return COMPATIBLE_DATA_YES;
 }

=== modified file 'storage/csv/ha_tina.h'
--- storage/csv/ha_tina.h	2008-07-22 18:31:32 +0000
+++ storage/csv/ha_tina.h	2008-07-26 18:02:40 +0000
@@ -100,7 +100,7 @@
       delete file_buff;
   }
   const char *table_type(void) const { return "CSV"; }
-  const char *index_type(uint inx __attribute__((__unused__)))
+  const char *index_type(uint inx __attribute__((unused)))
   { return "NONE"; }
   const char **bas_ext() const;
   uint64_t table_flags() const
@@ -108,9 +108,9 @@
     return (HA_NO_TRANSACTIONS | HA_REC_NOT_IN_SEQ | HA_NO_AUTO_INCREMENT |
             HA_BINLOG_ROW_CAPABLE | HA_BINLOG_STMT_CAPABLE);
   }
-  uint32_t index_flags(uint idx __attribute__((__unused__)),
-                       uint part __attribute__((__unused__)),
-                       bool all_parts __attribute__((__unused__))) const
+  uint32_t index_flags(uint idx __attribute__((unused)),
+                       uint part __attribute__((unused)),
+                       bool all_parts __attribute__((unused))) const
   {
     /*
       We will never have indexes so this will never be called(AKA we return

=== modified file 'storage/heap/ha_heap.cc'
--- storage/heap/ha_heap.cc	2008-07-23 17:36:11 +0000
+++ storage/heap/ha_heap.cc	2008-07-26 18:02:40 +0000
@@ -27,7 +27,7 @@
                                     TABLE_SHARE *table, 
                                     MEM_ROOT *mem_root);
 
-int heap_panic(handlerton *hton __attribute__((__unused__)),
+int heap_panic(handlerton *hton __attribute__((unused)),
                ha_panic_function flag)
 {
   return hp_panic(flag);
@@ -361,7 +361,7 @@
   return error;
 }
 
-void ha_heap::position(const uchar *record __attribute__((__unused__)))
+void ha_heap::position(const uchar *record __attribute__((unused)))
 {
   *(HEAP_PTR*) ref= heap_position(file);	// Ref is aligned
 }
@@ -418,8 +418,8 @@
   return 0;
 }
 
-int ha_heap::external_lock(THD *thd __attribute__((__unused__)),
-                           int lock_type __attribute__((__unused__)))
+int ha_heap::external_lock(THD *thd __attribute__((unused)),
+                           int lock_type __attribute__((unused)))
 {
   return 0;					// No external locking
 }
@@ -532,7 +532,7 @@
   return heap_indexes_are_disabled(file);
 }
 
-THR_LOCK_DATA **ha_heap::store_lock(THD *thd __attribute__((__unused__)),
+THR_LOCK_DATA **ha_heap::store_lock(THD *thd __attribute__((unused)),
                                     THR_LOCK_DATA **to,
                                     enum thr_lock_type lock_type)
 {
@@ -554,7 +554,7 @@
 }
 
 
-void ha_heap::drop_table(const char *name __attribute__((__unused__)))
+void ha_heap::drop_table(const char *name __attribute__((unused)))
 {
   file->s->delete_on_close= 1;
   close();
@@ -716,9 +716,9 @@
     create_info->auto_increment_value= stats.auto_increment_value;
 }
 
-void ha_heap::get_auto_increment(uint64_t offset __attribute__((__unused__)),
-                                 uint64_t increment __attribute__((__unused__)),
-                                 uint64_t nb_desired_values __attribute__((__unused__)),
+void ha_heap::get_auto_increment(uint64_t offset __attribute__((unused)),
+                                 uint64_t increment __attribute__((unused)),
+                                 uint64_t nb_desired_values __attribute__((unused)),
                                  uint64_t *first_value,
                                  uint64_t *nb_reserved_values)
 {

=== modified file 'storage/heap/ha_heap.h'
--- storage/heap/ha_heap.h	2008-07-06 10:32:31 +0000
+++ storage/heap/ha_heap.h	2008-07-26 18:02:40 +0000
@@ -55,8 +55,8 @@
             HA_REC_NOT_IN_SEQ | HA_CAN_INSERT_DELAYED | HA_NO_TRANSACTIONS |
             HA_HAS_RECORDS | HA_STATS_RECORDS_IS_EXACT);
   }
-  uint32_t index_flags(uint inx, uint part __attribute__((__unused__)),
-                       bool all_parts __attribute__((__unused__))) const
+  uint32_t index_flags(uint inx, uint part __attribute__((unused)),
+                       bool all_parts __attribute__((unused))) const
   {
     return ((table_share->key_info[inx].algorithm == HA_KEY_ALG_BTREE) ?
             HA_READ_NEXT | HA_READ_PREV | HA_READ_ORDER | HA_READ_RANGE :
@@ -67,8 +67,8 @@
   uint max_supported_key_part_length() const { return MAX_KEY_LENGTH; }
   double scan_time()
   { return (double) (stats.records+stats.deleted) / 20.0+10; }
-  double read_time(uint index __attribute__((__unused__)),
-                   uint ranges __attribute__((__unused__)),
+  double read_time(uint index __attribute__((unused)),
+                   uint ranges __attribute__((unused)),
                    ha_rows rows)
   { return (double) rows /  20.0+1; }
 

=== modified file 'storage/innobase/handler/ha_innodb.cc'
--- storage/innobase/handler/ha_innodb.cc	2008-07-23 17:36:11 +0000
+++ storage/innobase/handler/ha_innodb.cc	2008-07-26 18:02:40 +0000
@@ -529,7 +529,7 @@
 innobase_release_temporary_latches(
 /*===============================*/
 				/* out: 0 */
-        handlerton*	hton __attribute__((__unused__)),	/* in: handlerton */
+        handlerton*	hton __attribute__((unused)),	/* in: handlerton */
 	THD*		thd)	/* in: MySQL thread */
 {
 	trx_t*	trx;
@@ -1122,7 +1122,7 @@
 				name */
 	uint	full_name_len,	/* in: length of the full name, i.e.
 				len(dbname) + len(tablename) + 1 */
-	uint64_t *unused __attribute__((__unused__)))	/* unused for this engine */
+	uint64_t *unused __attribute__((unused)))	/* unused for this engine */
 {
 	ibool	is_autocommit;
 	trx_t*	trx;
@@ -1220,12 +1220,12 @@
 void
 innobase_invalidate_query_cache(
 /*============================*/
-	trx_t*	trx __attribute__((__unused__)),		/* in: transaction which modifies the table */
-	char*	full_name __attribute__((__unused__)),	/* in: concatenation of database name, null
+	trx_t*	trx __attribute__((unused)),		/* in: transaction which modifies the table */
+	char*	full_name __attribute__((unused)),	/* in: concatenation of database name, null
 				char '\0', table name, null char'\0';
 				NOTE that in Windows this is always
 				in LOWER CASE! */
-	ulint	full_name_len __attribute__((__unused__)))	/* in: full name length where also the null
+	ulint	full_name_len __attribute__((unused)))	/* in: full name length where also the null
 				chars count */
 {
 	/* Note that the sync0sync.h rank of the query cache mutex is just
@@ -1680,8 +1680,8 @@
 Closes an InnoDB database. */
 static
 int
-innobase_end(handlerton *hton __attribute__((__unused__)),
-             ha_panic_function type __attribute__((__unused__)))
+innobase_end(handlerton *hton __attribute__((unused)),
+             ha_panic_function type __attribute__((unused)))
 /*==============*/
 				/* out: TRUE if error */
 {
@@ -1712,7 +1712,7 @@
 the logs, and the name of this function should be innobase_checkpoint. */
 static
 bool
-innobase_flush_logs(handlerton *hton __attribute__((__unused__)))
+innobase_flush_logs(handlerton *hton __attribute__((unused)))
 /*=====================*/
 				/* out: TRUE if error */
 {
@@ -1791,7 +1791,7 @@
 innobase_commit(
 /*============*/
 			/* out: 0 */
-        handlerton *hton __attribute__((__unused__)), /* in: Innodb handlerton */ 
+        handlerton *hton __attribute__((unused)), /* in: Innodb handlerton */ 
 	THD* 	thd,	/* in: MySQL thread handle of the user for whom
 			the transaction should be committed */
 	bool	all)	/* in:	TRUE - commit transaction
@@ -1915,7 +1915,7 @@
 innobase_rollback(
 /*==============*/
 			/* out: 0 or error number */
-        handlerton *hton __attribute__((__unused__)), /* in: Innodb handlerton */ 
+        handlerton *hton __attribute__((unused)), /* in: Innodb handlerton */ 
 	THD*	thd,	/* in: handle to the MySQL thread of the user
 			whose transaction should be rolled back */
 	bool	all)	/* in:	TRUE - commit transaction
@@ -1989,7 +1989,7 @@
 /*===========================*/
 				/* out: 0 if success, HA_ERR_NO_SAVEPOINT if
 				no savepoint with the given name */
-        handlerton *hton __attribute__((__unused__)),       /* in: Innodb handlerton */ 
+        handlerton *hton __attribute__((unused)),       /* in: Innodb handlerton */ 
 	THD*	thd,		/* in: handle to the MySQL thread of the user
 				whose transaction should be rolled back */
 	void*	savepoint)	/* in: savepoint data */
@@ -2024,7 +2024,7 @@
 /*=======================*/
 				/* out: 0 if success, HA_ERR_NO_SAVEPOINT if
 				no savepoint with the given name */
-        handlerton*	hton __attribute__((__unused__)),	/* in: handlerton for Innodb */
+        handlerton*	hton __attribute__((unused)),	/* in: handlerton for Innodb */
 	THD*	thd,		/* in: handle to the MySQL thread of the user
 				whose transaction should be rolled back */
 	void*	savepoint)	/* in: savepoint data */
@@ -2051,7 +2051,7 @@
 innobase_savepoint(
 /*===============*/
 				/* out: always 0, that is, always succeeds */
-	handlerton*	hton __attribute__((__unused__)),   /* in: handle to the Innodb handlerton */
+	handlerton*	hton __attribute__((unused)),   /* in: handle to the Innodb handlerton */
 	THD*	thd,		/* in: handle to the MySQL thread */
 	void*	savepoint)	/* in: savepoint data */
 {
@@ -2095,7 +2095,7 @@
 innobase_close_connection(
 /*======================*/
 			/* out: 0 or error number */
-        handlerton*	hton __attribute__((__unused__)),	/* in:  innobase handlerton */
+        handlerton*	hton __attribute__((unused)),	/* in:  innobase handlerton */
 	THD*	thd)	/* in: handle to the MySQL thread of the user
 			whose resources should be free'd */
 {
@@ -2970,7 +2970,7 @@
 build_template(
 /*===========*/
 	row_prebuilt_t*	prebuilt,	/* in/out: prebuilt struct */
-	THD*		thd __attribute__((__unused__)),		/* in: current user thread, used
+	THD*		thd __attribute__((unused)),		/* in: current user thread, used
 					only if templ_type is
 					ROW_MYSQL_REC_FIELDS */
 	TABLE*		table,		/* in: MySQL table */
@@ -3549,7 +3549,7 @@
 	uchar*		upd_buff,	/* in: buffer to use */
 	ulint		buff_len,	/* in: buffer length */
 	row_prebuilt_t*	prebuilt,	/* in: InnoDB prebuilt struct */
-	THD*		thd __attribute__((__unused__)))		/* in: user thread */
+	THD*		thd __attribute__((unused)))		/* in: user thread */
 {
 	uchar*		original_upd_buff = upd_buff;
 	Field*		field;
@@ -3901,7 +3901,7 @@
 /*====================*/
 			/* out: 0 or error number */
 	uint	keynr,	/* in: key (index) number */
-	bool sorted __attribute__((__unused__)))	/* in: 1 if result MUST be sorted according to index */
+	bool sorted __attribute__((unused)))	/* in: 1 if result MUST be sorted according to index */
 {
 	int	error	= 0;
 
@@ -4330,8 +4330,8 @@
 				/* out: 0, HA_ERR_END_OF_FILE, or error
 				number */
 	uchar*		buf,	/* in/out: buffer for the row */
-	const uchar*	key __attribute__((__unused__)),	/* in: key value */
-	uint		keylen __attribute__((__unused__)))	/* in: key value length */
+	const uchar*	key __attribute__((unused)),	/* in: key value */
+	uint		keylen __attribute__((unused)))	/* in: key value length */
 {
 	ha_statistic_increment(&SSV::ha_read_next_count);
 
@@ -5198,7 +5198,7 @@
 innobase_drop_database(
 /*===================*/
 			/* out: error number */
-        handlerton *hton __attribute__((__unused__)), /* in: handlerton of Innodb */
+        handlerton *hton __attribute__((unused)), /* in: handlerton of Innodb */
 	char*	path)	/* in: database path; inside InnoDB the name
 			of the last directory in the path is used as
 			the database name: for example, in 'mysql/data/test'
@@ -5775,8 +5775,8 @@
 ha_innobase::analyze(
 /*=================*/
 					/* out: returns always 0 (success) */
-	THD*		thd __attribute__((__unused__)),		/* in: connection thread handle */
-	HA_CHECK_OPT*	check_opt __attribute__((__unused__)))	/* in: currently ignored */
+	THD*		thd __attribute__((unused)),		/* in: connection thread handle */
+	HA_CHECK_OPT*	check_opt __attribute__((unused)))	/* in: currently ignored */
 {
 	/* Simply call ::info() with all the flags */
 	info(HA_STATUS_TIME | HA_STATUS_CONST | HA_STATUS_VARIABLE);
@@ -5791,8 +5791,8 @@
 int
 ha_innobase::optimize(
 /*==================*/
-	THD*		thd __attribute__((__unused__)),		/* in: connection thread handle */
-	HA_CHECK_OPT*	check_opt __attribute__((__unused__)))	/* in: currently ignored */
+	THD*		thd __attribute__((unused)),		/* in: connection thread handle */
+	HA_CHECK_OPT*	check_opt __attribute__((unused)))	/* in: currently ignored */
 {
 	return(HA_ADMIN_TRY_ALTER);
 }
@@ -5808,7 +5808,7 @@
 					/* out: HA_ADMIN_CORRUPT or
 					HA_ADMIN_OK */
 	THD*		thd,		/* in: user thread handle */
-	HA_CHECK_OPT*	check_opt __attribute__((__unused__)))	/* in: check options, currently
+	HA_CHECK_OPT*	check_opt __attribute__((unused)))	/* in: check options, currently
 					ignored */
 {
 	ulint		ret;
@@ -6620,7 +6620,7 @@
 bool
 innodb_show_status(
 /*===============*/
-	handlerton*	hton __attribute__((__unused__)),	/* in: the innodb handlerton */
+	handlerton*	hton __attribute__((unused)),	/* in: the innodb handlerton */
 	THD*	thd,	/* in: the MySQL query thread of the caller */
 	stat_print_fn *stat_print)
 {
@@ -6705,7 +6705,7 @@
 bool
 innodb_mutex_show_status(
 /*=====================*/
-	handlerton*	hton __attribute__((__unused__)),	/* in: the innodb handlerton */
+	handlerton*	hton __attribute__((unused)),	/* in: the innodb handlerton */
 	THD*		thd,		/* in: the MySQL query thread of the
 					caller */
 	stat_print_fn*	stat_print)
@@ -7256,7 +7256,7 @@
 void
 ha_innobase::get_auto_increment(
 /*============================*/
-        uint64_t	offset __attribute__((__unused__)),              /* in: */
+        uint64_t	offset __attribute__((unused)),              /* in: */
         uint64_t	increment,           /* in: table autoinc increment */
         uint64_t	nb_desired_values,   /* in: number of values reqd */
         uint64_t	*first_value,        /* out: the autoinc value */
@@ -7363,7 +7363,7 @@
 
 /* See comment in handler.cc */
 bool
-ha_innobase::get_error_message(int error __attribute__((__unused__)), String *buf)
+ha_innobase::get_error_message(int error __attribute__((unused)), String *buf)
 {
 	trx_t*	trx = check_trx_exists(ha_thd());
 
@@ -7565,7 +7565,7 @@
 innobase_xa_prepare(
 /*================*/
 			/* out: 0 or error number */
-        handlerton *hton __attribute__((__unused__)),
+        handlerton *hton __attribute__((unused)),
 	THD*	thd,	/* in: handle to the MySQL thread of the user
 			whose XA transaction should be prepared */
 	bool	all)	/* in: TRUE - commit transaction
@@ -7660,7 +7660,7 @@
 /*================*/
 				/* out: number of prepared transactions
 				stored in xid_list */
-        handlerton *hton __attribute__((__unused__)),
+        handlerton *hton __attribute__((unused)),
 	XID*	xid_list,	/* in/out: prepared transactions */
 	uint	len)		/* in: number of slots in xid_list */
 {
@@ -7680,7 +7680,7 @@
 innobase_commit_by_xid(
 /*===================*/
 			/* out: 0 or error number */
-        handlerton *hton __attribute__((__unused__)),
+        handlerton *hton __attribute__((unused)),
 	XID*	xid)	/* in: X/Open XA transaction identification */
 {
 	trx_t*	trx;
@@ -7704,7 +7704,7 @@
 innobase_rollback_by_xid(
 /*=====================*/
 			/* out: 0 or error number */
-        handlerton *hton __attribute__((__unused__)),
+        handlerton *hton __attribute__((unused)),
 	XID	*xid)	/* in: X/Open XA transaction identification */
 {
 	trx_t*	trx;
@@ -7728,7 +7728,7 @@
 innobase_create_cursor_view(
 /*========================*/
                           /* out: pointer to cursor view or NULL */
-        handlerton *hton __attribute__((__unused__)), /* in: innobase hton */
+        handlerton *hton __attribute__((unused)), /* in: innobase hton */
 	THD* thd)	  /* in: user thread handle */
 {
 	return(read_cursor_view_create_for_mysql(check_trx_exists(thd)));
@@ -7742,7 +7742,7 @@
 void
 innobase_close_cursor_view(
 /*=======================*/
-        handlerton *hton __attribute__((__unused__)),
+        handlerton *hton __attribute__((unused)),
 	THD*	thd,	/* in: user thread handle */
 	void*	curview)/* in: Consistent read view to be closed */
 {
@@ -7759,7 +7759,7 @@
 void
 innobase_set_cursor_view(
 /*=====================*/
-        handlerton *hton __attribute__((__unused__)),
+        handlerton *hton __attribute__((unused)),
 	THD*	thd,	/* in: user thread handle */
 	void*	curview)/* in: Consistent cursor view to be set */
 {
@@ -7796,8 +7796,8 @@
 
 /* TODO: Fix the cast below!!! */
 
-static int show_innodb_vars(THD *thd __attribute__((__unused__)),
-                            SHOW_VAR *var, char *buff __attribute__((__unused__)))
+static int show_innodb_vars(THD *thd __attribute__((unused)),
+                            SHOW_VAR *var, char *buff __attribute__((unused)))
 {
   innodb_export_status();
   var->type= SHOW_ARRAY;

=== modified file 'storage/innobase/handler/ha_innodb.h'
--- storage/innobase/handler/ha_innodb.h	2008-07-23 00:11:39 +0000
+++ storage/innobase/handler/ha_innodb.h	2008-07-26 18:02:40 +0000
@@ -90,13 +90,13 @@
 	enum row_type get_row_type() const;
 
 	const char* table_type() const { return("InnoDB");}
-        const char *index_type(uint key_number __attribute__((__unused__)))
+        const char *index_type(uint key_number __attribute__((unused)))
         { return "BTREE"; }
 	const char** bas_ext() const;
 	Table_flags table_flags() const;
-	uint32_t index_flags(uint idx __attribute__((__unused__)),
-                             uint part __attribute__((__unused__)),
-                             bool all_parts __attribute__((__unused__))) const
+	uint32_t index_flags(uint idx __attribute__((unused)),
+                             uint part __attribute__((unused)),
+                             bool all_parts __attribute__((unused))) const
 	{
 	  return (HA_READ_NEXT |
 		  HA_READ_PREV |

=== modified file 'storage/myisam/ha_myisam.cc'
--- storage/myisam/ha_myisam.cc	2008-07-23 17:36:11 +0000
+++ storage/myisam/ha_myisam.cc	2008-07-26 18:02:40 +0000
@@ -520,7 +520,7 @@
 }
 
 
-const char *ha_myisam::index_type(uint key_number __attribute__((__unused__)))
+const char *ha_myisam::index_type(uint key_number __attribute__((unused)))
 {
   return "BTREE";
 }
@@ -732,7 +732,7 @@
 */
 
 int ha_myisam::analyze(THD *thd,
-                       HA_CHECK_OPT* check_opt __attribute__((__unused__)))
+                       HA_CHECK_OPT* check_opt __attribute__((unused)))
 {
   int error=0;
   MI_CHECK param;
@@ -1336,7 +1336,7 @@
 C_MODE_END
 
 
-int ha_myisam::index_init(uint idx, bool sorted __attribute__((__unused__)))
+int ha_myisam::index_init(uint idx, bool sorted __attribute__((unused)))
 { 
   active_index=idx;
   //in_range_read= false;
@@ -1495,7 +1495,7 @@
 }
 
 
-void ha_myisam::position(const uchar *record __attribute__((__unused__)))
+void ha_myisam::position(const uchar *record __attribute__((unused)))
 {
   my_off_t row_position= mi_position(file);
   my_store_ptr(ref, ref_length, row_position);
@@ -1613,7 +1613,7 @@
 				       F_UNLCK : F_EXTRA_LCK));
 }
 
-THR_LOCK_DATA **ha_myisam::store_lock(THD *thd __attribute__((__unused__)),
+THR_LOCK_DATA **ha_myisam::store_lock(THD *thd __attribute__((unused)),
 				      THR_LOCK_DATA **to,
 				      enum thr_lock_type lock_type)
 {
@@ -1698,9 +1698,9 @@
 }
 
 
-void ha_myisam::get_auto_increment(uint64_t offset __attribute__((__unused__)),
-                                   uint64_t increment __attribute__((__unused__)),
-                                   uint64_t nb_desired_values __attribute__((__unused__)),
+void ha_myisam::get_auto_increment(uint64_t offset __attribute__((unused)),
+                                   uint64_t increment __attribute__((unused)),
+                                   uint64_t nb_desired_values __attribute__((unused)),
                                    uint64_t *first_value,
                                    uint64_t *nb_reserved_values)
 {
@@ -1805,7 +1805,7 @@
   return COMPATIBLE_DATA_YES;
 }
 
-int myisam_panic(handlerton *hton __attribute__((__unused__)), ha_panic_function flag)
+int myisam_panic(handlerton *hton __attribute__((unused)), ha_panic_function flag)
 {
   return mi_panic(flag);
 }

=== modified file 'storage/myisam/ha_myisam.h'
--- storage/myisam/ha_myisam.h	2008-07-06 13:40:51 +0000
+++ storage/myisam/ha_myisam.h	2008-07-26 18:02:40 +0000
@@ -54,8 +54,8 @@
   uint64_t table_flags() const { return int_table_flags; }
   int index_init(uint idx, bool sorted);
   int index_end();
-  uint32_t index_flags(uint inx, uint part __attribute__((__unused__)),
-                       bool all_parts __attribute__((__unused__))) const
+  uint32_t index_flags(uint inx, uint part __attribute__((unused)),
+                       bool all_parts __attribute__((unused))) const
   {
     return ((table_share->key_info[inx].algorithm == HA_KEY_ALG_FULLTEXT) ?
             0 : HA_READ_NEXT | HA_READ_PREV | HA_READ_RANGE |

